//P_A2W_1, P_UUU5Z_1
//FJ_3a_PREV_BILJ_A_II_1_1
//FJ_3b_PREV_BILJ_A_II_1_2
//FJ_II_PREV_BILJ_A_I
//FJ_2_1_BILJ_A_II_1_2
//FJ_1_1_BILJ_A_II_1_1
//FJ_I_BILJ_A_I

unit test;

interface

uses Windows, Messages, Forms, dbtables;

//================================================
implementation

const
  c_DATAMODULE = 'DataModule1JB';
  c_ABS_sMNOZNIKSUM = '999';
  c_ABS_MNOZNIKSUM = 999;
  //Z.D. 2009-06; no coz - taki interfejs: trzeba porozumiewac sie poprzez wynik zapytania...
  c_SQL_TRUE = '(1=1)';
  c_SQL_FALSE = '(1=0)';

//------------------------------------------------
// Z.D. 2008-01-21;
// (bo sysutils nie jest widoczny w tym makro)
// trzeba zamienic przecinek na kropke jako separator

function PrzecinekNaKropke(s: string): string;
var
  i: integer;

begin
  Result:= s;
  for i:= 1 to Length(Result) do
    if Result[i] = ',' then
      Result[i]:= '.';
end;
//------------------------------------------------
//Z.D. 2009-05;
function AbsCurrency(x: Currency): Currency;
begin
  if x < 0 then
    Result:= -x
  else
    Result:= x;
end;
//------------------------------------------------
//Z.D. 2009-06; (zmiana koncepcji ABS)
//procedura dla pobierania kwoty uzywajac parametru IDSPRAW ze sprawozdania bazujacego na S_SPRPOZ 
procedure wgS_SPRPOZpoIDSPRAW(sBaza, sPole: string; iID_S_SPRPO: integer;
                              var Pole: currency;
                              var Mnoznik: integer;
                              var CzyABS: boolean);
var
  query: TQuery;

begin
  sBaza:= UpperCase(sBaza); //a'propos firebird

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  query.Close;
  query.SQL.Clear;
  query.sql.add('select B.'+sPole+', S.MNOZNIK, S.MNOZNIKSUM');
  query.sql.add('from');
  query.sql.add('  '+sBaza+' B');
  query.sql.add('  left join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  query.sql.add('where');
  query.sql.add('  B.IDSPRAW = :IDSPRAW');
  query.sql.add('  and B.ID_S_SPRPO = '+IntToStr(iID_S_SPRPO));
  query.Open;

  CzyABS:= (AbsCurrency(query.FieldByName('MNOZNIKSUM').AsCurrency) = c_ABS_MNOZNIKSUM);
  Pole:= query.FieldByName(sPole).AsCurrency;
  Mnoznik:= query.FieldByName('MNOZNIK').AsInteger;

  query.Close;
  query.SQL.Clear;
end;
//------------------------------------------------
//Z.D. 2009-06; (zmiana koncepcji ABS)
//funkcja dla pobierania  kwoty bez uzycia parametru IDSPRAW ze sprawozdania bazujacego na S_SPRPOZ (klauzula where nie moze uzywac parametru :IDSPRAW)
procedure wgS_SPRPOZpoSPRAWAKT(sBaza, sPole: string; iID_S_SPRPO: integer;
                               var Pole: currency;
                               var Mnoznik: integer;
                               var CzyABS: boolean);
var
  query: TQuery;

begin
  sBaza:= UpperCase(sBaza); //a'propos firebird

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  query.Close;
  query.SQL.Clear;
  query.sql.add('select B.'+sPole+', S.MNOZNIK, S.MNOZNIKSUM');
  query.sql.add('from');
  query.sql.add('  '+sBaza+' B');
  query.sql.add('  left join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  query.sql.add('  inner join JBSPRAWAKT SA on (B.IDSPRAW = SA.IDSPRAW)');
  query.sql.add('where');
  query.sql.add('  B.ID_S_SPRPO = '+IntToStr(iID_S_SPRPO));
  query.sql.add('  and B.ROK = :ROK');
  query.sql.add('  and B.KWARTAL = :KWARTAL');
  query.sql.add('  and B.ID_JST = :ID_JST');
  query.sql.add('  and B.ID_JB = :ID_JB');
  query.Open;

  CzyABS:= (AbsCurrency(query.FieldByName('MNOZNIKSUM').AsCurrency) = c_ABS_MNOZNIKSUM);
  Pole:= query.FieldByName(sPole).AsCurrency;
  Mnoznik:= query.FieldByName('MNOZNIK').AsInteger;

  query.Close;
  query.SQL.Clear;
end;
//------------------------------------------------
//Z.D. 2009-06; (zmiana koncepcji ABS)
//procedura dla pobierania kwoty uzywajac parametru IDSPRAW ze sprawozdania bazujacego na JBBILPOZ
procedure wgBILPOZpoIDSPRAW(sBaza, sPole: string; iID_S_BILPOZ: integer;
                            var Pole: currency;
                            var Mnoznik: integer);
var
  query: TQuery;

begin
  sBaza:= UpperCase(sBaza); //a'propos firebird

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  query.Close;
  query.SQL.Clear;
  query.sql.add('select B.'+sPole+', BP.MNOZNIK');
  query.sql.add('from');
  query.sql.add('  '+sBaza+' B');
  query.sql.add('  left join JBBILPOZ BP on (B.ID_BILPOZ = BP.ID_BILPOZ and B.ID_JST = BP.ID_JST and B.ROK = BP.ROK and B.KWARTAL = BP.OKRES)');
  query.sql.add('where');
  query.sql.add('  B.IDSPRAW = :IDSPRAW');
  query.sql.add('  and B.ID_S_BILPOZ = '+IntToStr(iID_S_BILPOZ));
  query.Open;

  Pole:= query.FieldByName(sPole).AsCurrency;
  Mnoznik:= query.FieldByName('MNOZNIK').AsInteger;

  query.Close;
  query.SQL.Clear;
end;
//------------------------------------------------
//Z.D. 2009-06; (zmiana koncepcji ABS)
//funkcja dla pobierania kwoty bez uzycia parametru :IDSPRAW ze sprawozdan bazujacych na JBBILPOZ (klauzula where nie moze uzywac parametru :IDSPRAW)
procedure wgBILPOZpoSPRAWAKT(sBaza, sPole: string; iID_S_BILPOZ: integer;
                             var Pole: currency;
                             var Mnoznik: integer);
var
  query: TQuery;

begin
  sBaza:= UpperCase(sBaza); //a'propos firebird

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  query.Close;
  query.SQL.Clear;
  query.sql.add('select B.'+sPole+', BP.MNOZNIK');
  query.sql.add('from');
  query.sql.add('  '+sBaza+' B');
  query.sql.add('  left join JBBILPOZ BP on (B.ID_BILPOZ = BP.ID_BILPOZ and B.ID_JST = BP.ID_JST and B.ROK = BP.ROK and B.KWARTAL = BP.OKRES)');
  query.sql.add('  inner join JBSPRAWAKT SA on (B.IDSPRAW = SA.IDSPRAW)');
  query.sql.add('where');
  query.sql.add('  B.ID_S_BILPOZ = '+IntToStr(iID_S_BILPOZ));
  query.sql.add('  and B.ROK = :ROK');
  query.sql.add('  and B.KWARTAL = :KWARTAL');
  query.sql.add('  and B.ID_JST = :ID_JST');
  query.sql.add('  and B.ID_JB = :ID_JB');
  query.Open;

  Pole:= query.FieldByName(sPole).AsCurrency;
  Mnoznik:= query.FieldByName('MNOZNIK').AsInteger;

  query.Close;
  query.SQL.Clear;
end;
//------------------------------------------------
//Z.D. 2009-06; (zmiana koncepcji ABS)
procedure Wynikowe_BILPOZlubS_SPRPOZ(sTabelaL: string; iID_L: integer; cuKwotaL: currency;
                                     sTabelaP: string; iID_P: integer; cuKwotaP: currency);
var
  query: TQuery;

begin
  //a'propos firebird
  sTabelaL:= UpperCase(sTabelaL);
  sTabelaP:= UpperCase(sTabelaP);

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  query.sql.add('select');
  query.sql.add('  B.IDSPRAW,');
  query.sql.add('  0 as ROZNICA,');

  //pod paradoxem: cast(-x as float) <> -cast(x as float) :p
  if cuKwotaL < 0 then
    query.sql.add('  -Cast('+PrzecinekNaKropke(FloatToStr(-cuKwotaL))+' as Float(18)) as LEWA,')
  else
    query.sql.add('  Cast('+PrzecinekNaKropke(FloatToStr(cuKwotaL))+' as Float(18)) as LEWA,');

  //pod paradoxem: cast(-x as float) <> -cast(x as float) :p
  if cuKwotaP < 0 then
    query.sql.add('  -Cast('+PrzecinekNaKropke(FloatToStr(-cuKwotaP))+' as Float(18)) as PRAWA,')
  else
    query.sql.add('  Cast('+PrzecinekNaKropke(FloatToStr(cuKwotaP))+' as Float(18)) as PRAWA,');

  query.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  query.sql.add('from');
  query.sql.add('  '+sTabelaL+' B,');
  query.sql.add('  '+sTabelaP+' P');
  query.sql.add('    inner join JBSPRAWAKT SA on (P.IDSPRAW = SA.IDSPRAW)');

  //filtr dla "L"
  query.sql.add('where');
  query.sql.add('  B.IDSPRAW = :IDSPRAW');

  if (sTabelaL = 'JBFJ') or (sTabelaL = 'JBZS') then
    query.sql.add('  and B.ID_S_SPRPO = '+IntToStr(iID_L))
  else
  if (sTabelaL = 'JBBILJ') then
    query.sql.add('  and B.ID_S_BILPOZ = '+IntToStr(iID_L));

  //filtr dla "P"
  if (sTabelaP = 'JBFJ') or (sTabelaP = 'JBZS') then
    query.sql.add('  and P.ID_S_SPRPO = '+IntToStr(iID_P))
  else
  if (sTabelaP = 'JBBILJ') then
    query.sql.add('  and P.ID_S_BILPOZ = '+IntToStr(iID_P));
    
  query.sql.add('  and P.ROK = :ROK');
  query.sql.add('  and P.KWARTAL = :KWARTAL');
  query.sql.add('  and P.ID_JST = :ID_JST');
  query.sql.add('  and P.ID_JB = :ID_JB');

  //"byc, czy nie byc"
  if cuKwotaL <> cuKwotaP then  //Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
    query.sql.add('  and '+c_SQL_TRUE)
  else
    query.sql.add('  and '+c_SQL_FALSE);
end;
//------------------------------------------------
//Z.D. 2009-06;
procedure MnoznikPrzezPole(var cuKwotaL: currency; MnoznikL: integer; PoleL: currency;
                           var cuKwotaP: currency; MnoznikP: integer; PoleP: currency;
                           CzyABS: boolean);
begin
  cuKwotaL:= MnoznikL*PoleL;
  cuKwotaP:= MnoznikP*PoleP;
  if CzyABS then
    begin
      cuKwotaL:= AbsCurrency(cuKwotaL); //"Mnoznik*" na okolicznosc kompatybilnosci z pozycjami bez ABS
      cuKwotaP:= AbsCurrency(cuKwotaP);
    end;
end;
////////////////////////////////////////////////////////////////
procedure S_SPRPOZ_vs_BILPOZabs(sTabelaL, sPoleL: string; iID_S_SPRPO: integer;
                             sTabelaP, sPoleP: string; iID_S_BILPOZ: integer;
                             porownanieabs:boolean);
var
  PoleL: currency; MnoznikL: integer; CzyABS: boolean;
  PoleP: currency; MnoznikP: integer;
  cuKwotaL: currency;
  cuKwotaP: currency;

begin
  PoleL:= 0;
  PoleP:= 0;
  MnoznikL:= 0;
  MnoznikP:= 0;
  CzyABS:= false;
  cuKwotaL:= 0;
  cuKwotaP:= 0;

  wgS_SPRPOZpoIDSPRAW(sTabelaL, sPoleL, iID_S_SPRPO,  PoleL, MnoznikL, CzyABS);
   wgBILPOZpoSPRAWAKT(sTabelaP, sPoleP, iID_S_BILPOZ, PoleP, MnoznikP);
   if porownanieabs then  CzyABS:=true;
  MnoznikPrzezPole(cuKwotaL, MnoznikL, PoleL,
                   cuKwotaP, MnoznikP, PoleP,
                   CzyABS);

  Wynikowe_BILPOZlubS_SPRPOZ(sTabelaL, iID_S_SPRPO, cuKwotaL,
                             sTabelaP, iID_S_BILPOZ, cuKwotaP);
end;
//------------------------------------------------
//Z.D. 2009-06; (zmiana koncepcji ABS)
//dla porownywania kwot z FJ z ZS, i odwrotnie (obie tabele bazuja na slowniku S_SPRPOZ)
//lewa tabela jest podstawa - jej dotyczy parametr IDSPRAW weryfikowanego sprawozdania

procedure S_SPRPOZ_vs_S_SPRPOZ(sTabelaL, sPoleL: string; iID_S_SPRPO_L: integer;
                               sTabelaP, sPoleP: string; iID_S_SPRPO_P: integer);
var
  CzyABS_L: boolean; PoleL: currency; MnoznikL: integer;
  CzyABS_P: boolean; PoleP: currency; MnoznikP: integer;
  cuKwotaL, cuKwotaP: currency;

begin
  CzyABS_L:= false;
  CzyABS_P:= false;
  PoleL:= 0;
  PoleP:= 0;
  MnoznikL:= 0;
  MnoznikP:= 0;
  cuKwotaL:= 0;
  cuKwotaP:= 0;

   wgS_SPRPOZpoIDSPRAW(sTabelaL, sPoleL, iID_S_SPRPO_L, PoleL, MnoznikL, CzyABS_L);
  wgS_SPRPOZpoSPRAWAKT(sTabelaP, sPoleP, iID_S_SPRPO_P, PoleP, MnoznikP, CzyABS_P);

  MnoznikPrzezPole(cuKwotaL, MnoznikL, PoleL,
                   cuKwotaP, MnoznikP, PoleP,
                   CzyABS_L);

  Wynikowe_BILPOZlubS_SPRPOZ(sTabelaL, iID_S_SPRPO_L, cuKwotaL,
                             sTabelaP, iID_S_SPRPO_P, cuKwotaP);
end;

//------------------------------------------------

//Z.D. 2009-06; (zmiana koncepcji ABS)
//dla porownywania kwot z FJ z BILJ,
//lewa tabela (FJ) jest podstawa - jej dotyczy parametr IDSPRAW weryfikowanego sprawozdania

procedure S_SPRPOZ_vs_BILPOZ(sTabelaL, sPoleL: string; iID_S_SPRPO: integer;
                             sTabelaP, sPoleP: string; iID_S_BILPOZ: integer);
{var
  PoleL: currency; MnoznikL: integer; CzyABS: boolean;
  PoleP: currency; MnoznikP: integer;
  cuKwotaL: currency;
  cuKwotaP: currency;}

begin
  {PoleL:= 0;
  PoleP:= 0;
  MnoznikL:= 0;
  MnoznikP:= 0;
  CzyABS:= false;
  cuKwotaL:= 0;
  cuKwotaP:= 0;

  wgS_SPRPOZpoIDSPRAW(sTabelaL, sPoleL, iID_S_SPRPO,  PoleL, MnoznikL, CzyABS);
   wgBILPOZpoSPRAWAKT(sTabelaP, sPoleP, iID_S_BILPOZ, PoleP, MnoznikP);
   if porownanieabs then  CzyABS:=true;
  MnoznikPrzezPole(cuKwotaL, MnoznikL, PoleL,
                   cuKwotaP, MnoznikP, PoleP,
                   CzyABS);

  Wynikowe_BILPOZlubS_SPRPOZ(sTabelaL, iID_S_SPRPO, cuKwotaL,
                             sTabelaP, iID_S_BILPOZ, cuKwotaP);}
  S_SPRPOZ_vs_BILPOZabs(sTabelaL,sPoleL,iID_s_SPRPO,
  sTabelaP,sPoleP,iID_S_BilPOZ,
  false);
end;
//------------------------------------------------
//Z.D. 2009-06; (zmiana koncepcji ABS)
//dla porownywania kwot z BILJ z FJ,
//lewa tabela (BILJ) jest podstawa - jej dotyczy parametr IDSPRAW weryfikowanego sprawozdania

procedure BILPOZ_vs_S_SPRPOZ(sTabelaL, sPoleL: string; iID_S_BILPOZ: integer;
                             sTabelaP, sPoleP: string; iID_S_SPRPO: integer);
{var
  PoleL: currency; MnoznikL: integer; CzyABS: boolean;
  PoleP: currency; MnoznikP: integer;
  cuKwotaL: currency;
  cuKwotaP: currency;}
begin
  {PoleL:= 0;
  PoleP:= 0;
  MnoznikL:= 0;
  MnoznikP:= 0;
  CzyABS:= false;
  cuKwotaL:= 0;
  cuKwotaP:= 0;

     wgBILPOZpoIDSPRAW(sTabelaL, sPoleL, iID_S_BILPOZ, PoleL, MnoznikL);
  wgS_SPRPOZpoSPRAWAKT(sTabelaP, sPoleP, iID_S_SPRPO,  PoleP, MnoznikP, CzyABS);
  if porownanieabs then  CzyABS:=true;

  MnoznikPrzezPole(cuKwotaL, MnoznikL, PoleL,
                   cuKwotaP, MnoznikP, PoleP,
                   CzyABS);

  Wynikowe_BILPOZlubS_SPRPOZ(sTabelaL, iID_S_BILPOZ, cuKwotaL,
                             sTabelaP, iID_S_SPRPO, cuKwotaP);}
    S_SPRPOZ_vs_BILPOZabs(sTabelaP,sPoleP,iID_s_SPRPO,
  sTabelaL,sPoleL,iID_S_BilPOZ,
  false);
end;
//------------------------------------------------
//Z.D. 2009-06;
procedure wgDWpoIDSPRAW(sTabela: string; var Suma: currency; var IdSpraw: integer);
var
  query: TQuery;

begin
  sTabela:= UpperCase(sTabela); //a'propos firebird

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  // policz sume
  query.Close;
  query.SQL.Clear;
  query.sql.add('select SUM(B.R4) SUMR4, Min(B.IDSPRAW) IDSPRAW');
  query.sql.add('from');
  query.sql.add('  '+sTabela+' B');
  query.sql.add('where');
  query.sql.add('      B.STATUS = ''1''');
  query.sql.add('  and B.IDSPRAW = :IDSPRAW');

  query.Open;
  Suma:= query.FieldByName('SUMR4').AsCurrency;
  IdSpraw:= query.FieldByName('IDSPRAW').AsInteger;

  query.Close;
  query.SQL.Clear;
end;
//------------------------------------------------
//Z.D. 2009-06;
procedure wgDWpoSPRAWAKT(sTabela: string; var Suma: currency; var CzyDWisNull: boolean);
var
  query: TQuery;

begin
  sTabela:= UpperCase(sTabela); //a'propos firebird

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  // policz sume
  query.Close;
  query.SQL.Clear;
  query.sql.add('select SUM(B.R4) SUMR4');
  query.sql.add('from');
  query.sql.add('  '+sTabela+' B');
  query.sql.add('    inner join JBSPRAWAKT SA on (B.IDSPRAW = SA.IDSPRAW)');
  query.sql.add('where');
  query.sql.add('      B.STATUS = ''1''');
  query.sql.add('  and B.ROK = :ROK');
  query.sql.add('  and B.KWARTAL = :KWARTAL');
  query.sql.add('  and B.ID_JST = :ID_JST');
  query.sql.add('  and B.ID_JB = :ID_JB AND CZAST=0');

  query.Open;
  Suma:= query.FieldByName('SUMR4').AsCurrency;
  CzyDWisNull:= query.FieldByName('SUMR4').IsNull;

  query.Close;
  query.SQL.Clear;
end;
//------------------------------------------------
//Z.D. 2009-06; dla porownan FJ vs D/W
procedure Wynikowe_DWlubS_SPRPOZ(iID_S_SPRPO: integer; CzyDWisNull: boolean; iIdSpraw: integer;
                                 sTabelaL: string; cuKwotaL: currency; cuKwotaP: currency);
var
  query: TQuery;

begin
  //a'propos firebird
  sTabelaL:= UpperCase(sTabelaL);

  query:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  query.Close;
  query.sql.Clear;
  query.sql.add('select');
  //jesli FJ jest wg IDSPRAW, a D/W wg SPRAWAKT, to IDSPRAW pobierany jest bezposrednio z tabeli
  if sTabelaL = 'JBFJ' then
    query.sql.add('  B.IDSPRAW,')
  else
    query.sql.add('  Cast('+IntToStr(iIdSpraw)+' as Integer) as IDSPRAW,');
    
  query.sql.add('  0 as ROZNICA,');

  //pod paradoxem: cast(-x as float) <> -cast(x as float) :p
  if cuKwotaL < 0 then
    query.sql.add('  -Cast('+PrzecinekNaKropke(FloatToStr(-cuKwotaL))+' as Float(18)) as LEWA,')
  else
    query.sql.add('  Cast('+PrzecinekNaKropke(FloatToStr(cuKwotaL))+' as Float(18)) as LEWA,');

  //pod paradoxem: cast(-x as float) <> -cast(x as float) :p
  if cuKwotaP < 0 then
    query.sql.add('  -Cast('+PrzecinekNaKropke(FloatToStr(-cuKwotaP))+' as Float(18)) as PRAWA,')
  else
    query.sql.add('  Cast('+PrzecinekNaKropke(FloatToStr(cuKwotaP))+' as Float(18)) as PRAWA,');

  query.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  query.sql.add('from');
  query.sql.add('  JBFJ B');
  if sTabelaL <> 'JBFJ' then
    query.sql.add('    inner join JBSPRAWAKT SA on (B.IDSPRAW = SA.IDSPRAW)');

  query.sql.add('where');
  query.sql.add('  B.ID_S_SPRPO = '+FloatToStr(iID_S_SPRPO));
  //okreslenie filtra - po IDSPRAW czy po SPRAWAKT?
  if sTabelaL = 'JBFJ' then
    begin
      query.sql.add('  and B.IDSPRAW = :IDSPRAW');
    end
  else
    begin
      query.sql.add('  and B.ROK = :ROK');
      query.sql.add('  and B.KWARTAL = :KWARTAL');
      query.sql.add('  and B.ID_JST = :ID_JST');
      query.sql.add('  and B.ID_JB = :ID_JB');
    end;

  //"byc, czy nie byc"
  //jesli to sprawdzanie JBFJ i nie ma sprawozdania w D/W, to nie zwracaj bledu:
  if (sTabelaL = 'JBFJ') and (CzyDWisNull) then
    query.sql.add('  and '+c_SQL_FALSE)
  else
  //w przeciwnym wypadku (albo sprawdzanie D/W, albo jest sprawozdanie D/W wprowadzone)
  //porownuj kwoty
    begin
      if cuKwotaL <> cuKwotaP then  //Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
        query.sql.add('  and '+c_SQL_TRUE)
      else
        query.sql.add('  and '+c_SQL_FALSE);
    end;
end;
//------------------------------------------------
//Z.D. 2009-06;
procedure S_SPRPOZ_vs_DW(sTabelaL, sPoleL: string; iID_S_SPRPO: integer;
                         sTabelaP: string);
var
  PoleL: currency; MnoznikL: integer; CzyABS: boolean;
  PoleP: currency;
  cuKwotaL: currency;
  cuKwotaP: currency;
  CzyDWisNull: boolean;

begin
  PoleL:= 0;
  PoleP:= 0;
  MnoznikL:= 0;
  CzyABS:= false;
  CzyDWisNull:= false;
  cuKwotaL:= 0;
  cuKwotaP:= 0;

  wgS_SPRPOZpoIDSPRAW(sTabelaL, sPoleL, iID_S_SPRPO, PoleL, MnoznikL, CzyABS);
  wgDWpoSPRAWAKT(sTabelaP, PoleP, CzyDWisNull);

  MnoznikPrzezPole(cuKwotaL, MnoznikL, PoleL,
                   cuKwotaP, 1, PoleP,
                   CzyABS);

  Wynikowe_DWlubS_SPRPOZ(iID_S_SPRPO, CzyDWisNull, 0,
                         sTabelaL, cuKwotaL, cuKwotaP);
end;
//------------------------------------------------
//Z.D. 2009-06;
procedure DW_vs_S_SPRPOZ(sTabelaL: string;
                         sTabelaP, sPoleP: string; iID_S_SPRPO: integer);
var
  PoleL: currency;
  PoleP: currency; MnoznikP: integer; CzyABS: boolean;
  cuKwotaL: currency;
  cuKwotaP: currency;
  iIdSpraw: integer;

begin
  PoleL:= 0;
  PoleP:= 0;
  MnoznikP:= 0;
  CzyABS:= false;
  cuKwotaL:= 0;
  cuKwotaP:= 0;
  iIdSpraw:= 0;

  wgDWpoIDSPRAW(sTabelaL, PoleL, iIdSpraw);
  wgS_SPRPOZpoSPRAWAKT(sTabelaP, sPoleP, iID_S_SPRPO, PoleP, MnoznikP, CzyABS);

  MnoznikPrzezPole(cuKwotaL, 1, PoleL,
                   cuKwotaP, MnoznikP, PoleP,
                   CzyABS);

  Wynikowe_DWlubS_SPRPOZ(iID_S_SPRPO, false, iIdSpraw,
                         sTabelaL, cuKwotaL, cuKwotaP);
end;
//------------------------------------------------
//------------------------------------------------
//Z.D. 2009-08; sziiiit... brak traktowania kodu procedura, a potem jakis ten sam blad jest do usuniecia w 20 i wiecej miejscach, tiaaa...
//procedura jest przerobka (sparametryzowaniem) RB33_XRAZEMR4_2 + dodana opcja innego sql'a dla sPar=' '
//przy okazji: poprawka dla kompatybilnosci z bde-interbasem ('as Sumka' bylo bardzo przydatne-inaczej dla firebirda, btw.: ... zdrabniaczom :P)
function RB3x_RAZEMR(sBaza: string; sPole: string; sXY: string; sKod: string; sPar: string): string;
var
  qry: Tquery;

begin
  qry:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  qry.SQL.Clear;
  qry.SQL.Add('select');
  qry.SQL.Add('  B.IDSPRAW, ');
  qry.SQL.Add('  0 as roznica,');
  qry.SQL.Add('  B.'+sPole+' as lewa,');
  if sPar = ' ' then
    qry.SQL.Add('  (select Sum(S.'+sPole+') from '+sBaza+' S where S.IDSPRAW = :IDSPRAW and S.KOD = '''+sKod+''' and not (S.PAR = '' '') and S.DZIAL = B.DZIAL and S.ROZDZIAL = B.ROZDZIAL) as prawa,')
  else
    qry.SQL.Add('  (select Sum(S.'+sPole+') from '+sBaza+' S where S.IDSPRAW = :IDSPRAW and S.KOD = '''+sKod+''' and S.PAR= '''+sPar+''' and S.DZIAL = B.DZIAL and S.ROZDZIAL = B.ROZDZIAL) as prawa,');
  qry.SQL.Add('  ''='' as operator,');
  qry.SQL.Add('  '' '' as status,');
  qry.SQL.Add('  B.DZIAL, B.ROZDZIAL, B.PAR');
  qry.SQL.Add('from ');
  qry.SQL.Add('  '+sBaza+' B');
  qry.SQL.Add('where ');
  qry.SQL.Add('  B.IDSPRAW = :IDSPRAW');
  qry.SQL.Add('  and B.KOD = '''+sXY+'''');
  qry.SQL.Add('  and (B.PAR = '' '')');  //2005-10-14 'and (B.PAR IS NULL)'
  if sPar = ' ' then
    qry.SQL.Add('  and B.'+sPole+' <> (select Sum(W.'+sPole+') from '+sBaza+' W where W.IDSPRAW = :IDSPRAW and W.KOD = '''+sKod+''' and not (W.PAR = '' ''))')
  else
    qry.SQL.Add('  and B.'+sPole+' <> (select Sum(W.'+sPole+') from '+sBaza+' W where W.IDSPRAW = :IDSPRAW and W.KOD = '''+sKod+''' and W.PAR = '''+sPar+''')');

  qry.Active:= true;
  if AbsCurrency(qry.FieldByName('LEWA').AsCurrency - qry.FieldByName('PRAWA').AsCurrency) < 0.001 then
    qry.SQL.Clear;
end;
//------------------------------------------------
//================================================
//------------------------------------------------
////////////////////////////////////////////////////////////////////////////
/// FORMULARZ N
////////////////////////////////////////////////////////////////////////////
function N_N_1:String;
var Dane:TDataSource;
begin
//N>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');
   if Dane.Dataset.FieldByName('N').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N_2:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N').asCurrency=Dane.Dataset.FieldByName('N1').asCurrency+Dane.Dataset.FieldByName('N2').asCurrency+Dane.Dataset.FieldByName('N3').asCurrency+Dane.Dataset.FieldByName('N4').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1').asCurrency+Dane.Dataset.FieldByName('N2').asCurrency+Dane.Dataset.FieldByName('N3').asCurrency+Dane.Dataset.FieldByName('N4').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N_3:String;
var Dane:TDataSource;
begin
//N=NKO+NZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N').asCurrency=Dane.Dataset.FieldByName('NKO').asCurrency+Dane.Dataset.FieldByName('NZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('NKO').asCurrency+Dane.Dataset.FieldByName('NZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1_1:String;
var Dane:TDataSource;
begin
//N1>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1_2:String;
var Dane:TDataSource;
begin
//N1=N1KO+N1ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1').asCurrency=Dane.Dataset.FieldByName('N1KO').asCurrency+Dane.Dataset.FieldByName('N1ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KO').asCurrency+Dane.Dataset.FieldByName('N1ZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11_1:String;
var Dane:TDataSource;
begin
//N11<=N1
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11').asCurrency<=Dane.Dataset.FieldByName('N1').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11').AsString+'#'+Dane.Dataset.FieldByName('N1').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11_2:String;
var Dane:TDataSource;
begin
//N11>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11_3:String;
var Dane:TDataSource;
begin
//N11=N11KO+N11ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11').asCurrency=Dane.Dataset.FieldByName('N11KO').asCurrency+Dane.Dataset.FieldByName('N11ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N11KO').asCurrency+Dane.Dataset.FieldByName('N11ZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KC_1:String;
var Dane:TDataSource;
begin
//N11KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KC_2:String;
var Dane:TDataSource;
begin
//N11KC<=N1KC
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KC').asCurrency<=Dane.Dataset.FieldByName('N1KC').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KC').AsString+'#'+Dane.Dataset.FieldByName('N1KC').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KF_1:String;
var Dane:TDataSource;
begin
//N11KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//N11KF=N11KR+N11KS+N11KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');
   suma:=Dane.Dataset.FieldByName('N11KR').asCurrency+Dane.Dataset.FieldByName('N11KS').asCurrency+Dane.Dataset.FieldByName('N11KU').asCurrency;

   if Dane.Dataset.FieldByName('N11KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KF').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KF_3:String;
var Dane:TDataSource;
begin
//N11KF<=N1KF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KF').asCurrency<=Dane.Dataset.FieldByName('N1KF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KF').AsString+'#'+Dane.Dataset.FieldByName('N1KF').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KK_1:String;
var Dane:TDataSource;
begin
//N11KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KK_2:String;
var Dane:TDataSource;
begin
//N11KK<=N1KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KK').asCurrency<=Dane.Dataset.FieldByName('N1KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KK').AsString+'#'+Dane.Dataset.FieldByName('N1KK').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//N11KO>=N11KF+N11KC+N11KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');
   suma:=Dane.Dataset.FieldByName('N11KF').asCurrency+Dane.Dataset.FieldByName('N11KC').asCurrency+Dane.Dataset.FieldByName('N11KK').asCurrency;

   if Dane.Dataset.FieldByName('N11KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KO_2:String;
var Dane:TDataSource;
begin
//N11KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KO_3:String;
var Dane:TDataSource;
begin
//N11KO<=N1KO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KO').asCurrency<=Dane.Dataset.FieldByName('N1KO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KO').AsString+'#'+Dane.Dataset.FieldByName('N1KO').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KP_1:String;
var Dane:TDataSource;
begin
//N11KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KP_2:String;
var Dane:TDataSource;
begin
//N11KP<=N11KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KP').asCurrency<=Dane.Dataset.FieldByName('N11KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KP').AsString+'#'+Dane.Dataset.FieldByName('N11KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KP_3:String;
var Dane:TDataSource;
begin
//N11KP<=N1KP
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KP').asCurrency<=Dane.Dataset.FieldByName('N1KP').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KP').AsString+'#'+Dane.Dataset.FieldByName('N1KP').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KR_1:String;
var Dane:TDataSource;
begin
//N11KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KR_2:String;
var Dane:TDataSource;
begin
//N11KR<=N1KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KR').asCurrency<=Dane.Dataset.FieldByName('N1KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KR').AsString+'#'+Dane.Dataset.FieldByName('N1KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KS_1:String;
var Dane:TDataSource;
begin
//N11KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KS_2:String;
var Dane:TDataSource;
begin
//N11KS<=N1KS
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KS').asCurrency<=Dane.Dataset.FieldByName('N1KS').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KS').AsString+'#'+Dane.Dataset.FieldByName('N1KS').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KU_1:String;
var Dane:TDataSource;
begin
//N11KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11KU_2:String;
var Dane:TDataSource;
begin
//N11KU<=N1KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11KU').asCurrency<=Dane.Dataset.FieldByName('N1KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11KU').AsString+'#'+Dane.Dataset.FieldByName('N1KU').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11ZF_1:String;
var Dane:TDataSource;
begin
//N11ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11ZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11ZF_2:String;
var Dane:TDataSource;
begin
//N11ZF<=N1ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11ZF').asCurrency<=Dane.Dataset.FieldByName('N1ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11ZF').AsString+'#'+Dane.Dataset.FieldByName('N1ZF').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11ZO_1:String;
var Dane:TDataSource;
begin
//N11ZO>=N11ZZ+N11ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11ZO').asCurrency>=Dane.Dataset.FieldByName('N11ZZ').asCurrency+Dane.Dataset.FieldByName('N11ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11ZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N11ZZ').asCurrency+Dane.Dataset.FieldByName('N11ZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11ZO_2:String;
var Dane:TDataSource;
begin
//N11ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11ZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11ZO_3:String;
var Dane:TDataSource;
begin
//N11ZO<=N1ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11ZO').asCurrency<=Dane.Dataset.FieldByName('N1ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11ZO').AsString+'#'+Dane.Dataset.FieldByName('N1ZO').AsString+'#<=';
end;


////////////////////////////////////////////////////////////////////////////
function N_N11ZZ_1:String;
var Dane:TDataSource;
begin
//N11ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N11ZZ_2:String;
var Dane:TDataSource;
begin
//N11ZZ<=N1ZZ
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N11ZZ').asCurrency<=Dane.Dataset.FieldByName('N1ZZ').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N11ZZ').AsString+'#'+Dane.Dataset.FieldByName('N1ZZ').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KC_1:String;
var Dane:TDataSource;
begin
//N1KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KF_1:String;
var Dane:TDataSource;
begin
//N1KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KF_2:String;
var Dane:TDataSource;
begin
//N1KF=N1KR+N1KS+N1KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KF').asCurrency=Dane.Dataset.FieldByName('N1KR').asCurrency+Dane.Dataset.FieldByName('N1KS').asCurrency+Dane.Dataset.FieldByName('N1KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KR').asCurrency+Dane.Dataset.FieldByName('N1KS').asCurrency+Dane.Dataset.FieldByName('N1KU').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KK_1:String;
var Dane:TDataSource;
begin
//N1KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KO_1:String;
var Dane:TDataSource;
begin
//N1KO>=N1KF+N1KC+NKK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KO').asCurrency>=Dane.Dataset.FieldByName('N1KF').asCurrency+Dane.Dataset.FieldByName('N1KC').asCurrency+Dane.Dataset.FieldByName('N1KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KF').asCurrency+Dane.Dataset.FieldByName('N1KC').asCurrency+Dane.Dataset.FieldByName('N1KK').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KO_2:String;
var Dane:TDataSource;
begin
//N1KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KP_1:String;
var Dane:TDataSource;
begin
//N1KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KP_2:String;
var Dane:TDataSource;
begin
//N1KP<=N1KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KP').asCurrency<=Dane.Dataset.FieldByName('N1KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KP').AsString+'#'+Dane.Dataset.FieldByName('N1KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KR_1:String;
var Dane:TDataSource;
begin
//N1KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KR_1:String;
var Dane:TDataSource;
begin
//N1KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KS_1:String;
var Dane:TDataSource;
begin
//N1KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1KU_1:String;
var Dane:TDataSource;
begin
//N1KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1KU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1ZF_1:String;
var Dane:TDataSource;
begin
//N1ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1ZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1ZO_1:String;
var Dane:TDataSource;
begin
//N1ZO>=N1ZZ+N1ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1ZO').asCurrency>=Dane.Dataset.FieldByName('N1ZZ').asCurrency+Dane.Dataset.FieldByName('N1ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1ZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1ZZ').asCurrency+Dane.Dataset.FieldByName('N1ZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1ZO_2:String;
var Dane:TDataSource;
begin
//N1ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1ZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N1ZZ_1:String;
var Dane:TDataSource;
begin
//N1ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N1ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N1ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2_1:String;
var Dane:TDataSource;
begin
//N2=N2KO+N2ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2').asCurrency=Dane.Dataset.FieldByName('N2KO').asCurrency+Dane.Dataset.FieldByName('N2ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N2KO').asCurrency+Dane.Dataset.FieldByName('N2ZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2_2:String;
var Dane:TDataSource;
begin
//N2>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21_1:String;
var Dane:TDataSource;
begin
//N21=N21KO+N21ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21').asCurrency=Dane.Dataset.FieldByName('N21KO').asCurrency+Dane.Dataset.FieldByName('N21ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N21KO').asCurrency+Dane.Dataset.FieldByName('N21ZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21_2:String;
var Dane:TDataSource;
begin
//N21>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21_3:String;
var Dane:TDataSource;
begin
//N21<=N2
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21').asCurrency<=Dane.Dataset.FieldByName('N2').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21').AsString+'#'+Dane.Dataset.FieldByName('N2').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KC_1:String;
var Dane:TDataSource;
begin
//N21KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KC_2:String;
var Dane:TDataSource;
begin
//N21KC<=N2KC
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KC').asCurrency<=Dane.Dataset.FieldByName('N2KC').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KC').AsString+'#'+Dane.Dataset.FieldByName('N2KC').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KF_1:String;
var Dane:TDataSource;
begin
//N21KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KF_2:String;
var Dane:TDataSource;
begin
//N21KF=N21KR+N21KS+N21KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KF').asCurrency=Dane.Dataset.FieldByName('N21KR').asCurrency+Dane.Dataset.FieldByName('N21KS').asCurrency+Dane.Dataset.FieldByName('N21KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N21KR').asCurrency+Dane.Dataset.FieldByName('N21KS').asCurrency+Dane.Dataset.FieldByName('N21KU').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KF_3:String;
var Dane:TDataSource;
begin
//N21KF<=N2KF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KF').asCurrency<=Dane.Dataset.FieldByName('N2KF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KF').AsString+'#'+Dane.Dataset.FieldByName('N2KF').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KK_1:String;
var Dane:TDataSource;
begin
//N21KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KK_2:String;
var Dane:TDataSource;
begin
//N21KK<=N2KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KK').asCurrency<=Dane.Dataset.FieldByName('N2KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KK').AsString+'#'+Dane.Dataset.FieldByName('N2KK').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KO_1:String;
var Dane:TDataSource;
begin
//N21KO>=N21KF+N21KC+N21KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KO').asCurrency>=Dane.Dataset.FieldByName('N21KF').asCurrency+Dane.Dataset.FieldByName('N21KC').asCurrency+Dane.Dataset.FieldByName('N21KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N21KF').asCurrency+Dane.Dataset.FieldByName('N21KC').asCurrency+Dane.Dataset.FieldByName('N21KK').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KO_2:String;
var Dane:TDataSource;
begin
//N21KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KO_3:String;
var Dane:TDataSource;
begin
//N21KO<=N2KO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KO').asCurrency<=Dane.Dataset.FieldByName('N2KO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KO').AsString+'#'+Dane.Dataset.FieldByName('N2KO').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KP_1:String;
var Dane:TDataSource;
begin
//N21KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KP_2:String;
var Dane:TDataSource;
begin
//N22KP<=N22KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KP').asCurrency<=Dane.Dataset.FieldByName('N21KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KP').AsString+'#'+Dane.Dataset.FieldByName('N21KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KP_3:String;
var Dane:TDataSource;
begin
//N21KP<=N2KP
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KP').asCurrency<=Dane.Dataset.FieldByName('N2KP').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KP').AsString+'#'+Dane.Dataset.FieldByName('N2KP').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KR_1:String;
var Dane:TDataSource;
begin
//N21KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KR_2:String;
var Dane:TDataSource;
begin
//N21KR<=N2KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KR').asCurrency<=Dane.Dataset.FieldByName('N2KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KR').AsString+'#'+Dane.Dataset.FieldByName('N2KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KS_1:String;
var Dane:TDataSource;
begin
//N21KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KS_2:String;
var Dane:TDataSource;
begin
//N21KS<=N2KS
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KS').asCurrency<=Dane.Dataset.FieldByName('N2KS').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KS').AsString+'#'+Dane.Dataset.FieldByName('N2KS').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KU_1:String;
var Dane:TDataSource;
begin
//N21KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21KU_2:String;
var Dane:TDataSource;
begin
//N21KU<=N2KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21KU').asCurrency<=Dane.Dataset.FieldByName('N2KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21KU').AsString+'#'+Dane.Dataset.FieldByName('N2KU').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21ZF_1:String;
var Dane:TDataSource;
begin
//N21ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21ZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21ZF_2:String;
var Dane:TDataSource;
begin
//N21ZF<=N2ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21ZF').asCurrency<=Dane.Dataset.FieldByName('N2ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21ZF').AsString+'#'+Dane.Dataset.FieldByName('N2ZF').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21ZO_1:String;
var Dane:TDataSource;
begin
//N21ZO>=N21ZZ+N21ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21ZO').asCurrency>=Dane.Dataset.FieldByName('N21ZZ').asCurrency+Dane.Dataset.FieldByName('N21ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21ZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N21ZZ').asCurrency+Dane.Dataset.FieldByName('N21ZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21ZO_2:String;
var Dane:TDataSource;
begin
//N21ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21ZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21ZO_3:String;
var Dane:TDataSource;
begin
//N21ZO<=N2ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21ZO').asCurrency<=Dane.Dataset.FieldByName('N2ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21ZO').AsString+'#'+Dane.Dataset.FieldByName('N2ZO').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21ZZ_1:String;
var Dane:TDataSource;
begin
//N21ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N21ZZ_2:String;
var Dane:TDataSource;
begin
//N21ZZ<=N2ZZ
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N21ZZ').asCurrency<=Dane.Dataset.FieldByName('N2ZZ').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N21ZZ').AsString+'#'+Dane.Dataset.FieldByName('N2ZZ').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KC_1:String;
var Dane:TDataSource;
begin
//N2KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KF_1:String;
var Dane:TDataSource;
begin
//N2KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KF_2:String;
var Dane:TDataSource;
begin
//N2KF=N2KR+N2KS+N2KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KF').asCurrency=Dane.Dataset.FieldByName('N2KR').asCurrency+Dane.Dataset.FieldByName('N2KS').asCurrency+Dane.Dataset.FieldByName('N2KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N2KR').asCurrency+Dane.Dataset.FieldByName('N2KS').asCurrency+Dane.Dataset.FieldByName('N2KU').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KK_1:String;
var Dane:TDataSource;
begin
//N2KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KO_1:String;
var Dane:TDataSource;
begin
//N2KO>=N2KF+N2KC+N2KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KO').asCurrency>=Dane.Dataset.FieldByName('N2KF').asCurrency+Dane.Dataset.FieldByName('N2KC').asCurrency+Dane.Dataset.FieldByName('N2KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N2KF').asCurrency+Dane.Dataset.FieldByName('N2KC').asCurrency+Dane.Dataset.FieldByName('N2KK').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KO_2:String;
var Dane:TDataSource;
begin
//N2KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KP_1:String;
var Dane:TDataSource;
begin
//N2KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KP_2:String;
var Dane:TDataSource;
begin
//N2KP<=N2KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KP').asCurrency<=Dane.Dataset.FieldByName('N2KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KP').AsString+'#'+Dane.Dataset.FieldByName('N2KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KR_1:String;
var Dane:TDataSource;
begin
//N2KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KS_1:String;
var Dane:TDataSource;
begin
//N2KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2KU_1:String;
var Dane:TDataSource;
begin
//N2KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2KU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2ZF_1:String;
var Dane:TDataSource;
begin
//N2ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2ZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2ZO_1:String;
var Dane:TDataSource;
begin
//N2ZO>=N2ZZ+N2ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2ZO').asCurrency>=Dane.Dataset.FieldByName('N2ZZ').asCurrency+Dane.Dataset.FieldByName('N2ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2ZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N2ZZ').asCurrency+Dane.Dataset.FieldByName('N2ZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2ZO_2:String;
var Dane:TDataSource;
begin
//N2ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2ZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N2ZZ_1:String;
var Dane:TDataSource;
begin
//N2ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N2ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N2ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3_1:String;
var Dane:TDataSource;
begin
//N3=N3KO+N3ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3').asCurrency=Dane.Dataset.FieldByName('N3KO').asCurrency+Dane.Dataset.FieldByName('N3ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N3KO').asCurrency+Dane.Dataset.FieldByName('N3ZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3_2:String;
var Dane:TDataSource;
begin
//N3>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KC_1:String;
var Dane:TDataSource;
begin
//N3KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KF_1:String;
var Dane:TDataSource;
begin
//N3KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KF_2:String;
var Dane:TDataSource;
begin
//N3KF=N3KR+N3KS+N3KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KF').asCurrency=Dane.Dataset.FieldByName('N3KR').asCurrency+Dane.Dataset.FieldByName('N3KS').asCurrency+Dane.Dataset.FieldByName('N3KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N3KR').asCurrency+Dane.Dataset.FieldByName('N3KS').asCurrency+Dane.Dataset.FieldByName('N3KU').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KK_1:String;
var Dane:TDataSource;
begin
//N3KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KO_1:String;
var Dane:TDataSource;
begin
//N3KO>=N3KF+N3KC+N3KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KO').asCurrency>=Dane.Dataset.FieldByName('N3KF').asCurrency+Dane.Dataset.FieldByName('N3KC').asCurrency+Dane.Dataset.FieldByName('N3KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N3KF').asCurrency+Dane.Dataset.FieldByName('N3KC').asCurrency+Dane.Dataset.FieldByName('N3KK').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KO_2:String;
var Dane:TDataSource;
begin
//N3KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KP_1:String;
var Dane:TDataSource;
begin
//N3KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KP_2:String;
var Dane:TDataSource;
begin
//N3KP<=N3KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KP').asCurrency<=Dane.Dataset.FieldByName('N3KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KP').AsString+'#'+Dane.Dataset.FieldByName('N3KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KR_1:String;
var Dane:TDataSource;
begin
//N3KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KS_1:String;
var Dane:TDataSource;
begin
//N3KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3KU_1:String;
var Dane:TDataSource;
begin
//N3KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3KU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3ZF_1:String;
var Dane:TDataSource;
begin
//N3ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3ZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3ZO_1:String;
var Dane:TDataSource;
begin
//N3ZO>=N3ZZ+N3ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3ZO').asCurrency>=Dane.Dataset.FieldByName('N3ZZ').asCurrency+Dane.Dataset.FieldByName('N3ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3ZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N3ZZ').asCurrency+Dane.Dataset.FieldByName('N3ZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3ZO_2:String;
var Dane:TDataSource;
begin
//N3ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3ZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N3ZZ_1:String;
var Dane:TDataSource;
begin
//N3ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N3ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N3ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4_1:String;
var Dane:TDataSource;
begin
//N4=N4KO+N4ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4').asCurrency=Dane.Dataset.FieldByName('N4KO').asCurrency+Dane.Dataset.FieldByName('N4ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N4KO').asCurrency+Dane.Dataset.FieldByName('N4ZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4_2:String;
var Dane:TDataSource;
begin
//N4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41_1:String;
var Dane:TDataSource;
begin
//N41=N41KO+N41ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41').asCurrency=Dane.Dataset.FieldByName('N41KO').asCurrency+Dane.Dataset.FieldByName('N41ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N41KO').asCurrency+Dane.Dataset.FieldByName('N41ZO').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41_2:String;
var Dane:TDataSource;
begin
//N41>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41_3:String;
var Dane:TDataSource;
begin
//N41<=N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41').asCurrency<=Dane.Dataset.FieldByName('N4').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41').AsString+'#'+Dane.Dataset.FieldByName('N4').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KC_1:String;
var Dane:TDataSource;
begin
//N41KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KC_2:String;
var Dane:TDataSource;
begin
//N41KC<=N4KC
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KC').asCurrency<=Dane.Dataset.FieldByName('N4KC').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KC').AsString+'#'+Dane.Dataset.FieldByName('N4KC').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KF_1:String;
var Dane:TDataSource;
begin
//N41KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KF_2:String;
var Dane:TDataSource;
begin
//N41KF=N41KR+N41KS+N41KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KF').asCurrency=Dane.Dataset.FieldByName('N41KR').asCurrency+Dane.Dataset.FieldByName('N41KS').asCurrency+Dane.Dataset.FieldByName('N41KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N41KR').asCurrency+Dane.Dataset.FieldByName('N41KS').asCurrency+Dane.Dataset.FieldByName('N41KU').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KF_3:String;
var Dane:TDataSource;
begin
//N41KF<=N4KF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KF').asCurrency<=Dane.Dataset.FieldByName('N4KF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KF').AsString+'#'+Dane.Dataset.FieldByName('N4KF').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KK_1:String;
var Dane:TDataSource;
begin
//N41KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KK_2:String;
var Dane:TDataSource;
begin
//N41KK<=N4KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KK').asCurrency<=Dane.Dataset.FieldByName('N4KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KK').AsString+'#'+Dane.Dataset.FieldByName('N4KK').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KO_1:String;
var Dane:TDataSource;
begin
//N41KO>=N41KF+N41KC+N41KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KO').asCurrency>=Dane.Dataset.FieldByName('N41KF').asCurrency+Dane.Dataset.FieldByName('N41KC').asCurrency+Dane.Dataset.FieldByName('N41KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N41KF').asCurrency+Dane.Dataset.FieldByName('N41KC').asCurrency+Dane.Dataset.FieldByName('N41KK').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KO_2:String;
var Dane:TDataSource;
begin
//N41KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KO_3:String;
var Dane:TDataSource;
begin
//N41KO<=N4KO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KO').asCurrency<=Dane.Dataset.FieldByName('N4KO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KO').AsString+'#'+Dane.Dataset.FieldByName('N4KO').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KP_1:String;
var Dane:TDataSource;
begin
//N41KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KP_2:String;
var Dane:TDataSource;
begin
//N41KP<=N41KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KP').asCurrency<=Dane.Dataset.FieldByName('N41KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KP').AsString+'#'+Dane.Dataset.FieldByName('N41KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KP_3:String;
var Dane:TDataSource;
begin
//N41KP<=N4KP
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KP').asCurrency<=Dane.Dataset.FieldByName('N4KP').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KP').AsString+'#'+Dane.Dataset.FieldByName('N4KP').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KR_1:String;
var Dane:TDataSource;
begin
//N41KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KR_2:String;
var Dane:TDataSource;
begin
//N41KR<=N4KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KR').asCurrency<=Dane.Dataset.FieldByName('N4KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KR').AsString+'#'+Dane.Dataset.FieldByName('N4KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KS_1:String;
var Dane:TDataSource;
begin
//N41KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KS_2:String;
var Dane:TDataSource;
begin
//N41KS<=N4KS
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KS').asCurrency<=Dane.Dataset.FieldByName('N4KS').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KS').AsString+'#'+Dane.Dataset.FieldByName('N4KS').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KU_1:String;
var Dane:TDataSource;
begin
//N41KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41KU_2:String;
var Dane:TDataSource;
begin
//N41KU<=N4KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41KU').asCurrency<=Dane.Dataset.FieldByName('N4KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41KU').AsString+'#'+Dane.Dataset.FieldByName('N4KU').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41ZF_1:String;
var Dane:TDataSource;
begin
//N41ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41ZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41ZF_2:String;
var Dane:TDataSource;
begin
//N41ZF<=N4ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41ZF').asCurrency<=Dane.Dataset.FieldByName('N4ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41ZF').AsString+'#'+Dane.Dataset.FieldByName('N4ZF').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41ZO_1:String;
var Dane:TDataSource;
begin
//N41ZO>=N41ZZ+N41ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41ZO').asCurrency>=Dane.Dataset.FieldByName('N41ZZ').asCurrency+Dane.Dataset.FieldByName('N41ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41ZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N41ZZ').asCurrency+Dane.Dataset.FieldByName('N41ZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41ZO_2:String;
var Dane:TDataSource;
begin
//N41ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41ZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41ZO_3:String;
var Dane:TDataSource;
begin
//N41ZO<=N4ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41ZO').asCurrency<=Dane.Dataset.FieldByName('N4ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41ZO').AsString+'#'+Dane.Dataset.FieldByName('N4ZO').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41ZZ_1:String;
var Dane:TDataSource;
begin
//N41ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N41ZZ_2:String;
var Dane:TDataSource;
begin
//N41ZZ<=N4ZZ
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N41ZZ').asCurrency<=Dane.Dataset.FieldByName('N4ZZ').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N41ZZ').AsString+'#'+Dane.Dataset.FieldByName('N4ZZ').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KC_1:String;
var Dane:TDataSource;
begin
//N4KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KF_1:String;
var Dane:TDataSource;
begin
//N4KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KF_2:String;
var Dane:TDataSource;
begin
//N4KF=N4KR+N4KS+N4KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KF').asCurrency=Dane.Dataset.FieldByName('N4KR').asCurrency+Dane.Dataset.FieldByName('N4KS').asCurrency+Dane.Dataset.FieldByName('N4KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N4KR').asCurrency+Dane.Dataset.FieldByName('N4KS').asCurrency+Dane.Dataset.FieldByName('N4KU').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KK_1:String;
var Dane:TDataSource;
begin
//N4KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KO_1:String;
var Dane:TDataSource;
begin
//N4KO>=N4KF+N4KC+N4KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KO').asCurrency>=Dane.Dataset.FieldByName('N4KF').asCurrency+Dane.Dataset.FieldByName('N4KC').asCurrency+Dane.Dataset.FieldByName('N4KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N4KF').asCurrency+Dane.Dataset.FieldByName('N4KC').asCurrency+Dane.Dataset.FieldByName('N4KK').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KO_2:String;
var Dane:TDataSource;
begin
//N4KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KO').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function N_N4KP_1:String;
var Dane:TDataSource;
begin
//N4KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KP_2:String;
var Dane:TDataSource;
begin
//N4KP<=N4KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KP').asCurrency<=Dane.Dataset.FieldByName('N4KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KP').AsString+'#'+Dane.Dataset.FieldByName('N4KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KR_1:String;
var Dane:TDataSource;
begin
//N4KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KS_1:String;
var Dane:TDataSource;
begin
//N4KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4KU_1:String;
var Dane:TDataSource;
begin
//N4KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4KU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4ZF_1:String;
var Dane:TDataSource;
begin
//N4ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4ZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4ZO_1:String;
var Dane:TDataSource;
begin
//N4ZO>=N4ZZ+N4ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4ZO').asCurrency>=Dane.Dataset.FieldByName('N4ZZ').asCurrency+Dane.Dataset.FieldByName('N4ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4ZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N4ZZ').asCurrency+Dane.Dataset.FieldByName('N4ZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4ZO_2:String;
var Dane:TDataSource;
begin
//N4ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4ZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_N4ZZ_1:String;
var Dane:TDataSource;
begin
//N4ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('N4ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('N4ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKC_1:String;
var Dane:TDataSource;
begin
//NKC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKF_1:String;
var Dane:TDataSource;
begin
//NKF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKF_2:String;
var Dane:TDataSource;
begin
//NKF=NKR+NKS+NKU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKF').asCurrency=Dane.Dataset.FieldByName('NKR').asCurrency+Dane.Dataset.FieldByName('NKS').asCurrency+Dane.Dataset.FieldByName('NKU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('NKR').asCurrency+Dane.Dataset.FieldByName('NKS').asCurrency+Dane.Dataset.FieldByName('NKU').asCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKK_1:String;
var Dane:TDataSource;
begin
//NKK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKK').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKO_1:String;
var Dane:TDataSource;
begin
//NKO>=NKF+NKC+NKK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKO').asCurrency>=Dane.Dataset.FieldByName('NKF').asCurrency+Dane.Dataset.FieldByName('NKC').asCurrency+Dane.Dataset.FieldByName('NKK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('NKF').asCurrency+Dane.Dataset.FieldByName('NKC').asCurrency+Dane.Dataset.FieldByName('NKK').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKO_2:String;
var Dane:TDataSource;
begin
//NKO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKP_1:String;
var Dane:TDataSource;
begin
//NKP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKP').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKP_2:String;
var Dane:TDataSource;
begin
//NKP<=NKR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKP').asCurrency<=Dane.Dataset.FieldByName('NKR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKP').AsString+'#'+Dane.Dataset.FieldByName('NKR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKR_1:String;
var Dane:TDataSource;
begin
//NKR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKS_1:String;
var Dane:TDataSource;
begin
//NKS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKS').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NKU_1:String;
var Dane:TDataSource;
begin
//NKU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKU').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NZF_1:String;
var Dane:TDataSource;
begin
//NZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NZF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NZO_1:String;
var Dane:TDataSource;
begin
//NZO>=NZZ+NZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NZO').asCurrency>=Dane.Dataset.FieldByName('NZZ').asCurrency+Dane.Dataset.FieldByName('NZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('NZZ').asCurrency+Dane.Dataset.FieldByName('NZF').asCurrency)+'#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NZO_2:String;
var Dane:TDataSource;
begin
//NZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NZO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function N_NZZ_1:String;
var Dane:TDataSource;
begin
//NZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NZZ').AsString+'#0#>=';
end;

//Dodatkowe sumowania

function N_NKO_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKO').asCurrency=Dane.Dataset.FieldByName('N1KO').asCurrency+Dane.Dataset.FieldByName('N2KO').asCurrency+Dane.Dataset.FieldByName('N3KO').asCurrency+Dane.Dataset.FieldByName('N4KO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KO').asCurrency+Dane.Dataset.FieldByName('N2KO').asCurrency+Dane.Dataset.FieldByName('N3KO').asCurrency+Dane.Dataset.FieldByName('N4KO').asCurrency)+'#=';
end;

function N_NKF_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKF').asCurrency=Dane.Dataset.FieldByName('N1KF').asCurrency+Dane.Dataset.FieldByName('N2KF').asCurrency+Dane.Dataset.FieldByName('N3KF').asCurrency+Dane.Dataset.FieldByName('N4KF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KF').asCurrency+Dane.Dataset.FieldByName('N2KF').asCurrency+Dane.Dataset.FieldByName('N3KF').asCurrency+Dane.Dataset.FieldByName('N4KF').asCurrency)+'#=';
end;

function N_NKR_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKR').asCurrency=Dane.Dataset.FieldByName('N1KR').asCurrency+Dane.Dataset.FieldByName('N2KR').asCurrency+Dane.Dataset.FieldByName('N3KR').asCurrency+Dane.Dataset.FieldByName('N4KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKR').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KR').asCurrency+Dane.Dataset.FieldByName('N2KR').asCurrency+Dane.Dataset.FieldByName('N3KR').asCurrency+Dane.Dataset.FieldByName('N4KR').asCurrency)+'#=';
end;

function N_NKP_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKP').asCurrency=Dane.Dataset.FieldByName('N1KP').asCurrency+Dane.Dataset.FieldByName('N2KP').asCurrency+Dane.Dataset.FieldByName('N3KP').asCurrency+Dane.Dataset.FieldByName('N4KP').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKP').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KP').asCurrency+Dane.Dataset.FieldByName('N2KP').asCurrency+Dane.Dataset.FieldByName('N3KP').asCurrency+Dane.Dataset.FieldByName('N4KP').asCurrency)+'#=';
end;

function N_NKS_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKS').asCurrency=Dane.Dataset.FieldByName('N1KS').asCurrency+Dane.Dataset.FieldByName('N2KS').asCurrency+Dane.Dataset.FieldByName('N3KS').asCurrency+Dane.Dataset.FieldByName('N4KS').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKS').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KS').asCurrency+Dane.Dataset.FieldByName('N2KS').asCurrency+Dane.Dataset.FieldByName('N3KS').asCurrency+Dane.Dataset.FieldByName('N4KS').asCurrency)+'#=';
end;

function N_NKU_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKU').asCurrency=Dane.Dataset.FieldByName('N1KU').asCurrency+Dane.Dataset.FieldByName('N2KU').asCurrency+Dane.Dataset.FieldByName('N3KU').asCurrency+Dane.Dataset.FieldByName('N4KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKU').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KU').asCurrency+Dane.Dataset.FieldByName('N2KU').asCurrency+Dane.Dataset.FieldByName('N3KU').asCurrency+Dane.Dataset.FieldByName('N4KU').asCurrency)+'#=';
end;

function N_NKC_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKC').asCurrency=Dane.Dataset.FieldByName('N1KC').asCurrency+Dane.Dataset.FieldByName('N2KC').asCurrency+Dane.Dataset.FieldByName('N3KC').asCurrency+Dane.Dataset.FieldByName('N4KC').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKC').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KC').asCurrency+Dane.Dataset.FieldByName('N2KC').asCurrency+Dane.Dataset.FieldByName('N3KC').asCurrency+Dane.Dataset.FieldByName('N4KC').asCurrency)+'#=';
end;

function N_NKK_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NKK').asCurrency=Dane.Dataset.FieldByName('N1KK').asCurrency+Dane.Dataset.FieldByName('N2KK').asCurrency+Dane.Dataset.FieldByName('N3KK').asCurrency+Dane.Dataset.FieldByName('N4KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NKK').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1KK').asCurrency+Dane.Dataset.FieldByName('N2KK').asCurrency+Dane.Dataset.FieldByName('N3KK').asCurrency+Dane.Dataset.FieldByName('N4KK').asCurrency)+'#=';
end;

function N_NZO_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NZO').asCurrency=Dane.Dataset.FieldByName('N1ZO').asCurrency+Dane.Dataset.FieldByName('N2ZO').asCurrency+Dane.Dataset.FieldByName('N3ZO').asCurrency+Dane.Dataset.FieldByName('N4ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NZO').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1ZO').asCurrency+Dane.Dataset.FieldByName('N2ZO').asCurrency+Dane.Dataset.FieldByName('N3ZO').asCurrency+Dane.Dataset.FieldByName('N4ZO').asCurrency)+'#=';
end;

function N_NZZ_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NZZ').asCurrency=Dane.Dataset.FieldByName('N1ZZ').asCurrency+Dane.Dataset.FieldByName('N2ZZ').asCurrency+Dane.Dataset.FieldByName('N3ZZ').asCurrency+Dane.Dataset.FieldByName('N4ZZ').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NZZ').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1ZZ').asCurrency+Dane.Dataset.FieldByName('N2ZZ').asCurrency+Dane.Dataset.FieldByName('N3ZZ').asCurrency+Dane.Dataset.FieldByName('N4ZZ').asCurrency)+'#=';
end;

function N_NZF_5:String;
var Dane:TDataSource;
begin
//N=N1+N2+N3+N4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('N2');

   if Dane.Dataset.FieldByName('NZF').asCurrency=Dane.Dataset.FieldByName('N1ZF').asCurrency+Dane.Dataset.FieldByName('N2ZF').asCurrency+Dane.Dataset.FieldByName('N3ZF').asCurrency+Dane.Dataset.FieldByName('N4ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('NZF').AsString+'#'+FloatToStr(Dane.Dataset.FieldByName('N1ZF').asCurrency+Dane.Dataset.FieldByName('N2ZF').asCurrency+Dane.Dataset.FieldByName('N3ZF').asCurrency+Dane.Dataset.FieldByName('N4ZF').asCurrency)+'#=';
end;


////////////////////////////////////////////////////////////////////////////
function Z_E_1:String;
var Dane:TDataSource;
    Pomoc:Tquery;
    Pomoc1:Tquery;
    rok,kwartal:String;
    System:TTable;
begin
//E<=0.6*IIF[@IsIn(KWARTAL,"4");From(F,AW);From(F,AP)]
exit; // w JB nie ma 'naleznosci'...
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='F';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

     If Dane.Dataset.FieldByName('KWARTAL').AsString='4' then
     begin
        Pomoc.Sql.Clear;
        Pomoc.Sql.Add(Format('Select AW from JBF2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
        Pomoc.Active:=True;

        if Dane.Dataset.FieldByName('E').asCurrency<=0.6*Pomoc.FieldByName('AW').asCurrency then
           Result:=''
        else
           Result:=Dane.Dataset.FieldByName('E').AsString+'#'+FloatToStr(0.6*Pomoc.FieldByName('AW').asCurrency)+'#<=';

        Pomoc.Active:=False;
     end
     else
     begin
        Pomoc.Sql.Clear;
        Pomoc.Sql.Add(Format('Select AP from JBF2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
        Pomoc.Active:=True;

        if Dane.Dataset.FieldByName('E').asCurrency<=0.6*Pomoc.FieldByName('AP').asCurrency then
           Result:=''
        else
           Result:=Dane.Dataset.FieldByName('E').AsString+'#'+FloatToStr(0.6*Pomoc.FieldByName('AP').asCurrency)+'#<=';

        Pomoc.Active:=False;
     end;
   end
   else
   begin
     If Dane.Dataset.FieldByName('KWARTAL').AsString='4' then
     begin

        Pomoc.Sql.Clear;
        Pomoc.Sql.Add(Format('Select AW from JBF2 where where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]);
        Pomoc.Active:=True;

        if Dane.Dataset.FieldByName('E').asCurrency<=0.6*Pomoc.FieldByName('AW').asCurrency then
           Result:=''
        else
           Result:=Dane.Dataset.FieldByName('E').AsString+'#'+FloatToStr(0.6*Pomoc.FieldByName('AW').asCurrency)+'#<=';

        Pomoc.Active:=False;
     end
     else
     begin
        Pomoc.Sql.Clear;
        Pomoc.Sql.Add(Format('Select AP from JBF2 where where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]);
        Pomoc.Active:=True;

        if Dane.Dataset.FieldByName('E').asCurrency<=0.6*Pomoc.FieldByName('AP').asCurrency then
           Result:=''
        else
           Result:=Dane.Dataset.FieldByName('E').AsString+'#'+FloatToStr(0.6*Pomoc.FieldByName('AP').asCurrency)+'#<=';

        Pomoc.Active:=False;
     end;
   end;
end;

////////////////////////////////////////////////////////////////////////////
function Z_E_2:String;
var Dane:TDataSource;
begin
//E>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function Z_E_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1').asCurrency+Dane.Dataset.FieldByName('E2').asCurrency+Dane.Dataset.FieldByName('E3').asCurrency+Dane.Dataset.FieldByName('E4').asCurrency;

   if Dane.Dataset.FieldByName('E').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E_4:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=EKO+EZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('EKO').asCurrency+Dane.Dataset.FieldByName('EZO').asCurrency;

   if Dane.Dataset.FieldByName('E').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z9_E_4:string;
var Dane:TDataSource;
    suma:Currency;
begin
//E=EKO+EZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('EKO').asCurrency+Dane.Dataset.FieldByName('EZO').asCurrency;

   if Dane.Dataset.FieldByName('E').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E1_1:String;
var Dane:TDataSource;
begin
//E1>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function Z_E1_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E1=E1KO+E1ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KO').asCurrency+Dane.Dataset.FieldByName('E1ZO').asCurrency;

   if Dane.Dataset.FieldByName('E1').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E11_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11<=E1

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11').asCurrency<=Dane.Dataset.FieldByName('E1').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11').AsString+'#'+Dane.Dataset.FieldByName('E1').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1=E1.1+E1.2 (zastepuje Z_E11_1)
function Z9_E1_E11E12: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11').asCurrency +
         Dane.Dataset.FieldByName('E12').asCurrency;
  if Dane.Dataset.FieldByName('E1').asCurrency >= suma then
    Result:=''
  else
    Result:= Dane.Dataset.FieldByName('E1').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11_2:String;
var Dane:TDataSource;
begin
//E11>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1.2>=0
function Z9_E12_2: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12').asCurrency >= 0 then
    Result:=''
  else
    Result:= Dane.Dataset.FieldByName('E12').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11=E11KO+E11ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E11KO').asCurrency + Dane.Dataset.FieldByName('E11ZO').asCurrency;

   if Dane.Dataset.FieldByName('E11').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E11=E11KO+E11ZO
function Z9_E11_3:String;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KO').asCurrency +
         Dane.Dataset.FieldByName('E11ZO').asCurrency;
  if Dane.Dataset.FieldByName('E11').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E11').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1.2=E1.2KO+E1.2ZO
function Z9_E12_KO_ZO: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E12KO').AsCurrency +
         Dane.Dataset.FieldByName('E12ZO').AsCurrency;
  if Dane.Dataset.FieldByName('E12').AsCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KC_1:String;
var Dane:TDataSource;
begin
//E11KC>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KC').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1.2KC>=0
function Z9_E12KC_1: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12KC').AsCurrency >= 0 then
    Result:=''
  else
    Result:=Dane.Dataset.FieldByName('E12KC').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11KC_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KC<=E1KC

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KC').asCurrency<=Dane.Dataset.FieldByName('E1KC').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KC').AsString+'#'+Dane.Dataset.FieldByName('E1KC').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KC=E1.1KC+E1.2KC (zastepuje Z_E11_2)
function Z9_E1KC_E11KCE12KC: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KC').AsCurrency +
         Dane.Dataset.FieldByName('E12KC').AsCurrency;
  if Dane.Dataset.FieldByName('E1KC').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KC').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KF_1:String;
var Dane:TDataSource;
begin
//E11KF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12KF>=0
function Z9_E12KF_1: string;
var
  Dane: TDataSource;
begin
   Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
   if Dane.Dataset.FieldByName('E12KF').AsCurrency >= 0 then
     Result:=''
   else
     Result:=Dane.Dataset.FieldByName('E12KF').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KF=E11KR+E11KS+E11KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E11KR').asCurrency+Dane.Dataset.FieldByName('E11KS').asCurrency+Dane.Dataset.FieldByName('E11KU').asCurrency;

   if Dane.Dataset.FieldByName('E11KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12KF=E12KR+E12KP+E12KS+E12KU
function Z9_E12KF_2: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E12KR').AsCurrency +
         Dane.Dataset.FieldByName('E12KP').AsCurrency +
         Dane.Dataset.FieldByName('E12KS').AsCurrency +
         Dane.Dataset.FieldByName('E12KU').AsCurrency;
  if Dane.Dataset.FieldByName('E12KF').AsCurrency = suma then
    Result:=''
  else
    Result:= Dane.Dataset.FieldByName('E12KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KF_3:String;
var
  Dane: TDataSource;
  suma: Extended;
begin
//E11KF<=E1KF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KF').asCurrency<=Dane.Dataset.FieldByName('E1KF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KF').AsString+'#'+Dane.Dataset.FieldByName('E1KF').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;
function Z9_E11E12KF_3: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KF').AsCurrency +
         Dane.Dataset.FieldByName('E12KF').AsCurrency;
  if Dane.Dataset.FieldByName('E1KF').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KK_1:String;
var Dane:TDataSource;
begin
//E11KK>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12KK>=0
function Z9_E12KK_1: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12KK').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12KK').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11KK_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KK<=E1KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KK').asCurrency<=Dane.Dataset.FieldByName('E1KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KK').AsString+'#'+Dane.Dataset.FieldByName('E1KK').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KK=E1.1KK+E1.2KK
function Z9_E11E12KK: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KK').AsCurrency +
         Dane.Dataset.FieldByName('E12KK').AsCurrency;
  if Dane.Dataset.FieldByName('E1KK').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KK').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KO>=E11KF+E11KC+E11KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E11KF').asCurrency+Dane.Dataset.FieldByName('E11KC').asCurrency+Dane.Dataset.FieldByName('E11KK').asCurrency;

   if Dane.Dataset.FieldByName('E11KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12KO >= E12KF + E12KC + E12KK + E12KI + E12KB + E12KG + E12KD
function Z9_E12KO_1: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E12KF').AsCurrency +
         Dane.Dataset.FieldByName('E12KC').AsCurrency +
         Dane.Dataset.FieldByName('E12KK').AsCurrency +
         Dane.Dataset.FieldByName('E12KI').AsCurrency +
         Dane.Dataset.FieldByName('E12KB').AsCurrency +
         Dane.Dataset.FieldByName('E12KG').AsCurrency +
         Dane.Dataset.FieldByName('E12KD').AsCurrency ;
  if Dane.Dataset.FieldByName('E12KO').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E11KO_2: string;
var Dane:TDataSource;
begin
//E11KO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;
function Z9_E12KO_2: string;
var
  Dane:TDataSource;
begin
  //E11KO>=0
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12KO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12KO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11KO_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KO<=E1KO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KO').asCurrency<=Dane.Dataset.FieldByName('E1KO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KO').AsString+'#'+Dane.Dataset.FieldByName('E1KO').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KO=E1.1KO+E1.2KO
function Z9_E11E12KO: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KO').AsCurrency +
         Dane.Dataset.FieldByName('E12KO').AsCurrency ;
  if Dane.Dataset.FieldByName('E1KO').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KO').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KP_1:String;
var Dane:TDataSource;
begin
//E11KP>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1.2KP>=0
function Z9_E12KP_1: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12KP').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12KP').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11KP_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KP<=E11KR

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KP').asCurrency<=Dane.Dataset.FieldByName('E1KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KP').AsString+'#'+Dane.Dataset.FieldByName('E1KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E11KP_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KP<=E1KP

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KP').asCurrency<=Dane.Dataset.FieldByName('E1KP').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KP').AsString+'#'+Dane.Dataset.FieldByName('E1KP').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KP=E1.1KP+E1.2KP
function Z9_E11E12KP: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KP').AsCurrency +
         Dane.Dataset.FieldByName('E12KP').AsCurrency ;
  if Dane.Dataset.FieldByName('E1KP').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KP').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KR_1:String;
var Dane:TDataSource;
begin
//E11KR>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KR').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12KR >= 0
function Z9_E12KR_1: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12KR').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12KR').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11KR_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KR<=E1KR

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KR').asCurrency<=Dane.Dataset.FieldByName('E1KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KR').AsString+'#'+Dane.Dataset.FieldByName('E1KR').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KR=E1.1KR+E1.2KR
function Z9_E11E12KR: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KR').AsCurrency +
         Dane.Dataset.FieldByName('E12KR').AsCurrency ;
  if Dane.Dataset.FieldByName('E1KR').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KR').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KS_1:String;
var Dane:TDataSource;
begin
//E11KS>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12KS >= 0
function Z9_E12KS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12KS').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12KS').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E11KS_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KS<=E1KS

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KS').asCurrency<=Dane.Dataset.FieldByName('E1KS').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KS').AsString+'#'+Dane.Dataset.FieldByName('E1KS').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KS=E1.1KS+E1.2KS
function Z9_E11E12KS: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KS').AsCurrency +
         Dane.Dataset.FieldByName('E12KS').AsCurrency ;
  if Dane.Dataset.FieldByName('E1KS').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KS').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11KU_1:String;
var Dane:TDataSource;
begin
//E11KU>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12KU >= 0
function Z9_E12KU_1: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12KU').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12KU').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11KU_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11KU<=E1KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11KU').asCurrency<=Dane.Dataset.FieldByName('E1KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11KU').AsString+'#'+Dane.Dataset.FieldByName('E1KU').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KU=E1.1KU+E1.2KU
function Z9_E11E12KU: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11KU').AsCurrency +
         Dane.Dataset.FieldByName('E12KU').AsCurrency ;
  if Dane.Dataset.FieldByName('E1KU').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KU').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11ZF_1:String;
var Dane:TDataSource;
begin
//E11ZF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11ZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12ZF>=0
function Z9_E12ZF_1: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12ZF').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12ZF').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11ZF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11ZF<=E1ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11ZF').asCurrency<=Dane.Dataset.FieldByName('E1ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11ZF').AsString+'#'+Dane.Dataset.FieldByName('E1ZF').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1ZF=E1.1ZF+E1.2ZF
function Z9_E11E12ZFg: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11ZF').AsCurrency +
         Dane.Dataset.FieldByName('E12ZF').AsCurrency ;
  if Dane.Dataset.FieldByName('E1ZF').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1ZF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11ZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11ZO>=E11ZZ+E11ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E11ZZ').asCurrency+Dane.Dataset.FieldByName('E11ZF').asCurrency;

   if Dane.Dataset.FieldByName('E11ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12ZO>=E12ZZ+E12ZF
function Z9_E12ZO_ZZ_ZF: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E12ZZ').AsCurrency +
         Dane.Dataset.FieldByName('E12ZF').AsCurrency ;
  if Dane.Dataset.FieldByName('E12ZO').Ascurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E11ZO_2:String;
var Dane:TDataSource;
begin
//E11ZO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11ZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12ZO >= 0
function Z9_E12ZO_2: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12ZO').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12ZO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11ZO_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11ZO<=E1ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11ZO').asCurrency<=Dane.Dataset.FieldByName('E1ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11ZO').AsString+'#'+Dane.Dataset.FieldByName('E1ZO').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1ZO=E11ZO+E12ZO
function Z9_E11E12ZO: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11ZO').AsCurrency +
         Dane.Dataset.FieldByName('E12ZO').AsCurrency ;
  if Dane.Dataset.FieldByName('E1ZO').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1ZO').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E11ZZ_1:String;
var Dane:TDataSource;
begin
//E11ZZ>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E12ZZ>=0
function Z9_E12ZZ: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent(c_DATAMODULE).FindComponent('Z2');
  if Dane.Dataset.FieldByName('E12ZZ').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E12ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E11ZZ_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E11ZZ<=E1ZZ

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E11ZZ').asCurrency<=Dane.Dataset.FieldByName('E1ZZ').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E11ZZ').AsString+'#'+Dane.Dataset.FieldByName('E1ZZ').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1ZZ=E11ZZ+E12ZZ
function Z9_E11E12ZZ: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E11ZZ').AsCurrency +
         Dane.Dataset.FieldByName('E12ZZ').AsCurrency ;
  if Dane.Dataset.FieldByName('E1ZZ').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1ZZ').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E1KC_1:String;
var Dane:TDataSource;
begin
//E1KC>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E1KF_1:String;
var Dane:TDataSource;
begin
//E1KF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E1KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E1KF=E1KR+E1KS+E1KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KR').asCurrency+Dane.Dataset.FieldByName('E1KS').asCurrency+Dane.Dataset.FieldByName('E1KU').asCurrency;

   if Dane.Dataset.FieldByName('E1KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KF=E1KR+E1KP+E1KS+E1KU
function Z9_E1KF_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1KR').AsCurrency +
         Dane.Dataset.FieldByName('E1KP').AsCurrency +
         Dane.Dataset.FieldByName('E1KS').AsCurrency +
         Dane.Dataset.FieldByName('E1KU').AsCurrency ;
  if Dane.Dataset.FieldByName('E1KF').AsCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E1KK_1:String;
var Dane:TDataSource;
begin
//E1KK>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KK>=0
function Z9_E1KK: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E1KK').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KK').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E1KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E1KO>=E1KF+E1KC+EKK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KF').asCurrency+Dane.Dataset.FieldByName('E1KC').asCurrency+Dane.Dataset.FieldByName('E1KK').asCurrency;

   if Dane.Dataset.FieldByName('E1KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KO>=E1KF+E1KC+E1KK+E1KI+E1KB+E1KG+E1KD
function Z9_E1KO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1KF').AsCurrency +
         Dane.Dataset.FieldByName('E1KC').AsCurrency +
         Dane.Dataset.FieldByName('E1KK').AsCurrency +
         Dane.Dataset.FieldByName('E1KI').AsCurrency +
         Dane.Dataset.FieldByName('E1KB').AsCurrency +
         Dane.Dataset.FieldByName('E1KG').AsCurrency +
         Dane.Dataset.FieldByName('E1KD').AsCurrency ;
  if Dane.Dataset.FieldByName('E1KO').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E1KO_2:String;
var Dane:TDataSource;
begin
//E1KO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E1KP_1:String;
var Dane:TDataSource;
begin
//E1KP>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KP>=0
function Z9_E1KP: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E1KP').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KP').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E1KP_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E1KP<=E1KR

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KP').asCurrency<=Dane.Dataset.FieldByName('E1KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KP').AsString+'#'+Dane.Dataset.FieldByName('E1KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E1KR_1:String;
var Dane:TDataSource;
begin
//E1KR>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E1KS_1:String;
var Dane:TDataSource;
begin
//E1KS>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KS>=0
function Z9_E1KS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane. Dataset.FieldByName('E1KS').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KS').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E1KU_1:String;
var Dane:TDataSource;
begin
//E1KU>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1KU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1KU>=0
function Z9_E1KU: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E1KU').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1KU').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E1ZF_1:String;
var Dane:TDataSource;
begin
//E1ZF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1ZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1ZF>=0
function Z9_E1ZF: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E1ZF').AsCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1ZF').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E1ZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E1ZO>=E1ZZ+E1ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1ZZ').asCurrency+Dane.Dataset.FieldByName('E1ZF').asCurrency;

   if Dane.Dataset.FieldByName('E1ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1ZO>=E1ZZ+E1ZF
function Z9_E1ZO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1ZZ').AsCurrency +
         Dane.Dataset.FieldByName('E1ZF').AsCurrency;
  if Dane.Dataset.FieldByName('E1ZO').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E1ZO_2:String;
var Dane:TDataSource;
begin
//E1ZO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1ZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1ZO>=0
function Z9_E1ZO: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E1ZO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1ZO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E1ZZ_1:String;
var Dane:TDataSource;
begin
//E1ZZ>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E1ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E1ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E1ZZ>=0
function Z9_E1ZZ: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E1ZZ').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E1ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E2_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E2=E2KO+E2ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E2KO').asCurrency+Dane.Dataset.FieldByName('E2ZO').asCurrency;

   if Dane.Dataset.FieldByName('E2').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2=E2KO+E2ZO
function Z9_E2_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E2KO').asCurrency +
         Dane.Dataset.FieldByName('E2ZO').asCurrency ;
  if Dane.Dataset.FieldByName('E2').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E2_2:String;
var Dane:TDataSource;
begin
//E2>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E21_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21=E21KO+E21ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E21KO').asCurrency+Dane.Dataset.FieldByName('E21ZO').asCurrency;

   if Dane.Dataset.FieldByName('E21').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22=E22KO+E22ZO
function Z9_E22_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KO').asCurrency +
         Dane.Dataset.FieldByName('E21ZO').asCurrency ;
  if Dane.Dataset.FieldByName('E21').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E21').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21_2:String;
var Dane:TDataSource;
begin
//E21>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E21_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21<=E2

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21').asCurrency<=Dane.Dataset.FieldByName('E2').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21').AsString+'#'+Dane.Dataset.FieldByName('E2').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2=E21+E22
function Z9_E21E22: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21').AsCurrency +
         Dane.Dataset.FieldByName('E22').AsCurrency ;
  if Dane.Dataset.FieldByName('E2').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KC_1:String;
var Dane:TDataSource;
begin
//E21KC>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KC').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KC>=0
function Z9_E22KC: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane. Dataset.FieldByName('E22KC').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KC').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KC_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KC<=E2KC

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KC').asCurrency<=Dane.Dataset.FieldByName('E2KC').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KC').AsString+'#'+Dane.Dataset.FieldByName('E2KC').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KC=E21KC+E22KC
function Z9_E21E22KC: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KC').AsCurrency +
         Dane.Dataset.FieldByName('E22KC').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KC').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KC').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KF_1:String;
var Dane:TDataSource;
begin
//E21KF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KF>=0
function Z9_E22KF: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22KF').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KF').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KF=E21KR+E21KS+E21KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E21KR').asCurrency+Dane.Dataset.FieldByName('E21KS').asCurrency+Dane.Dataset.FieldByName('E21KU').asCurrency;

   if Dane.Dataset.FieldByName('E21KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KF=E22KR+E22KP+E22KS+E22KU
function Z9_E22KF_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E22KR').asCurrency +
         Dane.Dataset.FieldByName('E22KP').asCurrency +
         Dane.Dataset.FieldByName('E22KS').asCurrency +
         Dane.Dataset.FieldByName('E22KU').asCurrency ;
  if Dane.Dataset.FieldByName('E22KF').asCurrency=suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KF_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KF<=E2KF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KF').asCurrency<=Dane.Dataset.FieldByName('E2KF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KF').AsString+'#'+Dane.Dataset.FieldByName('E2KF').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KF=E21KF+E22KF
function Z9_E21E22KF: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KF').AsCurrency +
         Dane.Dataset.FieldByName('E22KF').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KF').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KK_1:String;
var Dane:TDataSource;
begin
//E21KK>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E21KK>=0
function Z9_E22KK: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22KK').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KK').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KK_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KK<=E2KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KK').asCurrency<=Dane.Dataset.FieldByName('E2KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KK').AsString+'#'+Dane.Dataset.FieldByName('E2KK').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KK=E21KK+E22KK
function Z9_E21E22KK: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KK').AsCurrency +
         Dane.Dataset.FieldByName('E22KK').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KK').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KK').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KO>=E21KF+E21KC+E21KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E21KF').asCurrency+Dane.Dataset.FieldByName('E21KC').asCurrency+Dane.Dataset.FieldByName('E21KK').asCurrency;

   if Dane.Dataset.FieldByName('E21KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KO>=E22KF+E22KC+E22KK+E22KI+E22KB+E22KG+E22KD
function Z9_E22KO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E22KF').asCurrency +
         Dane.Dataset.FieldByName('E22KC').asCurrency +
         Dane.Dataset.FieldByName('E22KK').asCurrency +
         Dane.Dataset.FieldByName('E22KI').asCurrency +
         Dane.Dataset.FieldByName('E22KB').asCurrency +
         Dane.Dataset.FieldByName('E22KG').asCurrency +
         Dane.Dataset.FieldByName('E22KD').asCurrency ;
  if Dane.Dataset.FieldByName('E22KO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E21KO_2:String;
var Dane:TDataSource;
begin
//E21KO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KO>=0
function Z9_E22KO: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22KO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KO_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KO<=E2KO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KO').asCurrency<=Dane.Dataset.FieldByName('E2KO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KO').AsString+'#'+Dane.Dataset.FieldByName('E2KO').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KO>=E21KO+E22KO
function Z9_E21E22KO: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KO').AsCurrency +
         Dane.Dataset.FieldByName('E22KO').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KO').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KO').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KP_1:String;
var Dane:TDataSource;
begin
//E21KP>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KP>=0
function Z9_E22KP: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22KP').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KP').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KP_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E22KP<=E22KR

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KP').asCurrency<=Dane.Dataset.FieldByName('E21KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KP').AsString+'#'+Dane.Dataset.FieldByName('E21KR').AsString+'#<=';

end;

////////////////////////////////////////////////////////////////////////////
function Z_E21KP_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KP<=E2KP

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KP').asCurrency<=Dane.Dataset.FieldByName('E2KP').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KP').AsString+'#'+Dane.Dataset.FieldByName('E2KP').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KP>=E21KP+E22KP
function Z9_E21E22KP: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KP').AsCurrency +
         Dane.Dataset.FieldByName('E22KP').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KP').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KP').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KR_1:String;
var Dane:TDataSource;
begin
//E21KR>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KR').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KR>=0
function Z9_E22KR: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22KR').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KR').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KR_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KR<=E2KR

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KR').asCurrency<=Dane.Dataset.FieldByName('E2KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KR').AsString+'#'+Dane.Dataset.FieldByName('E2KR').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KR>=E21KR+E22KR
function Z9_E21E22KR: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KR').AsCurrency +
         Dane.Dataset.FieldByName('E22KR').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KR').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KR').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KS_1:String;
var Dane:TDataSource;
begin
//E21KS>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KS>=0
function Z9_E22KS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22KS').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KS').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KS_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KS<=E2KS

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KS').asCurrency<=Dane.Dataset.FieldByName('E2KS').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KS').AsString+'#'+Dane.Dataset.FieldByName('E2KS').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KS>=E21KS+E22KS
function Z9_E21E22KS: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KS').AsCurrency +
         Dane.Dataset.FieldByName('E22KS').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KS').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KS').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21KU_1:String;
var Dane:TDataSource;
begin
//E21KU>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22KU>=0
function Z9_E22KU: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22KU').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22KU').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21KU_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21KU<=E2KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21KU').asCurrency<=Dane.Dataset.FieldByName('E2KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21KU').AsString+'#'+Dane.Dataset.FieldByName('E2KU').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KU>=E21KU+E22KU
function Z9_E21E22KU: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21KU').AsCurrency +
         Dane.Dataset.FieldByName('E22KU').AsCurrency ;
  if Dane.Dataset.FieldByName('E2KU').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KU').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21ZF_1:String;
var Dane:TDataSource;
begin
//E21ZF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21ZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22ZF>=0
function Z9_E22ZF: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22ZF').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22ZF').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21ZF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21ZF<=E2ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21ZF').asCurrency<=Dane.Dataset.FieldByName('E2ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21ZF').AsString+'#'+Dane.Dataset.FieldByName('E2ZF').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2ZZF>=E21ZF+E22ZF
function Z9_E21E22ZF: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21ZF').AsCurrency +
         Dane.Dataset.FieldByName('E22ZF').AsCurrency ;
  if Dane.Dataset.FieldByName('E2ZF').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2ZF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21ZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21ZO>=E21ZZ+E21ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E21ZZ').asCurrency+Dane.Dataset.FieldByName('E21ZF').asCurrency;

   if Dane.Dataset.FieldByName('E21ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22ZO>=E22ZZ+E22ZF
function Z9_E22ZO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E22ZZ').asCurrency +
         Dane.Dataset.FieldByName('E22ZF').asCurrency ;
  if Dane.Dataset.FieldByName('E22ZO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E21ZO_2:String;
var Dane:TDataSource;
begin
//E21ZO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21ZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22ZO>=0
function Z9_E22ZO: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22ZO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22ZO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21ZO_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21ZO<=E2ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21ZO').asCurrency<=Dane.Dataset.FieldByName('E2ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21ZO').AsString+'#'+Dane.Dataset.FieldByName('E2ZO').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2ZO>=E21ZO+E22ZO
function Z9_E21E22ZO: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21ZO').AsCurrency +
         Dane.Dataset.FieldByName('E22ZO').AsCurrency ;
  if Dane.Dataset.FieldByName('E2ZO').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2ZO').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E21ZZ_1:String;
var Dane:TDataSource;
begin
//E21ZZ>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E22ZZ>=0
function Z9_E22ZZ: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E22ZZ').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E22ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E21ZZ_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E21ZZ<=E2ZZ

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E21ZZ').asCurrency<=Dane.Dataset.FieldByName('E2ZZ').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E21ZZ').AsString+'#'+Dane.Dataset.FieldByName('E2ZZ').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2ZZ>=E21ZZ+E22ZZ
function Z9_E21E22ZZ: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E21ZZ').AsCurrency +
         Dane.Dataset.FieldByName('E22ZZ').AsCurrency ;
  if Dane.Dataset.FieldByName('E2ZZ').AsCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2ZZ').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E2KC_1:String;
var Dane:TDataSource;
begin
//E2KC>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E2KF_1:String;
var Dane:TDataSource;
begin
//E2KF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E2KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E2KF=E2KR+E2KS+E2KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E2KR').asCurrency+Dane.Dataset.FieldByName('E2KS').asCurrency+Dane.Dataset.FieldByName('E2KU').asCurrency;

   if Dane.Dataset.FieldByName('E2KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KF=E2KR+E2KP+E2KS+E2KU
function Z9_E2KF_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E2KR').asCurrency +
         Dane.Dataset.FieldByName('E2KP').asCurrency +
         Dane.Dataset.FieldByName('E2KS').asCurrency +
         Dane.Dataset.FieldByName('E2KU').asCurrency ;
  if Dane.Dataset.FieldByName('E2KF').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E2KK_1:String;
var Dane:TDataSource;
begin
//E2KK>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KK>=0
function Z9_E2KK: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E2KK').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KK').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E2KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E2KO>=E2KF+E2KC+E2KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E2KF').asCurrency+Dane.Dataset.FieldByName('E2KC').asCurrency+Dane.Dataset.FieldByName('E2KK').asCurrency;

   if Dane.Dataset.FieldByName('E2KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KO>=E2KF+E2KC+E2KK+E2KI+E2KB+E2KG+E2KD
function Z9_E2KO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E2KF').asCurrency +
         Dane.Dataset.FieldByName('E2KC').asCurrency +
         Dane.Dataset.FieldByName('E2KK').asCurrency +
         Dane.Dataset.FieldByName('E2KI').asCurrency +
         Dane.Dataset.FieldByName('E2KB').asCurrency +
         Dane.Dataset.FieldByName('E2KG').asCurrency +
         Dane.Dataset.FieldByName('E2KD').asCurrency ;
  if Dane.Dataset.FieldByName('E2KO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E2KO_2:String;
var Dane:TDataSource;
begin
//E2KO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E2KP_1:String;
var Dane:TDataSource;
begin
//E2KP>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KP>=0
function Z9_E2KP: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E2KP').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KP').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E2KP_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E2KP<=E2KR

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KP').asCurrency<=Dane.Dataset.FieldByName('E2KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KP').AsString+'#'+Dane.Dataset.FieldByName('E2KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E2KR_1:String;
var Dane:TDataSource;
begin
//E2KR>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E2KS_1:String;
var Dane:TDataSource;
begin
//E2KS>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KS>=0
function Z9_E2KS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E2KS').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KS').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E2KU_1:String;
var Dane:TDataSource;
begin
//E2KU>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2KU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2KU>=0
function Z9_E2KU: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E2KU').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2KU').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E2ZF_1:String;
var Dane:TDataSource;
begin
//E2ZF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2ZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2ZF>=0
function Z9_E2ZF: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E2ZF').asCurrency >= 0 then
    Result:= ''
 else
    Result:= Dane.Dataset.FieldByName('E2ZF').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E2ZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E2ZO>=E2ZZ+E2ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E2ZZ').asCurrency+Dane.Dataset.FieldByName('E2ZF').asCurrency;

   if Dane.Dataset.FieldByName('E2ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2ZO>=E2ZZ+E2ZF
function Z9_E2ZO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E2ZZ').asCurrency +
         Dane.Dataset.FieldByName('E2ZF').asCurrency ;
  if Dane.Dataset.FieldByName('E2ZO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E2ZO_2:String;
var Dane:TDataSource;
begin
//E2ZO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2ZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2ZO>=0
function Z9_E2ZO: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E2ZO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E2ZO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E2ZZ_1:String;
var Dane:TDataSource;
begin
//E2ZZ>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E2ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E2ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E2ZZ>=0
function Z9_E2ZZ: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E2ZZ').asCurrency >= 0 then
    Result:= ''
  else
    Result:=Dane.Dataset.FieldByName('E2ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E3_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E3=E3KO+E3ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E3KO').asCurrency+Dane.Dataset.FieldByName('E3ZO').asCurrency;

   if Dane.Dataset.FieldByName('E3').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3=E3KO+E3ZO
function Z9_E3_SumKol : string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E3KO').asCurrency +
         Dane.Dataset.FieldByName('E3ZO').asCurrency ;
  if Dane.Dataset.FieldByName('E3').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E3').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E3_2:String;
var Dane:TDataSource;
begin
//E3>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E3KC_1:String;
var Dane:TDataSource;
begin
//E3KC>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E3KF_1:String;
var Dane:TDataSource;
begin
//E3KF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E3KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E3KF=E3KR+E3KS+E3KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E3KR').asCurrency+Dane.Dataset.FieldByName('E3KS').asCurrency+Dane.Dataset.FieldByName('E3KU').asCurrency;

   if Dane.Dataset.FieldByName('E3KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3KF=E3KR+E3KP+E3KS+E3KU
function Z9_E3KF_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E3KR').asCurrency +
         Dane.Dataset.FieldByName('E3KP').asCurrency +
         Dane.Dataset.FieldByName('E3KS').asCurrency +
         Dane.Dataset.FieldByName('E3KU').asCurrency ;
  if Dane.Dataset.FieldByName('E3KF').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E3KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E3KK_1:String;
var Dane:TDataSource;
begin
//E3KK>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3KK>=0
function Z9_E3KK: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E3KK').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E3KK').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E3KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E3KO>=E3KF+E3KC+E3KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E3KF').asCurrency+Dane.Dataset.FieldByName('E3KC').asCurrency+Dane.Dataset.FieldByName('E3KK').asCurrency;

   if Dane.Dataset.FieldByName('E3KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3KO>=E3KF+E3KC+E3KK+E3KI+E3KB+E3KG+E3KD
function Z9_E3KO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E3KF').asCurrency +
         Dane.Dataset.FieldByName('E3KC').asCurrency +
         Dane.Dataset.FieldByName('E3KK').asCurrency +
         Dane.Dataset.FieldByName('E3KI').asCurrency +
         Dane.Dataset.FieldByName('E3KB').asCurrency +
         Dane.Dataset.FieldByName('E3KG').asCurrency +
         Dane.Dataset.FieldByName('E3KD').asCurrency ;
  if Dane.Dataset.FieldByName('E3KO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E3KO').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_E3KO_2:String;
var Dane:TDataSource;
begin
//E3KO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E3KP_1:String;
var Dane:TDataSource;
begin
//E3KP>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3KP>=0
function Z9_E3KP: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E3KP').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E3KP').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E3KP_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E3KP<=E3KR

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KP').asCurrency<=Dane.Dataset.FieldByName('E3KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KP').AsString+'#'+Dane.Dataset.FieldByName('E3KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E3KR_1:String;
var Dane:TDataSource;
begin
//E3KR>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E3KS_1:String;
var Dane:TDataSource;
begin
//E3KS>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; //E3KS>=0
function Z9_E3KS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E3KS').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E3KS').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E3KU_1:String;
var Dane:TDataSource;
begin
//E3KU>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3KU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3KU>=0
function Z9_E3KU: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E3KU').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E3KU').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E3ZF_1:String;
var Dane:TDataSource;
begin
//E3ZF>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3ZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3ZF>=0
function Z9_E3ZF: string;
var
  Dane: TDataSource;
begin
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   if Dane.Dataset.FieldByName('E3ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3ZF').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E3ZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E3ZO>=E3ZZ+E3ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E3ZZ').asCurrency+Dane.Dataset.FieldByName('E3ZF').asCurrency;

   if Dane.Dataset.FieldByName('E3ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3ZO>=E3ZZ+E3ZF
function Z9_E3ZO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:= Dane.Dataset.FieldByName('E3ZZ').asCurrency +
          Dane.Dataset.FieldByName('E3ZF').asCurrency ;
   if Dane.Dataset.FieldByName('E3ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E3ZO_2:String;
var Dane:TDataSource;
begin
//E3ZO>=0

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3ZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3ZO>=0
function Z9_E3ZO: string;
var
  Dane:TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E3ZO').asCurrency>=0 then
     Result:=''
  else
     Result:=Dane.Dataset.FieldByName('E3ZO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E3ZZ_1:String;
var Dane:TDataSource;
begin
//E3ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E3ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E3ZZ>=0
function Z9_E3ZZ: string;
var
  Dane:TDataSource;
begin
   Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
   if Dane.Dataset.FieldByName('E3ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E3ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E4_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E4=E4KO+E4ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E4KO').asCurrency+Dane.Dataset.FieldByName('E4ZO').asCurrency;

   if Dane.Dataset.FieldByName('E4').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4').AsString+'#'+FloatToStr(suma)+'#=';

end;
//------------------------------------------------
// Z.D. 2009-02;  E4=E4KO+E4ZO
function Z9_E4_SumKol: string;
var
  Dane:TDataSource;
  suma:Currency;
begin
   Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:= Dane.Dataset.FieldByName('E4KO').asCurrency +
          Dane.Dataset.FieldByName('E4ZO').asCurrency ;
   if Dane.Dataset.FieldByName('E4').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E4_2:String;
var Dane:TDataSource;
begin
//E4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E4').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E41_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E41=E41KO+E41ZO

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E41KO').asCurrency+Dane.Dataset.FieldByName('E41ZO').asCurrency;

   if Dane.Dataset.FieldByName('E41').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41=E41KO+E41ZO
function Z9_E41_SumKol: string;
var
  Dane:TDataSource;
  suma:Currency;
begin
   Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:= Dane.Dataset.FieldByName('E41KO').asCurrency +
          Dane.Dataset.FieldByName('E41ZO').asCurrency ;
   if Dane.Dataset.FieldByName('E41').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E41_2:String;
var Dane:TDataSource;
begin
//E41>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E41_3:String;
var Dane:TDataSource;
begin
//E41<=E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41').asCurrency<=Dane.Dataset.FieldByName('E4').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41').AsString+'#'+Dane.Dataset.FieldByName('E4').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4=E41+E42
function Z9_E4_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41').asCurrency +
         Dane.Dataset.FieldByName('E42').asCurrency ;
  if Dane.Dataset.FieldByName('E4').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KC_1:String;
var Dane:TDataSource;
begin
//E41KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E41KC_2:String;
var Dane:TDataSource;
begin
//E41KC<=E4KC

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KC').asCurrency<=Dane.Dataset.FieldByName('E4KC').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KC').AsString+'#'+Dane.Dataset.FieldByName('E4KC').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KC>=E41KC+E42KC
function Z9_E4KC_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KC').asCurrency +
         Dane.Dataset.FieldByName('E42KC').asCurrency ;
  if Dane.Dataset.FieldByName('E4KC').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KC').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KF_1:String;
var Dane:TDataSource;
begin
//E41KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E41KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E41KF=E41KR+E41KS+E41KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E41KR').asCurrency+Dane.Dataset.FieldByName('E41KS').asCurrency+Dane.Dataset.FieldByName('E41KU').asCurrency;

   if Dane.Dataset.FieldByName('E41KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E41KF=E41KR+E41KP+E41KS+E41KU
function Z9_E41KF_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
   Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:= Dane.Dataset.FieldByName('E41KR').asCurrency +
          Dane.Dataset.FieldByName('E41KP').asCurrency +
          Dane.Dataset.FieldByName('E41KS').asCurrency +
          Dane.Dataset.FieldByName('E41KU').asCurrency ;
   if Dane.Dataset.FieldByName('E41KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E41KF_3:String;
var Dane:TDataSource;
begin
//E41KF<=E4KF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KF').asCurrency<=Dane.Dataset.FieldByName('E4KF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KF').AsString+'#'+Dane.Dataset.FieldByName('E4KF').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KF>=E41KF+E42KF
function Z9_E4KF_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KF').asCurrency +
         Dane.Dataset.FieldByName('E42KF').asCurrency ;
  if Dane.Dataset.FieldByName('E4KF').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KF').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KK_1:String;
var Dane:TDataSource;
begin
//E41KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41KK>=0
function Z9_E41KK: string;
var
  Dane: TDataSource;
begin
   Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
   if Dane.Dataset.FieldByName('E41KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KK').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E41KK_2:String;
var Dane:TDataSource;
begin
//E41KK<=E4KK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KK').asCurrency<=Dane.Dataset.FieldByName('E4KK').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KK').AsString+'#'+Dane.Dataset.FieldByName('E4KK').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KK>=E41KK+E42KK
function Z9_E4KK_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KK').asCurrency +
         Dane.Dataset.FieldByName('E42KK').asCurrency ;
  if Dane.Dataset.FieldByName('E4KK').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KK').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E41KO>=E41KF+E41KC+E41KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E41KF').asCurrency+Dane.Dataset.FieldByName('E41KC').asCurrency+Dane.Dataset.FieldByName('E41KK').asCurrency;

   if Dane.Dataset.FieldByName('E41KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41KO>=E41KF+E41KC+E41KK+E41KI+E41KB+E41KG+E41KD
function Z9_E41KO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
   Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:= Dane.Dataset.FieldByName('E41KF').asCurrency +
          Dane.Dataset.FieldByName('E41KC').asCurrency +
          Dane.Dataset.FieldByName('E41KK').asCurrency +
          Dane.Dataset.FieldByName('E41KI').asCurrency +
          Dane.Dataset.FieldByName('E41KB').asCurrency +
          Dane.Dataset.FieldByName('E41KG').asCurrency +
          Dane.Dataset.FieldByName('E41KD').asCurrency ;
   if Dane.Dataset.FieldByName('E41KO').asCurrency >= suma then
      Result:= ''
   else
      Result:= Dane.Dataset.FieldByName('E41KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E41KO_2:String;
var Dane:TDataSource;
begin
//E41KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E41KO_3:String;
var Dane:TDataSource;
begin
//E41KO<=E4KO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KO').asCurrency<=Dane.Dataset.FieldByName('E4KO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KO').AsString+'#'+Dane.Dataset.FieldByName('E4KO').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-03;  E4KO>=E41KO+E42KO
function Z9_E4KO_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KO').asCurrency +
         Dane.Dataset.FieldByName('E42KO').asCurrency ;
  if Dane.Dataset.FieldByName('E4KO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KO').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KP_1:String;
var Dane:TDataSource;
begin
//E41KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E41KP>=0
function Z9_E41KP: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E41KP').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41KP').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E41KP_2:String;
var Dane:TDataSource;
begin
//E41KP<=E41KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KP').asCurrency<=Dane.Dataset.FieldByName('E41KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KP').AsString+'#'+Dane.Dataset.FieldByName('E41KR').AsString+'#<=';
end;
//------------------------------------------------
function Z_E41KP_3:String;
var Dane:TDataSource;
begin
//E41KP<=E4KP
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KP').asCurrency<=Dane.Dataset.FieldByName('E4KP').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KP').AsString+'#'+Dane.Dataset.FieldByName('E4KP').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KP>=E41KP+E42KP
function Z9_E4KP_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KP').asCurrency +
         Dane.Dataset.FieldByName('E42KP').asCurrency ;
  if Dane.Dataset.FieldByName('E4KP').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KP').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KR_1:String;
var Dane:TDataSource;
begin
//E41KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E41KR_2:String;
var Dane:TDataSource;
begin
//E41KR<=E4KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KR').asCurrency<=Dane.Dataset.FieldByName('E4KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KR').AsString+'#'+Dane.Dataset.FieldByName('E4KR').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KR>=E41KR+E42KR
function Z9_E4KR_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KR').asCurrency +
         Dane.Dataset.FieldByName('E42KR').asCurrency ;
  if Dane.Dataset.FieldByName('E4KR').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KR').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KS_1:String;
var Dane:TDataSource;
begin
//E41KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03;  E41KS>=0
function Z9_E41KS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E41KS').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41KS').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E41KS_2:String;
var Dane:TDataSource;
begin
//E41KS<=E4KS
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KS').asCurrency<=Dane.Dataset.FieldByName('E4KS').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KS').AsString+'#'+Dane.Dataset.FieldByName('E4KS').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KS>=E41KS+E42KS
function Z9_E4KS_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KS').asCurrency +
         Dane.Dataset.FieldByName('E42KS').asCurrency ;
  if Dane.Dataset.FieldByName('E4KS').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KS').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41KU_1:String;
var Dane:TDataSource;
begin
//E41KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41KU>=0
function Z9_E41KU: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E41KU').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41KU').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E41KU_2:String;
var Dane:TDataSource;
begin
//E41KU<=E4KU
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KU').asCurrency<=Dane.Dataset.FieldByName('E4KU').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KU').AsString+'#'+Dane.Dataset.FieldByName('E4KU').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KU>=E41KU+E42KU
function Z9_E4KU_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41KU').asCurrency +
         Dane.Dataset.FieldByName('E42KU').asCurrency ;
  if Dane.Dataset.FieldByName('E4KU').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KU').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41ZF_1:String;
var Dane:TDataSource;
begin
//E41ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41ZF>=0
function Z9_E41ZF: string;
var
  Dane:TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E41ZF').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41ZF').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E41ZF_2:String;
var Dane:TDataSource;
begin
//E41ZF<=E4ZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41ZF').asCurrency<=Dane.Dataset.FieldByName('E4ZF').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZF').AsString+'#'+Dane.Dataset.FieldByName('E4ZF').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4ZF>=E41ZF+E42ZF
function Z9_E4ZF_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41ZF').asCurrency +
         Dane.Dataset.FieldByName('E42ZF').asCurrency ;
  if Dane.Dataset.FieldByName('E4ZF').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4ZF').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41ZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E41ZO>=E41ZZ+E41ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E41ZZ').asCurrency+Dane.Dataset.FieldByName('E41ZF').asCurrency;

   if Dane.Dataset.FieldByName('E41ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41ZO>=E41ZZ+E41ZF
function Z9_E41ZO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41ZZ').asCurrency +
         Dane.Dataset.FieldByName('E41ZF').asCurrency ;
  if Dane.Dataset.FieldByName('E41ZO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
function Z_E41ZO_2:String;
var Dane:TDataSource;
begin
//E41ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41ZO>=0
function Z9_E41ZO: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E41ZO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41ZO').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E41ZO_3:String;
var Dane:TDataSource;
begin
//E41ZO<=E4ZO
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41ZO').asCurrency<=Dane.Dataset.FieldByName('E4ZO').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZO').AsString+'#'+Dane.Dataset.FieldByName('E4ZO').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4ZO>=E41ZO+E42ZO
function Z9_E4ZO_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41ZO').asCurrency +
         Dane.Dataset.FieldByName('E42ZO').asCurrency ;
  if Dane.Dataset.FieldByName('E4ZO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4ZO').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E41ZZ_1:String;
var Dane:TDataSource;
begin
//E41ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41ZZ>=0
function Z9_E41ZZ: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E41ZZ').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41ZZ').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E41ZZ_2:String;
var Dane:TDataSource;
begin
//E41ZZ<=E4ZZ
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41ZZ').asCurrency<=Dane.Dataset.FieldByName('E4ZZ').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZZ').AsString+'#'+Dane.Dataset.FieldByName('E4ZZ').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4ZZ>=E41ZZ+E42ZZ
function Z9_E4ZZ_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E41ZZ').asCurrency +
         Dane.Dataset.FieldByName('E42ZZ').asCurrency ;
  if Dane.Dataset.FieldByName('E4ZZ').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4ZZ').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_E4KC_1:String;
var Dane:TDataSource;
begin
//E41KC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E4KF_1:String;
var Dane:TDataSource;
begin
//E41KF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E4KF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E4KF=E4KR+E4KS+E4KU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E4KR').asCurrency+Dane.Dataset.FieldByName('E4KS').asCurrency+Dane.Dataset.FieldByName('E4KU').asCurrency;

   if Dane.Dataset.FieldByName('E4KF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KF=E4KR+E4KP+E4KS+E4KU
function Z9_E4KF_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E4KR').asCurrency +
         Dane.Dataset.FieldByName('E4KP').asCurrency +
         Dane.Dataset.FieldByName('E4KS').asCurrency +
         Dane.Dataset.FieldByName('E4KU').asCurrency ;
  if Dane.Dataset.FieldByName('E4KF').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_E4KK_1:String;
var Dane:TDataSource;
begin
//E41KK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E41KK>=0
function Z9_E4KK: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E41KK').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E41KK').AsString+'#0#>=';
end;
//------------------------------------------------
function Z_E4KO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E4KO>=E4KF+E4KC+E4KK

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E4KF').asCurrency+Dane.Dataset.FieldByName('E4KC').asCurrency+Dane.Dataset.FieldByName('E4KK').asCurrency;

   if Dane.Dataset.FieldByName('E4KO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4KO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-03;  E4KO>=E4KF+E4KC+E4KK+E4KI+E4KB+E4KG+E4KD
function Z9_E4KO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E4KF').asCurrency +
         Dane.Dataset.FieldByName('E4KC').asCurrency +
         Dane.Dataset.FieldByName('E4KK').asCurrency +
         Dane.Dataset.FieldByName('E4KI').asCurrency +
         Dane.Dataset.FieldByName('E4KB').asCurrency +
         Dane.Dataset.FieldByName('E4KG').asCurrency +
         Dane.Dataset.FieldByName('E4KD').asCurrency ;
  if Dane.Dataset.FieldByName('E4KO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KO').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_E4KO_2:String;
var Dane:TDataSource;
begin
//E41KO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E4KP_1:String;
var Dane:TDataSource;
begin
//E41KP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; E4KP>=0
function Z9_E4KP: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E4KP').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KP').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E4KP_2:String;
var Dane:TDataSource;
begin
//E4KP<=E4KR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E4KP').asCurrency<=Dane.Dataset.FieldByName('E4KR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4KP').AsString+'#'+Dane.Dataset.FieldByName('E4KR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E4KR_1:String;
var Dane:TDataSource;
begin
//E41KR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_E4KS_1:String;
var Dane:TDataSource;
begin
//E41KS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4KS>=0
function Z9_E4KS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E4KS').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KS').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E4KU_1:String;
var Dane:TDataSource;
begin
//E41KU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41KU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41KU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03;  E4KU>=0
function Z9_E4KU: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E4KU').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4KU').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E4ZF_1:String;
var Dane:TDataSource;
begin
//E41ZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E41ZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E41ZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; E4ZF>=0
function Z9_E4ZF: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E4ZF').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4ZF').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E4ZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E4ZO>=E4ZZ+E4ZF

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E4ZZ').asCurrency+Dane.Dataset.FieldByName('E4ZF').asCurrency;

   if Dane.Dataset.FieldByName('E4ZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4ZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-03;  E4ZO>=E4ZZ+E4ZF
function Z9_E4ZO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E4ZZ').asCurrency +
         Dane.Dataset.FieldByName('E4ZF').asCurrency ;
  if Dane.Dataset.FieldByName('E4ZO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4ZO').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_E4ZO_2:String;
var Dane:TDataSource;
begin
//E4ZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E4ZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4ZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E4ZO>=0
function Z9_E4ZO: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E4ZO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4ZO').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E4ZZ_1:String;
var Dane:TDataSource;
begin
//E4ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E4ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4ZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; E4ZZ>=0
function Z9_E4ZZ: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('E4ZZ').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('E4ZZ').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_E4ZZ_2:String;
var Dane:TDataSource;
begin
//E4ZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('E4ZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('E4ZZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKC_1:String;
var Dane:TDataSource;
begin
//EKC>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKC').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKC').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKF_1:String;
var Dane:TDataSource;
begin
//EKF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKF').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKF_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//EKF=EKR+EKS+EKU

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('EKR').asCurrency+Dane.Dataset.FieldByName('EKS').asCurrency+Dane.Dataset.FieldByName('EKU').asCurrency;

   if Dane.Dataset.FieldByName('EKF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; EKF=EKR+EKP+EKS+EKU
function Z9_EKF_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('EKR').asCurrency +
         Dane.Dataset.FieldByName('EKP').asCurrency +
         Dane.Dataset.FieldByName('EKS').asCurrency +
         Dane.Dataset.FieldByName('EKU').asCurrency ;
  if Dane.Dataset.FieldByName('EKF').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKF').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_EKK_1:String;
var Dane:TDataSource;
begin
//EKK>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKK').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKK').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; EKK>=0
function Z9_EKK: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('EKK').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKK').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_EKO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//EKO>=EKF+EKC+EKK
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('EKF').asCurrency+Dane.Dataset.FieldByName('EKC').asCurrency+Dane.Dataset.FieldByName('EKK').asCurrency;

   if Dane.Dataset.FieldByName('EKO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; EKO>=EKF+EKC+EKK+EKI+EKB+EKG+EKD
function Z9_EKO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('EKF').asCurrency +
         Dane.Dataset.FieldByName('EKC').asCurrency +
         Dane.Dataset.FieldByName('EKK').asCurrency +
         Dane.Dataset.FieldByName('EKI').asCurrency +
         Dane.Dataset.FieldByName('EKB').asCurrency +
         Dane.Dataset.FieldByName('EKG').asCurrency +
         Dane.Dataset.FieldByName('EKD').asCurrency ;
  if Dane.Dataset.FieldByName('EKO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKO').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_EKO_2:String;
var Dane:TDataSource;
begin
//EKO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKO').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKP_1:String;
var Dane:TDataSource;
begin
//EKP>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKP').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKP').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; EKP>=0
function Z9_EKP: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('EKP').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKP').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_EKP_2:String;
var Dane:TDataSource;
begin
//EKP<=EKR
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKP').asCurrency<=Dane.Dataset.FieldByName('EKR').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKP').AsString+'#'+Dane.Dataset.FieldByName('EKR').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKR_1:String;
var Dane:TDataSource;
begin
//EKR>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKR').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKS_1:String;
var Dane:TDataSource;
begin
//EKS>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKS').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKS').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  EKS>=0
function Z9_EKS: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('EKS').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKS').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_EKU_1:String;
var Dane:TDataSource;
begin
//EKU>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EKU').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKU').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  EKU>=0
function Z9_EKU: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('EKU').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKU').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_EZF_1:String;
var Dane:TDataSource;
begin
//EZF>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EZF').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EZF').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02;  EZF>=0
function Z9_EZF: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('EZF').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EZF').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_EZO_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//EZO>=EZZ+EZF
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('EZZ').asCurrency+Dane.Dataset.FieldByName('EZF').asCurrency;

   if Dane.Dataset.FieldByName('EZO').asCurrency>=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EZO').AsString+'#'+FloatToStr(suma)+'#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; EZO>=EZZ+EZF
function Z9_EZO_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('EZZ').asCurrency +
         Dane.Dataset.FieldByName('EZF').asCurrency ;
  if Dane.Dataset.FieldByName('EZO').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EZO').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
////////////////////////////////////////////////////////////////////////////
function Z_EZO_2:String;
var Dane:TDataSource;
begin
//EZO>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EZO').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EZO').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; EZO>=0
function Z9_EZO: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('EZO').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EZO').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_EZZ_1:String;
var Dane:TDataSource;
begin
//EZZ>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('EZZ').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EZZ').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-02; EZZ>=0
function Z9_EZZ: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('EZZ').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EZZ').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F10_1:String;
var Dane:TDataSource;
begin
//F10>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10F_1:String;
var Dane:TDataSource;
begin
//F10F<=F10
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10F').asCurrency<=Dane.Dataset.FieldByName('F10').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10F').AsString+'#'+Dane.Dataset.FieldByName('F10').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10F_2:String;
var Dane:TDataSource;
begin
//F10F>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10F').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10F').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10F_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//F10F=F10R+F10S+F10U
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('F10R').asCurrency+Dane.Dataset.FieldByName('F10S').asCurrency+Dane.Dataset.FieldByName('F10U').asCurrency;

   if Dane.Dataset.FieldByName('F10F').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10F').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10P_1:String;
var Dane:TDataSource;
begin
//F10P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10P').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10P').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10P_2:String;
var Dane:TDataSource;
begin
//F10P<=F10R
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10P').asCurrency<=Dane.Dataset.FieldByName('F10R').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10P').AsString+'#'+Dane.Dataset.FieldByName('F10R').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10R_1:String;
var Dane:TDataSource;
begin
//F10R>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10R').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10S_1:String;
var Dane:TDataSource;
begin
//F10S>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10S').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10S').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F10U_1:String;
var Dane:TDataSource;
begin
//F10U>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F10U').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F10U').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11_1:String;
var Dane:TDataSource;
begin
//F11>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11F_1:String;
var Dane:TDataSource;
begin
//F11F<=F11
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11F').asCurrency<=Dane.Dataset.FieldByName('F11').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11F').AsString+'#'+Dane.Dataset.FieldByName('F11').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11F_2:String;
var Dane:TDataSource;
begin
//F11F>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11F').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11F').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11F_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//F11F=F11R+F11S+F11U
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('F11R').asCurrency+Dane.Dataset.FieldByName('F11S').asCurrency+Dane.Dataset.FieldByName('F11U').asCurrency;

   if Dane.Dataset.FieldByName('F11F').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11F').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11P_1:String;
var Dane:TDataSource;
begin
//F11P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11P').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11P').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11P_2:String;
var Dane:TDataSource;
begin
//F11P<=F11R
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11P').asCurrency<=Dane.Dataset.FieldByName('F11R').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11P').AsString+'#'+Dane.Dataset.FieldByName('F11R').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11R_1:String;
var Dane:TDataSource;
begin
//F11R>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11R').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11S_1:String;
var Dane:TDataSource;
begin
//F11S>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11S').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11S').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F11U_1:String;
var Dane:TDataSource;
begin
//F11U>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F11U').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F11U').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F12_1:String;
var Dane:TDataSource;
begin
//F12>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12>=0
function Z9_F12: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F12').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F12F_1:String;
var Dane:TDataSource;
begin
//F12F<=F12
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12F').asCurrency<=Dane.Dataset.FieldByName('F12').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12F').AsString+'#'+Dane.Dataset.FieldByName('F12').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12>=F12F+F12I
function Z9_F12_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('F12F').asCurrency +
         Dane.Dataset.FieldByName('F12I').asCurrency ;
  if Dane.Dataset.FieldByName('F12').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_F12F_2:String;
var Dane:TDataSource;
begin
//F12F>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12F').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12F').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12F>=0
function Z9_F12F: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F12F').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12F').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F12F_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//F12F=F12R+F12S+F12U
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('F12R').asCurrency+Dane.Dataset.FieldByName('F12S').asCurrency+Dane.Dataset.FieldByName('F12U').asCurrency;

   if Dane.Dataset.FieldByName('F12F').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12F').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12F>=F12R+F12P+F12S+F12U
function Z9_F12F_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('F12R').asCurrency +
         Dane.Dataset.FieldByName('F12P').asCurrency +
         Dane.Dataset.FieldByName('F12S').asCurrency +
         Dane.Dataset.FieldByName('F12U').asCurrency ;
  if Dane.Dataset.FieldByName('F12F').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12F').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_F12P_1:String;
var Dane:TDataSource;
begin
//F12P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12P').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12P').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12P>=0
function Z9_F12P: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F12P').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12P').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F12P_2:String;
var Dane:TDataSource;
begin
//F12P<=F12R
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12P').asCurrency<=Dane.Dataset.FieldByName('F12R').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12P').AsString+'#'+Dane.Dataset.FieldByName('F12R').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F12R_1:String;
var Dane:TDataSource;
begin
//F12R>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12R').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12R').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12R>=0
function Z9_F12R: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F12R').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12R').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F12S_1:String;
var Dane:TDataSource;
begin
//F12S>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12S').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12S').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12S>=0
function Z9_F12S: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F12S').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12S').AsString + '#0#>='; 
end;
//------------------------------------------------
function Z_F12U_1:String;
var Dane:TDataSource;
begin
//F12U>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F12U').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F12U').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F12U>=0
function Z9_F12U: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F12U').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F12U').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F2_1:String;
var Dane:TDataSource;
begin
//F2>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F2F_1:String;
var Dane:TDataSource;
begin
//F2F<=F2
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2F').asCurrency<=Dane.Dataset.FieldByName('F2').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2F').AsString+'#'+Dane.Dataset.FieldByName('F2').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-03; F2>=F2F+F2I
function Z9_F2_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('F2F').asCurrency +
         Dane.Dataset.FieldByName('F2I').asCurrency ;
  if Dane.Dataset.FieldByName('F2').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F2').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_F2F_2:String;
var Dane:TDataSource;
begin
//F2F>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2F').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2F').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F2F_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//F2F=F2R+F2S+F2U
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('F2R').asCurrency+Dane.Dataset.FieldByName('F2S').asCurrency+Dane.Dataset.FieldByName('F2U').asCurrency;

   if Dane.Dataset.FieldByName('F2F').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2F').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-03; F2F>=F2R+F2P+F2S+F2U
function Z9_F2F_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('F2R').asCurrency +
         Dane.Dataset.FieldByName('F2P').asCurrency +
         Dane.Dataset.FieldByName('F2S').asCurrency +
         Dane.Dataset.FieldByName('F2U').asCurrency ;
  if Dane.Dataset.FieldByName('F2F').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F2F').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_F2P_1:String;
var Dane:TDataSource;
begin
//F2P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2P').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2P').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F2P>=0
function Z9_F2P: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F2P').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F2P').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F2P_2:String;
var Dane:TDataSource;
begin
//F1P<=F1R
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2P').asCurrency<=Dane.Dataset.FieldByName('F2R').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2P').AsString+'#'+Dane.Dataset.FieldByName('F2R').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F2R_1:String;
var Dane:TDataSource;
begin
//F2R>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2R').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F2S_1:String;
var Dane:TDataSource;
begin
//F2S>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2S').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2S').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F2S>=0
function Z9_F2S: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F2S').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F2S').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F2U_1:String;
var Dane:TDataSource;
begin
//F2U>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F2U').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F2U').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F2U>=0
function Z9_F2U: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F2U').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F2U').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F7_1:String;
var Dane:TDataSource;
begin
//F7>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7F_1:String;
var Dane:TDataSource;
begin
//F7F<=F7
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7F').asCurrency<=Dane.Dataset.FieldByName('F7').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7F').AsString+'#'+Dane.Dataset.FieldByName('F7').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7F_2:String;
var Dane:TDataSource;
begin
//F7F>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7F').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7F').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7F_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//F7F=F7R+F7S+F7U
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('F7R').asCurrency+Dane.Dataset.FieldByName('F7S').asCurrency+Dane.Dataset.FieldByName('F7U').asCurrency;

   if Dane.Dataset.FieldByName('F7F').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7F').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7P_1:String;
var Dane:TDataSource;
begin
//F7P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7P').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7P').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7P_2:String;
var Dane:TDataSource;
begin
//F7P<=F7R
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7P').asCurrency<=Dane.Dataset.FieldByName('F7R').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7P').AsString+'#'+Dane.Dataset.FieldByName('F7R').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7R_1:String;
var Dane:TDataSource;
begin
//F7R>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7R').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7S_1:String;
var Dane:TDataSource;
begin
//F7S>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7S').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7S').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F7U_1:String;
var Dane:TDataSource;
begin
//F7U>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F7U').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F7U').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F8_1:String;
var Dane:TDataSource;
begin
//F8>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8>=0
function Z9_F8: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F8').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F8F_1:String;
var Dane:TDataSource;
begin
//F8F<=F8
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8F').asCurrency<=Dane.Dataset.FieldByName('F8').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8F').AsString+'#'+Dane.Dataset.FieldByName('F8').AsString+'#<=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8>=F8F+F8I
function Z9_F8_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('F8F').asCurrency +
         Dane.Dataset.FieldByName('F8I').asCurrency ;
  if Dane.Dataset.FieldByName('F8').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8').AsString + '#' + FloatToStr(suma) + '#>=';
end;
//------------------------------------------------
function Z_F8F_2:String;
var Dane:TDataSource;
begin
//F8F>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8F').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8F').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8F>=0
function Z9_F8F: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F8F').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8F').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F8F_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//F8F=F8R+F8S+F8U
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('F8R').asCurrency+Dane.Dataset.FieldByName('F8S').asCurrency+Dane.Dataset.FieldByName('F8U').asCurrency;

   if Dane.Dataset.FieldByName('F8F').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8F').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8F>=F8R+F8P+F8S+F8U
function Z9_F8F_SumKol: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('F8R').asCurrency +
         Dane.Dataset.FieldByName('F8P').asCurrency +
         Dane.Dataset.FieldByName('F8S').asCurrency +
         Dane.Dataset.FieldByName('F8U').asCurrency ;
  if Dane.Dataset.FieldByName('F8F').asCurrency >= suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8F').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_F8P_1:String;
var Dane:TDataSource;
begin
//F8P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8P').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8P').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8P>=0
function Z9_F8P: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F8P').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8P').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F8P_2:String;
var Dane:TDataSource;
begin
//F8P<=F8R
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8P').asCurrency<=Dane.Dataset.FieldByName('F8R').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8P').AsString+'#'+Dane.Dataset.FieldByName('F8R').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F8R_1:String;
var Dane:TDataSource;
begin
//F8R>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8R').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8R').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8R>=0
function Z9_F8R: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F8R').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8R').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F8S_1:String;
var Dane:TDataSource;
begin
//F8S>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8S').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8S').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8S>=0
function Z9_F8S: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F8S').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8S').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F8U_1:String;
var Dane:TDataSource;
begin
//F8U>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F8U').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F8U').AsString+'#0#>=';
end;
//------------------------------------------------
// Z.D. 2009-03; F8U>=0
function Z9_F8U: string;
var
  Dane: TDataSource;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  if Dane.Dataset.FieldByName('F8U').asCurrency >= 0 then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('F8U').AsString + '#0#>=';
end;
//------------------------------------------------
function Z_F9_1:String;
var Dane:TDataSource;
begin
//F9>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F9F_1:String;
var Dane:TDataSource;
begin
//F9F<=F9
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9F').asCurrency<=Dane.Dataset.FieldByName('F9').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9F').AsString+'#'+Dane.Dataset.FieldByName('F9').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F9F_2:String;
var Dane:TDataSource;
begin
//F9F>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9F').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9F').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F9F_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//F9F=F9R+F9S+F9U
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('F9R').asCurrency+Dane.Dataset.FieldByName('F9S').asCurrency+Dane.Dataset.FieldByName('F9U').asCurrency;

   if Dane.Dataset.FieldByName('F9F').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9F').AsString+'#'+FloatToStr(suma)+'#=';
end;


////////////////////////////////////////////////////////////////////////////
function Z_F9P_1:String;
var Dane:TDataSource;
begin
//F9P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9P').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9P').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function Z_F9P_2:String;
var Dane:TDataSource;
begin
//F9P<=F9R
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9P').asCurrency<=Dane.Dataset.FieldByName('F9R').asCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9P').AsString+'#'+Dane.Dataset.FieldByName('F9R').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F9R_1:String;
var Dane:TDataSource;
begin
//F9R>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9R').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F9S_1:String;
var Dane:TDataSource;
begin
//F9S>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9S').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9S').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_F9U_1:String;
var Dane:TDataSource;
begin
//F9U>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');

   if Dane.Dataset.FieldByName('F9U').asCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('F9U').AsString+'#0#>=';
end;


//Sumowania
////////////////////////////////////////////////////////////////////////////
function Z_EKO_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KO').asCurrency+Dane.Dataset.FieldByName('E2KO').asCurrency+Dane.Dataset.FieldByName('E3KO').asCurrency+Dane.Dataset.FieldByName('E4KO').asCurrency;

   if Dane.Dataset.FieldByName('EKO').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKO').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKF_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KF').asCurrency+Dane.Dataset.FieldByName('E2KF').asCurrency+Dane.Dataset.FieldByName('E3KF').asCurrency+Dane.Dataset.FieldByName('E4KF').asCurrency;

   if Dane.Dataset.FieldByName('EKF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKF').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKR_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KR').asCurrency+Dane.Dataset.FieldByName('E2KR').asCurrency+Dane.Dataset.FieldByName('E3KR').asCurrency+Dane.Dataset.FieldByName('E4KR').asCurrency;

   if Dane.Dataset.FieldByName('EKR').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKR').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKP_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KP').asCurrency+Dane.Dataset.FieldByName('E2KP').asCurrency+Dane.Dataset.FieldByName('E3KP').asCurrency+Dane.Dataset.FieldByName('E4KP').asCurrency;

   if Dane.Dataset.FieldByName('EKP').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKP').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E=E1+E2+E3+E4
function Z9_EKP_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1KP').asCurrency +
         Dane.Dataset.FieldByName('E2KP').asCurrency +
         Dane.Dataset.FieldByName('E3KP').asCurrency +
         Dane.Dataset.FieldByName('E4KP').asCurrency ;
  if Dane.Dataset.FieldByName('EKP').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKP').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
function Z_EKS_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KS').asCurrency+Dane.Dataset.FieldByName('E2KS').asCurrency+Dane.Dataset.FieldByName('E3KS').asCurrency+Dane.Dataset.FieldByName('E4KS').asCurrency;

   if Dane.Dataset.FieldByName('EKS').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKS').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02;  E=E1+E2+E3+E4
function Z9_EKS_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1KS').asCurrency +
         Dane.Dataset.FieldByName('E2KS').asCurrency +
         Dane.Dataset.FieldByName('E3KS').asCurrency +
         Dane.Dataset.FieldByName('E4KS').asCurrency ;
  if Dane.Dataset.FieldByName('EKS').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKS').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_EKU_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KU').asCurrency+Dane.Dataset.FieldByName('E2KU').asCurrency+Dane.Dataset.FieldByName('E3KU').asCurrency+Dane.Dataset.FieldByName('E4KU').asCurrency;

   if Dane.Dataset.FieldByName('EKU').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKU').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-03;  E=E1+E2+E3+E4
function Z9_EKU_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1KU').asCurrency +
         Dane.Dataset.FieldByName('E2KU').asCurrency +
         Dane.Dataset.FieldByName('E3KU').asCurrency +
         Dane.Dataset.FieldByName('E4KU').asCurrency ;
  if Dane.Dataset.FieldByName('EKU').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKU').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_EKC_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KC').asCurrency+Dane.Dataset.FieldByName('E2KC').asCurrency+Dane.Dataset.FieldByName('E3KC').asCurrency+Dane.Dataset.FieldByName('E4KC').asCurrency;

   if Dane.Dataset.FieldByName('EKC').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKC').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function Z_EKK_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1KK').asCurrency+Dane.Dataset.FieldByName('E2KK').asCurrency+Dane.Dataset.FieldByName('E3KK').asCurrency+Dane.Dataset.FieldByName('E4KK').asCurrency;

   if Dane.Dataset.FieldByName('EKK').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EKK').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E=E1+E2+E3+E4
function Z9_EKK_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1KK').asCurrency +
         Dane.Dataset.FieldByName('E2KK').asCurrency +
         Dane.Dataset.FieldByName('E3KK').asCurrency +
         Dane.Dataset.FieldByName('E4KK').asCurrency ;
  if Dane.Dataset.FieldByName('EKK').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EKK').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_EZO_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1ZO').asCurrency+Dane.Dataset.FieldByName('E2ZO').asCurrency+Dane.Dataset.FieldByName('E3ZO').asCurrency+Dane.Dataset.FieldByName('E4ZO').asCurrency;

   if Dane.Dataset.FieldByName('EZO').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EZO').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E=E1+E2+E3+E4
function Z9_EZO_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1ZO').asCurrency +
         Dane.Dataset.FieldByName('E2ZO').asCurrency +
         Dane.Dataset.FieldByName('E3ZO').asCurrency +
         Dane.Dataset.FieldByName('E4ZO').asCurrency ;
  if Dane.Dataset.FieldByName('EZO').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EZO').AsString + '#'+FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_EZZ_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1ZZ').asCurrency+Dane.Dataset.FieldByName('E2ZZ').asCurrency+Dane.Dataset.FieldByName('E3ZZ').asCurrency+Dane.Dataset.FieldByName('E4ZZ').asCurrency;

   if Dane.Dataset.FieldByName('EZZ').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EZZ').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E=E1+E2+E3+E4
function Z9_EZZ_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1ZZ').asCurrency +
         Dane.Dataset.FieldByName('E2ZZ').asCurrency +
         Dane.Dataset.FieldByName('E3ZZ').asCurrency +
         Dane.Dataset.FieldByName('E4ZZ').asCurrency ;
  if Dane.Dataset.FieldByName('EZZ').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EZZ').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
function Z_EZF_5:String;
var Dane:TDataSource;
    suma:Extended;
begin
//E=E1+E2+E3+E4

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2');
   suma:=Dane.Dataset.FieldByName('E1ZF').asCurrency+Dane.Dataset.FieldByName('E2ZF').asCurrency+Dane.Dataset.FieldByName('E3ZF').asCurrency+Dane.Dataset.FieldByName('E4ZF').asCurrency;

   if Dane.Dataset.FieldByName('EZF').asCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('EZF').AsString+'#'+FloatToStr(suma)+'#=';
end;
//------------------------------------------------
// Z.D. 2009-02; E=E1+E2+E3+E4
function Z9_EZF_SumWier: string;
var
  Dane: TDataSource;
  suma: Currency;
begin
  Dane:= Application.FindComponent('DataModule1JB').FindComponent('Z2');
  suma:= Dane.Dataset.FieldByName('E1ZF').asCurrency +
         Dane.Dataset.FieldByName('E2ZF').asCurrency +
         Dane.Dataset.FieldByName('E3ZF').asCurrency +
         Dane.Dataset.FieldByName('E4ZF').asCurrency ;
  if Dane.Dataset.FieldByName('EZF').asCurrency = suma then
    Result:= ''
  else
    Result:= Dane.Dataset.FieldByName('EZF').AsString + '#' + FloatToStr(suma) + '#=';
end;
//------------------------------------------------
////////////////////////////////////////////////////////////////////////////
// Z2KP // Z.D. 2006-04-04;
////////////////////////////////////////////////////////////////////////////
function ZKP_B_1:String;
var Dane:TDataSource;
begin
//KPB>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPB').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_Bd_1:String;
var Dane:TDataSource;
begin
//KPBd>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPBd').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPBd').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I_1:String;
var Dane:TDataSource;
begin
//KPI>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPI').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_Id_1:String;
var Dane:TDataSource;
begin
//KPId>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPId').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPId').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_B1_1:String;
var Dane:TDataSource;
begin
//KPB1>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPB1').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB1').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_B1d_1:String;
var Dane:TDataSource;
begin
//KPB1d>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPB1d').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB1d').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I1_1:String;
var Dane:TDataSource;
begin
//KPI1>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPI1').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI1').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I1d_1:String;
var Dane:TDataSource;
begin
//KPI1d>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPI1d').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI1d').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_B2_1:String;
var Dane:TDataSource;
begin
//KPB2>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPB2').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB2').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_B2d_1:String;
var Dane:TDataSource;
begin
//KPB2d>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPB2d').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB2d').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I2_1:String;
var Dane:TDataSource;
begin
//KPI2>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPI2').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI2').AsString+'#0#>=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I2d_1:String;
var Dane:TDataSource;
begin
//KPI2d>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPI2d').AsFloat>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI2d').AsString+'#0#>=';
end;
// 2. sumy w d
////////////////////////////////////////////////////////////////////////////
function ZKP_B_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPB=KPB1+KPB2

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');
   suma:=Dane.Dataset.FieldByName('KPB1').AsFloat+Dane.Dataset.FieldByName('KPB2').AsFloat;

   if Dane.Dataset.FieldByName('KPB').AsFloat=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB').AsString+'#'+FloatToStr(suma)+'#=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_Bd_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPBd=KPB1d+KPB2d

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');
   suma:=Dane.Dataset.FieldByName('KPB1d').AsFloat+Dane.Dataset.FieldByName('KPB2d').AsFloat;

   if Dane.Dataset.FieldByName('KPBd').AsFloat=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPBd').AsString+'#'+FloatToStr(suma)+'#=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPI=KPI1+KPI2

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');
   suma:=Dane.Dataset.FieldByName('KPI1').AsFloat+Dane.Dataset.FieldByName('KPI2').AsFloat;

   if Dane.Dataset.FieldByName('KPI').AsFloat=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI').AsString+'#'+FloatToStr(suma)+'#=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_Id_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPId=KPI1d+KPI2d

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');
   suma:=Dane.Dataset.FieldByName('KPI1d').AsFloat+Dane.Dataset.FieldByName('KPI2d').AsFloat;

   if Dane.Dataset.FieldByName('KPId').AsFloat=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPId').AsString+'#'+FloatToStr(suma)+'#=';
end;
// 3. dugoterminowe <= ogem
////////////////////////////////////////////////////////////////////////////
function ZKP_Bd_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPBd<=KPB

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPBd').AsFloat<=Dane.Dataset.FieldByName('KPB').AsFloat then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPBd').AsString+'#'+Dane.Dataset.FieldByName('KPB').AsString+'#<=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_B1d_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPB1d<=KPB1

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPB1d').AsFloat<=Dane.Dataset.FieldByName('KPB1').AsFloat then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB1d').AsString+'#'+Dane.Dataset.FieldByName('KPB1').AsString+'#<=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_B2d_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPB2d<=KPB2

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPB2d').AsFloat<=Dane.Dataset.FieldByName('KPB2').AsFloat then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPB2d').AsString+'#'+Dane.Dataset.FieldByName('KPB2').AsString+'#<=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_Id_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPId<=KPI

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPId').AsFloat<=Dane.Dataset.FieldByName('KPI').AsFloat then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPId').AsString+'#'+Dane.Dataset.FieldByName('KPI').AsString+'#<=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I1d_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPI1d<=KPI1

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPI1d').AsFloat<=Dane.Dataset.FieldByName('KPI1').AsFloat then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI1d').AsString+'#'+Dane.Dataset.FieldByName('KPI1').AsString+'#<=';
end;
////////////////////////////////////////////////////////////////////////////
function ZKP_I2d_3:String;
var Dane:TDataSource;
    suma:Extended;
begin
//KPI2d<=KPI2

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('Z2KP');

   if Dane.Dataset.FieldByName('KPI2d').AsFloat<=Dane.Dataset.FieldByName('KPI2').AsFloat then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('KPI2d').AsString+'#'+Dane.Dataset.FieldByName('KPI2').AsString+'#<=';
end;
////////////////////////////////////////////////////////////////////////////

////Nowe

////////////////////////////////////////////////////////////////////////////
{function D_BILD_1:String;
var Dane:TDataSource;
    suma1,suma2:Extended;
begin
//R2 - R4 - R3 = R10 - R6

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('D2');
   suma1:=Dane.DataSet.FieldByName('R2').asCurrency-Dane.DataSet.FieldByName('R4').asCurrency-Dane.DataSet.FieldByName('R3').asCurrency;
   suma2:=Dane.DataSet.FieldByName('R10').asCurrency-Dane.DataSet.FieldByName('R6').asCurrency;

   If (Dane.Dataset.FieldByName('STATUS').AsString<>'1')
	AND (Dane.DataSet.FiledByName('KWARTAL').AsString<>'1')
	AND (Dane.DataSet.FiledByName('KWARTAL').AsString<>'2')
	AND (Dane.DataSet.FiledByName('KWARTAL').AsString<>'3')
	AND (Dane.DataSet.FiledByName('KWARTAL').AsString<>'4')
 		then
   If Suma1-suma2=0 then
      Result:=''
   else
      Result:=FloatToStr(suma1)+'#'+FloatToStr(suma2)+'#=';
end;
}
////////!!!////////////////////////////////////////////////////////////////////
//function W_R9_2:String;
//var Dane:TDataSource;
//begin
////R9<=R4
//   Dane:=Application.FindComponent('DataModule1JB').FindComponent('W2');
//
//   if Dane.Dataset.FieldByName('R9').asCurrency<=Dane.Dataset.FieldByName('R4').asCurrency then
//      Result:=''
//   else
//      Result:=Dane.Dataset.FieldByName('R9').AsString+'#'+Dane.Dataset.FieldByName('R4').AsString+'#<=';
//end;

function T_SPR_1:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBd2.Dzial ');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''756'' and ROZDZIAL=''75622'' and PAR=''001''');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
  Zapytanie.sql.add(' FROM JBd2');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
// showmessage('Jest bd');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
// showmessage('Przygotowanie do Query');
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
// showmessage('Jest faszywe Query');
   Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBd2');
   Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status=''|''');
  end;
end;

end;

function T_SPR_2:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBd2.Dzial ');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''756'' and ROZDZIAL=''75623'' and PAR=''001''');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75623'' as Rozdzial, ''001'' as Par');
  Zapytanie.sql.add(' FROM JBd2');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
   Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBd2');
   Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status=''|''');
  end;
end;
end;

function T_SPR_3:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBd2.Dzial ');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''756'' and ROZDZIAL=''75621'' and PAR=''001''');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75621'' as Rozdzial, ''001'' as Par');
  Zapytanie.sql.add(' FROM JBd2');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
   Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBd2');
   Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status=''|''');
  end;
end;
end;

function T_SPR_4:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBd2.Dzial ');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75801'' and PAR=''292''');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''758'' as Dzial, ''75801'' as Rozdzial, ''292'' as Par');
  Zapytanie.sql.add(' FROM JBd2');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
   Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBd2');
   Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status=''|''');
  end;
end;

end;

function T_SPR_5:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBd2.Dzial ');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75802'' and PAR=''292''');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''758'' as Dzial, ''75802'' as Rozdzial, ''292'' as Par');
  Zapytanie.sql.add(' FROM JBd2');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
   Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBd2');
   Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status=''|''');
  end;
end;
end;

function T_SPR_6:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBd2.Dzial ');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75806'' and PAR=''292''');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''758'' as Dzial, ''75806'' as Rozdzial, ''292'' as Par');
  Zapytanie.sql.add(' FROM JBd2');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1''');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
   Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBd2');
   Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status=''|''');
  end;
end;
end;

function T_SPR_7:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBw2.Dzial ');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''750'' ');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBw2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBw2.Status, ''750'' as Dzial, ''0'' as Rozdzial, ''0'' as Par');
  Zapytanie.sql.add(' FROM JBw2');
  Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBw2.Status<>''1''');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
   Zapytanie.sql.add(' SELECT JBw2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBw2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBw2');
   Zapytanie.sql.add(' WHERE JBw2.IdSpraw=:IdSpraw and JBw2.Status=''|''');
  end;
end;

end;

function T_SPR_8:String;
var Zapytanie:TQuery;
  LblVer: TLabel;
begin
LblVer:=Application.FindComponent('MainForm').FindComponent('LblVer');
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT JBw2.Dzial ');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1''');
Zapytanie.sql.add(' and DZIAL=''801'' ');

Zapytanie.Active:=True;

If Zapytanie.RecordCount<1 then
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT distinct JBw2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBw2.Status, ''801'' as Dzial, ''0'' as Rozdzial, ''0'' as Par');
  Zapytanie.sql.add(' FROM JBw2');
  Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBw2.Status<>''1''');
end
else
begin
  Zapytanie.Active:=False;
  Zapytanie.sql.Clear;
  if (Pos('Wersja:', LblVer.Caption)=1) and (LblVer.Caption < 'Wersja: 2.0.4') then
  begin
   Zapytanie.sql.add(' SELECT JBw2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBw2.Status, ''756'' as Dzial, ''75622'' as Rozdzial, ''001'' as Par');
   Zapytanie.sql.add(' FROM JBw2');
   Zapytanie.sql.add(' WHERE JBw2.IdSpraw=:IdSpraw and JBw2.Status=''|''');
  end;
end;
end;

////////////////////////////////////////////////////////////////////////////
function T_SPR_9a:String;
var Pomoc, Zapytanie:TQuery;
    system:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT distinct d.IdSpraw, 0 as roznica, D.R4 as lewa, k.Wykonanie as prawa, ''='' as operator, d.Status, d.Dzial, d.Rozdzial, D.Par');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" k, JBd2 d ');
Zapytanie.sql.add(' WHERE D.IdSpraw=:IdSpraw and d.Status<>''1'' ');
Zapytanie.sql.add(' and (K.Rok=d.rok) and (K.Okres=d.Kwartal) and (k.id_jst=d.id_jst) and (k.id_jb=d.id_jb) and (k.TYP=''D'') and (k.dzial=d.dzial) and (k.rozdzial=d.rozdzial) and (k.Par=d.Par) and d.R4<>k.wykonanie ');

end;


////////////////////////////////////////////////////////////////////////////
function T_SPR_9:String;
var Pomoc, Zapytanie:TQuery;
    tmp:Extended;
    system:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

 Zapytanie.sql.Clear;

 Zapytanie.sql.add(' SELECT distinct d.IdSpraw, 0 as roznica, D.R1 as lewa, k."PLAN" as prawa, ''='' as operator, d.Status, d.Dzial, d.Rozdzial, D.Par');
 Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" k, JBd2 d ');
 Zapytanie.sql.add(' WHERE D.IdSpraw=:IdSpraw and d.Status<>''1'' ');
 Zapytanie.sql.add(' and (K.Rok=d.Rok) and (K.Okres=d.Kwartal) and (k.id_jst=d.id_jst) and (k.id_jb=d.id_jb) and k.TYP=''D'' and (k.dzial=d.dzial) and (k.rozdzial=d.rozdzial) and (k.Par=d.Par) and d.R1<>k."PLAN" ');
end;


////////////////////////////////////////////////////////////////////////////
function T_SPR_10:String;
var Pomoc, Zapytanie:TQuery;
    system:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT distinct d.IdSpraw, 0 as roznica, D.R4 as lewa, k.Wykonanie as prawa, ''='' as operator, d.Status, d.Dzial, d.Rozdzial, D.Par');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" k, JBw2 d ');
Zapytanie.sql.add(' WHERE D.IdSpraw=:IdSpraw and d.Status<>''1'' ');
Zapytanie.sql.add(' and (K.Rok=d.Rok) and (K.Okres=d.Kwartal) and (k.id_jst=d.id_jst) and (k.id_jb=d.id_jb) and k.TYP=''D'' and (k.dzial=d.dzial) and (k.rozdzial=d.rozdzial) and (k.Par=d.Par) and d.R4<>k.wykonanie ');
end;

////////////////////////////////////////////////////////////////////////////
function T_SPR_10a:String;
var Pomoc, Zapytanie:TQuery;
    system:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

Zapytanie.sql.Clear;

Zapytanie.sql.add(' SELECT distinct d.IdSpraw, 0 as roznica, D.R1 as lewa, k."PLAN" as prawa, ''='' as operator, d.Status, d.Dzial, d.Rozdzial, D.Par');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" k, JBw2 d ');
Zapytanie.sql.add(' WHERE D.IdSpraw=:IdSpraw and d.Status<>''1'' ');
Zapytanie.sql.add(' and (K.Rok=d.Rok) and (K.Okres=d.Kwartal) and (k.id_jst=d.id_jst) and (k.id_jb=d.id_jb) and k.TYP=''D'' and (k.dzial=d.dzial) and (k.rozdzial=d.rozdzial) and (k.Par=d.Par) and d.R1<>k."PLAN" ');
end;

function T_SUMA_2:String;
var Zapytanie:TQuery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
if Uppercase(Zapytanie.DatabaseName) = 'DBI' then
begin
Zapytanie.sql.add(' SELECT distinct s.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, s.Status, s.Dzial, s.Rozdzial, s.aPar as Par');
Zapytanie.sql.add(' from JBw2sum s left outer join JBw2 d on ((s.idspraw=d.idspraw) and (s.dzial=d.dzial) and (s.rozdzial=d.rozdzial) and (s.status=d.status)) ');
Zapytanie.sql.add(' WHERE s.IdSpraw=:IdSpraw ');
Zapytanie.sql.add(' and ( (s.apar <> d.par) or (d.par is null) or ((s.ar1 - d.r1) not between -0.001 and 0.001) or ((s.ar10 - d.r10) not between -0.001 and 0.001) or ((s.ar4 - d.r4) not between -0.001 and 0.001)');
Zapytanie.sql.add(' or ((s.ar9 - d.r9) not between -0.001 and 0.001) or ((s.ar11 - d.r11) not between -0.001 and 0.001) or ((s.ar12 - d.r12) not between -0.001 and 0.001))');
end
else
begin
Zapytanie.sql.add(' SELECT distinct s.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, s.Status, s.Dzial, s.Rozdzial, s.aPar as Par');
Zapytanie.sql.add(' from JBw2sum s, JBw2 d ');
Zapytanie.sql.add(' WHERE s.IdSpraw=:IdSpraw ');
//Zapytanie.sql.add(' and ((s.idspraw=d.idspraw (+)) and (s.dzial=d.dzial (+)) and (s.rozdzial=d.rozdzial (+)) and (s.status=d.status (+))) and ( (s.apar <> d.par) or (d.par is null) or ((s.ar1 - d.r1) not between -0.001 and 0.001) or ((s.ar10 - d.r10) not between -0.001 and 0.001) or ((s.ar4 - d.r4) not between -0.001 and 0.001)');
Zapytanie.sql.add(' and ((s.idspraw=d.idspraw) and (s.dzial=d.dzial) and (s.rozdzial=d.rozdzial) and (s.status=d.status )) and ( (s.apar <> d.par) or (d.par is null) or ((s.ar1 - d.r1) not between -0.001 and 0.001) or ((s.ar10 - d.r10) not between -0.001 and 0.001) or ((s.ar4 - d.r4) not between -0.001 and 0.001)');
Zapytanie.sql.add(' or ((s.ar9 - d.r9) not between -0.001 and 0.001) or ((s.ar11 - d.r11) not between -0.001 and 0.001) or ((s.ar12 - d.r12) not between -0.001 and 0.001))');
end;
end;

function T_SUMA_1:String;
var Zapytanie:TQuery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
if Uppercase(Zapytanie.DatabaseName) = 'DBI' then
begin
Zapytanie.sql.add(' SELECT distinct s.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, s.Status, s.Dzial, s.Rozdzial, s.aPar as par');
Zapytanie.sql.add(' from JBd2sum s left outer join JBd2 d on ((s.idspraw=d.idspraw) and (s.dzial=d.dzial) and (s.rozdzial=d.rozdzial) and (s.status=d.status)) ');
Zapytanie.sql.add(' WHERE s.IdSpraw=:IdSpraw ');
//Zapytanie.sql.add(' and (not (s.apar = d.par) or (d.par is null))');
Zapytanie.sql.add(' and ( (s.apar <> d.par) or (d.par is null) or ((s.ar1 - d.r1) not between -0.001 and 0.001) or ((s.ar2 - d.r2) not between -0.001 and 0.001) or ((s.ar3 - d.r3) not between -0.001 and 0.001) or ((s.ar4 - d.r4) not between -0.001 and 0.001)');
Zapytanie.sql.add(' or ((s.ar9 - d.r9) not between -0.001 and 0.001) or ((s.ar10 - d.r10) not between -0.001 and 0.001) or ((s.ar5 - d.r5) not between -0.001 and 0.001) or ((s.ar6 - d.r6) not between -0.001 and 0.001) or ((s.ar7 - d.r7) not between -0.001 and 0.001) or ((s.ar8 - d.r8) not between -0.001 and 0.001))');
end
else
begin
Zapytanie.sql.add(' SELECT distinct s.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, s.Status, s.Dzial, s.Rozdzial, s.aPar as par');
Zapytanie.sql.add(' from JBd2sum s, JBd2 d ');
Zapytanie.sql.add(' WHERE s.IdSpraw=:IdSpraw ');
//Zapytanie.sql.add(' and ((s.idspraw=d.idspraw (+)) and (s.dzial=d.dzial (+)) and (s.rozdzial=d.rozdzial (+)) and (s.status=d.status (+))) and ( (s.apar <> d.par) or (d.par is null) or (s.ar1 <> d.r1) or (s.ar2 <> d.r2) or (s.ar3 <> d.r3) or (s.ar4 <> d.r4)');
Zapytanie.sql.add(' and ((s.idspraw=d.idspraw) and (s.dzial=d.dzial) and (s.rozdzial=d.rozdzial) and (s.status=d.status)) and ( (s.apar <> d.par) or (d.par is null) or ((s.ar1 - d.r1) not between -0.001 and 0.001) or ((s.ar2 - d.r2) not between -0.001 and 0.001) or ((s.ar3 - d.r3) not between -0.001 and 0.001) or ((s.ar4 - d.r4) not between -0.001 and 0.001)');
Zapytanie.sql.add(' or ((s.ar9 - d.r9) not between -0.001 and 0.001) or ((s.ar10 - d.r10) not between -0.001 and 0.001) or ((s.ar5 - d.r5) not between -0.001 and 0.001) or ((s.ar6 - d.r6) not between -0.001 and 0.001) or ((s.ar7 - d.r7) not between -0.001 and 0.001) or ((s.ar8 - d.r8) not between -0.001 and 0.001))');
end;
end;

////////////////////////////////////////////////////////////
// Nowe SQL'owe definicje
////////////////////////////////////////////////////////////////////////////
function D_BILD_1:String;
var Zapytanie:TQuery;
begin
//R2 - R4 - R3 = R10 - R6
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, R2 - R4 - R3 as lewa, R10 - R6 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1'' and R2 - R4 - R3-R10 + R6<>0');
end;

//formularz D
////////////////////////////////////////////////////////////////////////////
function D_R4_1a:String;
var Zapytanie:TQuery;
begin
//R1>=R4
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, JBD2.R4 as prawa, ''>='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial, JBD2.Par as Par');
Zapytanie.sql.add(' FROM JBD2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and JBD2.R1<JBD2.R4');
end;

////////////////////////////////////////////////////////////////////////////
function D_Dzial_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.STATUS<>''1'' ');
Zapytanie.sql.add('  and JBd2.Dzial not in (Select dzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_DZIAL" where S_dzial.DPocz<=:DataKw and S_dzial.DKon>=:DataKW -1)');
end;


////////////////////////////////////////////////////////////////////////////
function D_R1_1:String;
var Zapytanie:TQuery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, 0 as prawa, ''>'' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial,JBD2.Par');
Zapytanie.sql.add(' FROM JBd2');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1'' and JBd2.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function D_R1_2:String;
var zapytanie:TQuery;
    system:TTable;
begin
//DZIAL 758  ROZDZIAL 75801  PAR 292 -   R1
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75801'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75801'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R1<> 0 ');
end
else
begin
Zapytanie.Active:=False;
Zapytanie.Unprepare;
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, JBkontr."PLAN" as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75801'' and JBD2.Par=''292'' ');
Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75801'' and JBKontr.Par=''292'' and JBd2.R1<>JBkontr."PLAN" ');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R3_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R3 as lewa, 0 as prawa, ''>='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1'' and JBd2.R3<0');
end;


////////////////////////////////////////////////////////////////////////////
function D_R5_1:String;
var Zapytanie:TQuery;
begin
//R5<=R10
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R5 as lewa, JBD2.R10 as prawa, ''<='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1'' and JBd2.R5>JBD2.R10');
end;

////////////////////////////////////////////////////////////////////////////
function D_N27_1:String;
var Zapytanie:TQuery;
begin
//|R1|+|R2|+|R3|+|R4|+|R5|+|R6|>0
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1+JBD2.R2+JBD2.R3+JBD2.R4+JBD2.R5+JBD2.R6+JBD2.R7+JBD2.R8+JBD2.R9+JBD2.R10 as lewa, 0 as prawa, ''>'' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1'' and JBD2.R1=0 and JBD2.R2=0 and JBD2.R3=0 and JBD2.R4=0 and JBD2.R5=0 and JBD2.R6=0 and JBD2.R7=0 and JBD2.R8=0 and JBD2.R9=0 and JBD2.R10=0');
end;

////////////////////////////////////////////////////////////////////////////
function D_PAR_1:String;
var Zapytanie:Tquery;
    System:TTable;
begin
//kontrola tylko ze slownikiem s_pard

 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par ');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.STATUS<>''1'' ');
 Zapytanie.sql.add('  and JBd2.PAR not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" where S_pard.DPocz<=:DataKw and S_pard.DKon>=:DataKw -1)');
end;


////////////////////////////////////////////////////////////////////////////
function D_PAR1_1:String;
var Zapytanie:Tquery;
    System:TTable;
begin
//kontrola ze slownikiem s_pard i polem GPW

 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par ');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.STATUS<>''1'' ');
 Zapytanie.sql.add('  and JBd2.PAR not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" where S_pard.DPocz<=:DataKw and (S_pard.DKon>=:DataKw -1) and GPW like ''%'' || :SPRAWOZD || ''%'')');
end;


////////////////////////////////////////////////////////////////////////////
function D_R1_3:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL758  ROZDZIAL 75802  PAR 292 -   R1
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB ');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75802'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75802'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R1<> 0 ');
end
else
begin
Zapytanie.Active:=False;
Zapytanie.Unprepare;
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, JBkontr."PLAN" as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75802'' and JBD2.Par=''292'' ');
Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75802'' and JBKontr.Par=''292'' and JBd2.R1<>JBkontr."PLAN" ');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R1_4:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758  ROZDZIAL 75805  PAR 292 -   R1
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75805'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75805'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R1<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, JBkontr."PLAN" as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75805'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75805'' and JBKontr.Par=''292'' and JBd2.R1<>JBkontr."PLAN" ');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R1_5:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758  ROZDZIAL 75804  PAR 292 -   R1
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75804'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75804'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R1<> 0 ');
end
else
begin
Zapytanie.Active:=False;
Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, JBkontr."PLAN" as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75804'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75804'' and JBKontr.Par=''292'' and JBd2.R1<>JBkontr."PLAN" ');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R1_6:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758 ROZDZIAL 75806  PAR 292 -   R1
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75806'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75806'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R1<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, JBkontr."PLAN" as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.Dzial=''758'' and JBD2.Rozdzial=''75806'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and Kontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_JB=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75806'' and JBKontr.Par=''292'' and JBd2.R1<>JBkontr."PLAN" ');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R1_7:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758 ROZDZIAL 75803 PAR 292 -   R1
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB ');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75803'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75803'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R1<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R1 as lewa, JBkontr."PLAN" as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75803'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_JB=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75803'' and JBKontr.Par=''292'' and JBd2.R1<>JBkontr."PLAN" ');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R3_2:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R3 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBd2.Status<>''1'' and JBd2.R3<>0');
end;

////////////////////////////////////////////////////////////////////////////
function D_R3_3:String;
var Zapytanie:TQuery;
    System:TTable;

begin
//R3=IIF[@IsIn(PAR,"049,050,032,035,033,031,036,046,043,044,045,041,037,034,069,056,091");R3;0.0]
//R3=IIF[@IsIn(PAR,
//"049,050,075,083,032,035,033,031,036,046,043,044,045,041,037,034,048,069,056,097,091,092");R3;0.0]
//Potrcenia dla gmin lub miast na prawach powiatu mog wystpowa tylko w wymienionych paragrafach: 049,050,075,083,032,035,033,031,036,046,043,044,045,041,037,034,048,069,056,097,091,092
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R3 as lewa, 0 as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial, JBD2.Par');
 
 Zapytanie.sql.add(' FROM JBD2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and ');
 Zapytanie.sql.add(' JBD2.PAR<>''049'' and JBD2.PAR<>''050'' and JBD2.PAR<>''032'' and JBD2.PAR<>''035'' and ');
 Zapytanie.sql.add(' JBD2.PAR<>''033'' and JBD2.PAR<>''031'' and JBD2.PAR<>''036'' and JBD2.PAR<>''046'' and ');
 Zapytanie.sql.add(' JBD2.PAR<>''043'' and JBD2.PAR<>''044'' and JBD2.PAR<>''045'' and JBD2.PAR<>''041'' and ');
 Zapytanie.sql.add(' JBD2.PAR<>''037'' and JBD2.PAR<>''034'' and JBD2.PAR<>''069'' and JBD2.PAR<>''056'' and ');
 Zapytanie.sql.add(' JBD2.PAR<>''091'' and ');
 Zapytanie.sql.add(' JBD2.R3<>0');
end;


////////////////////////////////////////////////////////////////////////////
function D_R4_1:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758  ROZDZIAL 75801  PAR 292 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_JB=:Id_JB ');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75801'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75801'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, JBkontr.Wykonanie as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75801'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_JB=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75801'' and JBKontr.Par=''292'' and JBd2.R4<>JBkontr.wykonanie ');
 end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R4_2:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758  ROZDZIAL 75802  PAR 292 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_JB=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75802'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75802'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4 <> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, JBkontr.Wykonanie as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75802'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_JB=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75802'' and JBKontr.Par=''292'' and JBd2.R4<>JBkontr.wykonanie ');
end;
end;



////////////////////////////////////////////////////////////////////////////
function D_R4_3:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758  ROZDZIAL 75805  PAR 292 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB ');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75805'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75805'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, JBkontr.Wykonanie as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75805'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75805'' and JBKontr.Par=''292'' and JBd2.R4<>JBkontr.wykonanie');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R4_4:String;
var zapytanie:TQuery;
    System:TTable;
begin
 //DZIAL 756 ROZDZIAL 75621 PAR 001 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB ');
Zapytanie.sql.add(' and DZIAL=''756'' and ROZDZIAL=''75621'' and PAR=''001''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

//If (Zapytanie.RecordCount<1) then
If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''756'' and JBD2.Rozdzial=''75621'' and JBD2.Par=''001'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, JBkontr.Wykonanie as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''756'' and JBD2.Rozdzial=''75621'' and JBD2.Par=''001'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''756'' and JBKontr.Rozdzial=''75621'' and JBKontr.Par=''001'' and JBd2.R4<>JBkontr.wykonanie ');
end;
end;



////////////////////////////////////////////////////////////////////////////
function D_R4_5:String;
var zapytanie:TQuery;
    System:TTable;
begin
 //DZIAL 756 ROZDZIAL 75623 PAR 001 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_JB=:Id_JB ');
Zapytanie.sql.add(' and DZIAL=''756'' and ROZDZIAL=''75623'' and PAR=''001''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
//If (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''756'' and JBD2.Rozdzial=''75623'' and JBD2.Par=''001'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, JBkontr.Wykonanie as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''756'' and JBD2.Rozdzial=''75623'' and JBD2.Par=''001'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''756'' and JBKontr.Rozdzial=''75623'' and JBKontr.Par=''001'' and JBd2.R4<>JBkontr.wykonanie ');
end;
end;


////////////////////////////////////////////////////////////////////////////
function D_R4_6:String;
var zapytanie:TQuery;
    System:TTAble;
begin
//DZIAL 758  ROZDZIAL 75806  PAR 292 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB ');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75806'' and PAR=''292''');
Zapytanie.sql.add(' and -1<>:IdSpraw');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75806'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, JBkontr.Wykonanie as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75806'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75806'' and JBKontr.Par=''292'' and JBd2.R4<>JBkontr.wykonanie ');
end;
end;



////////////////////////////////////////////////////////////////////////////
function D_R4_7:String;
var zapytanie:TQuery;
    System:TTable;
begin
//DZIAL 758  ROZDZIAL 75804  PAR 292 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75804'' and PAR=''292''');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75804'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, JBkontr.Wykonanie as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75804'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBd2.Rok and JBKontr.Okres=JBd2.Kwartal and JBKontr.Id_Jst=JBd2.Id_JST and JBKontr.Id_Jb=JBd2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75804'' and JBKontr.Par=''292'' and JBd2.R4<>JBkontr.wykonanie ');
end;
end;


////////////////////////////////////////////////////////////////////////////
function D_R4_8:String;
var zapytanie:TQuery;
    System:TTAble;
begin
//DZIAL 756 ROZDZIAL 75622 PAR 001 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''756'' and ROZDZIAL=''75622'' and PAR=''001''');
// showmessage('1');


Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
//If (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBd2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBd2.Status, JBd2.Dzial, JBd2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''756'' and JBD2.Rozdzial=''75622'' and JBD2.Par=''001'' ');
  Zapytanie.sql.add(' and JBd2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBd2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, kontr.Wykonanie as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''756'' and JBD2.Rozdzial=''75622'' and JBD2.Par=''001'' ');
 Zapytanie.sql.add(' and JBD2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBD2.Rok and JBKontr.Okres=JBD2.Kwartal and JBKontr.Id_Jst=JBD2.Id_JST and JBKontr.Id_JB=JBD2.Id_JB and JBKontr.Dzial=''756'' and JBKontr.Rozdzial=''75622'' and JBKontr.Par=''001'' and JBD2.R4<>JBkontr.wykonanie ');
end;
end;


////////////////////////////////////////////////////////////////////////////
function D_R4_9:String;
var zapytanie:TQuery;
    System:TTAble;
begin
//DZIAL 758  ROZDZIAL 75803  PAR 292 -   R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//Zapytanie.sql.add(' SELECT Dzial, :IdSpraw aid');
Zapytanie.sql.add(' SELECT Dzial');
Zapytanie.sql.add(' FROM "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
Zapytanie.sql.add(' WHERE rok=:ROK and Okres=:KWARTAL and id_Jst=:Id_JST and id_Jb=:Id_JB');
Zapytanie.sql.add(' and DZIAL=''758'' and ROZDZIAL=''75803'' and PAR=''292''');

Zapytanie.Active:=True;

If (Uppercase(Zapytanie.DatabaseName) <> 'DBI') and (Zapytanie.RecordCount<1) then
begin
  Zapytanie.Active:=False;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, 0 as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial, JBD2.Par');
  Zapytanie.sql.add(' FROM JBd2 ');
  Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75803'' and JBD2.Par=''292'' ');
  Zapytanie.sql.add(' and JBD2.Status<>''1'' ');
  Zapytanie.sql.add(' and JBD2.R4<> 0 ');
end
else
begin
 Zapytanie.Active:=False;
 Zapytanie.Unprepare;
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R4 as lewa, kontr.Wykonanie as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial, JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2, "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR" ');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Dzial=''758'' and JBD2.Rozdzial=''75803'' and JBD2.Par=''292'' ');
 Zapytanie.sql.add(' and JBD2.Status<>''1'' ');
 Zapytanie.sql.add(' and JBKontr.Rok=JBD2.Rok and JBKontr.Okres=JBD2.Kwartal and JBKontr.Id_Jst=JBD2.Id_JST and JBKontr.Id_Jb=JBD2.Id_JB and JBKontr.Dzial=''758'' and JBKontr.Rozdzial=''75803'' and JBKontr.Par=''292'' and JBD2.R4<>JBkontr.wykonanie ');
end;
end;

////////////////////////////////////////////////////////////////////////////
function D_R7_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R7 as lewa, 0 as prawa, ''>='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and JBD2.R7<0');
end;

////////////////////////////////////////////////////////////////////////////
function D_R7_2:String;
var Zapytanie:TQuery;
begin
//R7=IIF[@IsIn(PAR,"032,031,043,044,045,037,034,033");R7;0.0]
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R7 as lewa, 0 as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and ');
 Zapytanie.sql.add(' JBD2.PAR not in (''032'',''031'' ,''043'' , ''044'' ,''045'' ,''037'' ,''034'', ''033'')' );
 Zapytanie.sql.add(' and JBD2.R7<>0');
end;

////////////////////////////////////////////////////////////////////////////
function D_R7_3:String;
var Zapytanie:TQuery;
begin
//R7=0
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R7 as lewa, 0 as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and JBD2.R7<>0');
end;

////////////////////////////////////////////////////////////////////////////
function D_R8_1:String;
var Zapytanie:TQuery;
begin
//R8>=0
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R8 as lewa, 0 as prawa, ''>='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and JBD2.R8<0');
end;

////////////////////////////////////////////////////////////////////////////
function D_R8_2:String;
var Zapytanie:TQuery;
begin
//R8=IIF[@IsIn(PAR,"032,035,033,031,036,043,044,045,041,037,034,056,091,046,049,050");R8;0.0]
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R8 as lewa, 0 as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and ');
 Zapytanie.sql.add(' JBD2.PAR not in (''032'', ''035'', ''033'', ''031'', ''036'', ''043'', ''044'', ' );
 Zapytanie.sql.add(' ''045'', ''041'', ''037'', ''034'', ''056'', ''091'', ''046'', ''049'', ''050'' )' );
 Zapytanie.sql.add(' and JBD2.R8<>0');
end;

////////////////////////////////////////////////////////////////////////////
function D_R8_3:String;
var Zapytanie:TQuery;
begin
//R8=0
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R8 as lewa, 0 as prawa, ''='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and JBD2.R8<>0');
end;


////////////////////////////////////////////////////////////////////////////
function D_R9_1:String;
var Zapytanie:TQuery;
begin
//R9<=R4
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, JBD2.R9 as lewa, JBD2.R4 as prawa, ''<='' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
 Zapytanie.sql.add(' FROM JBd2');
 Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.Status<>''1'' and ');
 Zapytanie.sql.add(' ((JBD2.R9>0 and JBD2.R4>0 and JBD2.R9-JBD2.R4>0) or (JBD2.R9<0 and JBD2.R4>0 and -JBD2.R9-JBD2.R4>0) or (JBD2.R9>0 and JBD2.R4<0 and JBD2.R9+JBD2.R4>0) or (JBD2.R9<0 and JBD2.R4<0 and JBD2.R4-JBD2.R9>0))');
end;

////////////////////////////////////////////////////////////////////////////
function D_Rozdz_1:String;
var Zapytanie:TQuery;
    System:TTable;
    sTemp: String;
    Year, Month, Day: Word;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

DecodeDate(System.FieldByName('DataKw').AsDateTime, Year, Month, Day);
sTemp := IntToStr(Month)+'/'+IntToStr(Day)+'/'+IntToStr(Year);
Zapytanie.sql.Clear;
if (Uppercase(Zapytanie.DatabaseName) = 'DBI') then
begin
Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
Zapytanie.sql.add(' FROM JBd2 LEFT OUTER JOIN "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" on (JBD2.rozdzial=s_rozdz.rozdzial)');
Zapytanie.sql.add(' and ( '''+sTemp+''' BETWEEN s_rozdz.DPocz and (s_rozdz.DKon+1)) ');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.STATUS<>''1'' ');
Zapytanie.sql.add(' and (s_rozdz.Rozdzial IS NULL)');
end
else
begin
Zapytanie.sql.add(' SELECT JBD2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBD2.Status, JBD2.Dzial, JBD2.Rozdzial,JBD2.Par');
Zapytanie.sql.add(' FROM JBd2 ');
Zapytanie.sql.add(' WHERE JBD2.IdSpraw=:IdSpraw and JBD2.STATUS<>''1'' ');
Zapytanie.sql.add('  and JBD2.Rozdzial not in (Select Rozdzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" where s_rozdz.dzial=JBD2.Dzial and s_rozdz.DPocz<=:DataKw and s_rozdz.DKon>=:DataKW -1)');
end;
end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-29;
function D_R4_FJ_I_2_2: string;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;
  iIDSPRAW: integer; //Z.D. 2009-06;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  // policz sume
  Zapytanie.sql.add('select SUM(B.R4) SUMR4, Min(B.IDSPRAW) IDSPRAW'); //Z.D. 2009-06;
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBD2 B');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('      B.STATUS = ''1''');
  Zapytanie.sql.add('  and B.IDSPRAW = :IDSPRAW');

  Zapytanie.Open;
  sPoleLewe:= PrzecinekNaKropke(FloatToStr(Zapytanie.FieldByName('SUMR4').AsCurrency));
  iIDSPRAW:= Zapytanie.FieldByName('IDSPRAW').AsInteger; //Z.D. 2009-06;
  Zapytanie.Close;

  sPolePrawe:= 'S.MNOZNIK*B.CURR';
  sID_S_SPRPO_FJ:= '55';

  Zapytanie.sql.Clear;
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  Cast('+IntToStr(iIDSPRAW)+' as Integer) as IDSPRAW,'); //Z.D. 2009-06;
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  cast('+sPoleLewe+' as float(18)) as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (B.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('      B.ROK = :ROK');
  Zapytanie.sql.add('  and B.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and B.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and B.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and ((cast('+sPoleLewe+' as float(18)) - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------

//=================================================
////////////////////////////////////////////////////////////////////////////
/// FORMULARZ W
////////////////////////////////////////////////////////////////////////////
function W_Dzial_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.STATUS<>''1'' ');
Zapytanie.sql.add('  and JBW2.Dzial not in (Select dzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_DZIAL" where S_dzial.DPocz<=:DataKw and S_dzial.DKon>=:DataKW -1)');
end;

////////////////////////////////////////////////////////////////////////////
function W_R1_1:String;
var Zapytanie:TQuery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R1 as lewa, 0 as prawa, ''>='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function W_R9_1:String;
var Zapytanie:TQuery;
begin
//R9>=0
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R9 as lewa, 0 as prawa, ''>='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par' );
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R9<0');
end;

////////////////////////////////////////////////////////////////////////////
function W_R10_1:String;
var Zapytanie:TQuery;
begin
//R10<=R1
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R10 as lewa, R1 as prawa, ''<='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R10>R1');
end;

////////////////////////////////////////////////////////////////////////////
function W_R12_1:String;
var Zapytanie:TQuery;
begin
//R10>=0
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R10 as lewa, 0 as prawa, ''>='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R10<0');
end;

////////////////////////////////////////////////////////////////////////////
function W_R4_1:String;
var Zapytanie:TQuery;
begin
//R1>=R4
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R1 as lewa, JBW2.R4 as prawa, ''>='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R1<JBW2.R4');
end;
//------------------------------------------------------------------------------
//Z.D.2010-05; mantis 346: R1>=R4+R10+R11
//Z.D.2011-03; mantis 895: wylaczenie tej funkcji, zgodnie z zaleceniem MM - zaremowac
//function W_R1vsR4R10R11_2010: string;
//var
//  qry: TQuery;
//  L, P: string;

//begin
//  L:= 'B.R1';
//  P:= '(B.R4 + B.R10 + B.R11)';
//  qry:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
//  qry.SQL.Clear;
//  qry.SQL.Add('select B.IdSpraw, 0 as roznica, '+L+' as lewa, '+P+' as prawa, ''>='' as operator, B.Status, B.Dzial, B.Rozdzial, B.Par||B.Par4 as Par');

//  qry.SQL.Add('from JBW2 B');
//  qry.SQL.Add('where B.IdSpraw=:IdSpraw and B.Status<>''1'' and '+L+'<'+P);
//end;
//------------------------------------------------------------------------------
function W_R4_2:String;
var Zapytanie:TQuery;
begin
//R1>=R4
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R1 as lewa, JBW2.R4 as prawa, ''>='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R1<JBW2.R4-.5');
//Zapytanie.Active:=True;
//if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.5
//then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function W_N28_1:String;
var Zapytanie:TQuery;
begin
//R1+R4+R9+R10+R11+R12>0
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R1+JBW2.R4+JBW2.R9+JBW2.R10+JBW2.R11+JBW2.R12 as lewa, 0 as prawa, ''>'' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial,JBW2.Par||JBW2.Par4 as Par');
 Zapytanie.sql.add(' FROM JBw2');
 Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R1=0 and JBW2.R4=0 and JBW2.R9=0 and JBW2.R10=0 and JBW2.R11=0 and JBW2.R12=0');
end;

////////////////////////////////////////////////////////////////////////////
function W_Paragraf_1:String;
var Zapytanie:Tquery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
 Zapytanie.sql.add(' FROM JBw2');
 Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.STATUS<>''1'' ');
 Zapytanie.sql.add('  and JBW2.PAR not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" where S_parw.DPocz<=:DataKw and S_parw.DKon>=:DataKw -1)');
end;


////////////////////////////////////////////////////////////////////////////
function W_Paragraf1_1:String;
var Zapytanie:Tquery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
 Zapytanie.sql.add(' FROM JBw2');
 Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.STATUS<>''1'' ');
 Zapytanie.sql.add('  and JBW2.PAR not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" where S_parw.DPocz<=:DataKw and (S_parw.DKon>=:DataKw -1) and GPW like ''%''||  :SPRAWOZD || ''%'')');
end;


////////////////////////////////////////////////////////////////////////////
function W_R12_2:String;
var Zapytanie:TQuery;
begin
//R12<=R11
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R12 as lewa, JBW2.R11 as prawa, ''<='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R12>JBW2.R11');
end;

////////////////////////////////////////////////////////////////////////////
function W_R9_2:String;
var Zapytanie:TQuery;
begin
//R9<=R4
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, JBW2.R9 as lewa, JBW2.R4 as prawa, ''<='' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial, JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.Status<>''1'' and JBW2.R9>JBW2.R4');
end;


////////////////////////////////////////////////////////////////////////////
function W_Rozdz_1:String;
var Zapytanie:TQuery;
    System:TTable;
    sTemp: String;
    Year, Month, Day: Word;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

DecodeDate(System.FieldByName('DataKw').AsDateTime, Year, Month, Day);
sTemp := IntToStr(Month)+'/'+IntToStr(Day)+'/'+IntToStr(Year);
Zapytanie.sql.Clear;
if (Uppercase(Zapytanie.DatabaseName) = 'DBI') then
begin
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial,JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2 LEFT OUTER JOIN "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" on (JBW2.rozdzial=s_rozdz.rozdzial)');
Zapytanie.sql.add(' and ( '''+sTemp+''' BETWEEN s_rozdz.DPocz and (s_rozdz.DKon+1)) ');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.STATUS<>''1'' ');
Zapytanie.sql.add(' and (s_rozdz.Rozdzial IS NULL)');
end
else
begin
Zapytanie.sql.add(' SELECT JBW2.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, JBW2.Status, JBW2.Dzial, JBW2.Rozdzial,JBW2.Par||JBW2.Par4 as Par');
Zapytanie.sql.add(' FROM JBw2');
Zapytanie.sql.add(' WHERE JBW2.IdSpraw=:IdSpraw and JBW2.STATUS<>''1'' ');
Zapytanie.sql.add('  and JBW2.Rozdzial not in (Select Rozdzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" where s_rozdz.dzial=JBW2.Dzial and s_rozdz.DPocz<=:DataKw and s_rozdz.DKon>=:DataKW -1)');
end;
end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-29;
function W_R4_FJ_I_1_2 : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;
  iIDSPRAW: integer; //Z.D. 2009-06;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  // policz sume
  Zapytanie.sql.add('select SUM(B.R4) SUMR4, Min(B.IDSPRAW) IDSPRAW'); //Z.D. 2009-06;
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBW2 B');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('      B.STATUS = ''1''');
  Zapytanie.sql.add('  and B.IDSPRAW = :IDSPRAW');

  Zapytanie.Open;
  sPoleLewe:= PrzecinekNaKropke(FloatToStr(Zapytanie.FieldByName('SUMR4').AsCurrency));
  iIDSPRAW:= Zapytanie.FieldByName('IDSPRAW').AsInteger; //Z.D. 2009-06;
  Zapytanie.Close;

  sPolePrawe:= 'S.MNOZNIK*B.CURR';
  sID_S_SPRPO_FJ:= '48';

  Zapytanie.sql.Clear;
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  Cast('+IntToStr(iIDSPRAW)+' as Integer) as IDSPRAW,'); //Z.D. 2009-06;
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  cast('+sPoleLewe+' as float(18)) as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (B.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('      B.ROK = :ROK');
  Zapytanie.sql.add('  and B.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and B.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and B.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and ((cast('+sPoleLewe+' as float(18)) - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------

//=================================================
////////////////////////////////////////////////////////////////////////////
function Rb30_Rozdz_1:String;
var Zapytanie:TQuery;
    System:TTable;
    sTemp: String;
    Year, Month, Day: Word;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
DecodeDate(System.FieldByName('DataKw').AsDateTime, Year, Month, Day);
sTemp := IntToStr(Month)+'/'+IntToStr(Day)+'/'+IntToStr(Year);
 Zapytanie.sql.Clear;
if (Uppercase(Zapytanie.DatabaseName) = 'DBI') then
begin
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par ');
 Zapytanie.sql.add(' FROM JBrb30 LEFT OUTER JOIN "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" on (JBRb30.rozdzial=s_rozdz.rozdzial)');
 Zapytanie.sql.add(' and ( '''+sTemp+''' BETWEEN s_rozdz.DPocz and (s_rozdz.DKon+1)) ');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb30.Kod=''G'' or JBRb30.Kod=''M'') and ');
 Zapytanie.sql.add(' (s_rozdz.Rozdzial IS NULL)');
end
else
begin
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par ');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb30.Kod=''G'' or JBRb30.Kod=''M'') and ');
 Zapytanie.sql.add(' JBRb30.Rozdzial not in (Select Rozdzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" where s_rozdz.dzial=JBRb30.Dzial and s_rozdz.DPocz<=:DataKw and s_rozdz.DKon>=:DataKW -1)');
end;
end;


////////////////////////////////////////////////////////////////////////////
function Rb30_Par_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.Add(' ((JBRb30.Kod=''G'' and JBRb30.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" where S_pard.DPocz<=:DataKw and (S_pard.DKon>=:DataKw -1) and S_pard.GPW like ''%S%'')) or ');
 Zapytanie.sql.Add('  (JBRb30.Kod=''M'' and JBRb30.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" where S_parw.DPocz<=:DataKw and (S_parw.DKon>=:DataKw -1) and S_parw.GPW like ''%S%'')))');
end;


////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////

function Rb30_Par1_1: string;
var
  Zapytanie: TQuery;
  System: TTable;
begin
  Zapytanie := Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System := Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add(' SELECT JBRB30.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRB30.Dzial, JBRB30.Rozdzial, JBRB30.Par');
  Zapytanie.sql.add(' FROM JBRB30');
  Zapytanie.sql.add(' WHERE JBRB30.rok=:ROK and JBRB30.kwartal=:KWARTAL and JBRB30.id_Jst=:Id_JST and JBRB30.IdSpraw=:IdSpraw and ');
  Zapytanie.sql.Add(' ((JBRB30.Kod=''G'' and JBRB30.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARD" where S_pard.DPocz<=:DataKw and S_pard.DKon>=:DataKw and GPW like ''%S%'')) or ');
  Zapytanie.sql.Add('  (JBRB30.Kod=''M'' and JBRB30.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARW" where S_parw.DPocz<=:DataKw and S_parw.DKon>=:DataKw and GPW like ''%S%'')))');
end;
////////////////////////////////////////////////////////////////////////////
function RB30_R1R4_1:String;
var Zapytanie:TQuery;
begin
//GR1
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, JBRb30.R1-JBRb30.R4 as roznica, JBRb30.R1 as lewa, JBRb30.R4 as prawa, ''>='' as operator, '' '' as Status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
// Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.R1<JBRb30.R4 and (KOD=''G'' or KOD=''M'')');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.R1<JBRb30.R4 and (KOD=''M'')');
end;


////////////////////////////////////////////////////////////////////////////
function RB30_R1_0_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1+JBRb30.R4+JBRb30.R5 as lewa, 0 as prawa, ''>'' as operator, '' '' as Status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.R1=0 and JBRb30.R4=0 and JBRb30.R5=0 and (KOD=''G'' or KOD=''M'')');
end;



////////////////////////////////////////////////////////////////////////////
function RB30_GR1_1:String;
var Zapytanie:TQuery;
begin
//GR1
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as Status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''G'' and JBRb30.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_K100_1:String;
var Zapytanie:TQuery;
begin
//K100R5=0
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as Status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''K'' and JBRb30.Par=''100'' and JBRb30.R5<>0');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_K110_1:String;
var Zapytanie:TQuery;
begin
//K110R5=0
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as Status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''K'' and JBRb30.Par=''110'' and JBRb30.R5<>0');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_K110_2:String;
var Zapytanie:TQuery;
begin
//K110R1<>''
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''K'' and JBRb30.Par=''110'' and JBRb30.R1=0 and JBRb30.Dzial is not null');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_K110_3:String;
var Zapytanie:TQuery;
begin
//K110R4<>''
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''K'' and JBRb30.Par=''110'' and JBRb30.R4=0 and JBRb30.Dzial is not null');
end;


////////////////////////////////////////////////////////////////////////////
function RB30_HR1_1:String;
var zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+ (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''H'' and JBRb30.R1<>(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''G'')or (KOD=''K'' and PAR=''100'')) and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_HR1_2:String;
var zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB30.IdSpraw, 0 as roznica, JBRB30.R1 as lewa, (Select SUM(R1) from JBRB30  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR =''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB30.Dzial, JBRB30.Rozdzial, JBRB30.Par');
 Zapytanie.sql.add(' FROM JBRB30');
 Zapytanie.sql.add(' WHERE JBRB30.IdSpraw=:IdSpraw and JBRB30.KOD=''H'' and JBRB30.R1<>(Select SUM(R1) from JBRB30  where IdSpraw=:IDSPRAW and ((KOD=''G'')or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial )');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB30_HR4_1:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//HR4=sumaGR4+K100R4

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''H'' and JBRb30.R4<>(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and PAR=''100'')) and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)');


Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB30_HR4_2:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//HR4=sumaGR4+K100R4

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB30.IdSpraw, 0 as roznica, JBRB30.R4 as lewa, (Select SUM(R4) from JBRB30  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR =''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB30.Dzial, JBRB30.Rozdzial, JBRB30.Par');
 Zapytanie.sql.add(' FROM JBRB30');
 Zapytanie.sql.add(' WHERE JBRB30.IdSpraw=:IdSpraw and JBRB30.KOD=''H'' and JBRB30.R4<>(Select SUM(R4) from JBRB30  where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial)');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R1_1:String;
var Zapytanie:Tquery;
begin

 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
// Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' )+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial, JBRb30.Par||JBRb30.Par4');
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' )+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial, JBRb30.Par||JBRb30.Par4 AS PAR'); //mm 2005-10-06
 Zapytanie.sql.add(' FROM JBRb30');
// Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R1<>(Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and ((PAR=''100'') or (PAR=''110'')))) )');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R1<>(Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and ((PAR=''100'') or (PAR=''110'')))) )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB30_L190R1_4:String;
var Zapytanie:Tquery;
begin

 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB30.IdSpraw, 0 as roznica, JBRB30.R1 as lewa, (Select SUM(R1) from JBRB30 where IdSpraw=:IDSPRAW and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial and (KOD=''G'' or (KOD=''K'' and (PAR=''100'' or PAR=''110'')) or (KOD = ''I'' and PAR = ''110'') ))as prawa, ''='' as operator, '' '' as status, JBRB30.Dzial, JBRB30.Rozdzial, JBRB30.Par');
 Zapytanie.sql.add(' FROM JBRB30');
 Zapytanie.sql.add(' WHERE JBRB30.IdSpraw=:IdSpraw and JBRB30.KOD=''L'' and JBRB30.Par=''190'' and JBRB30.R1<>(Select SUM(R1) from JBRB30 where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and ((PAR=''100'') or (PAR=''110''))) or (KOD = ''I'' and PAR = ''110'')) )');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R4_2:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R4=sumaGR4+K100R4+K110R4
 Zapytanie.sql.Clear;
// Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' )+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' )+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
// Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R4<>(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and ((PAR=''100'') or (PAR=''110'')))))');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R4<>(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and ((PAR=''100'') or (PAR=''110'')))))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB30_L190R4_4:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R4=sumaGR4+K100R4+K110R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB30.IdSpraw, 0 as roznica, JBRB30.R4 as lewa, (Select SUM(R4) from JBRB30 where IdSpraw=:IDSPRAW and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial and (KOD=''G'' or (KOD=''K'' and (PAR=''100'' or PAR=''110'')) or (KOD = ''I'' and PAR =''110''))) as prawa, ''='' as operator, '' '' as status, JBRB30.Dzial, JBRB30.Rozdzial, JBRB30.Par');
 Zapytanie.sql.add(' FROM JBRB30');
 Zapytanie.sql.add(' WHERE JBRB30.IdSpraw=:IdSpraw and JBRB30.KOD=''L'' and JBRB30.Par=''190'' and JBRB30.R4<>(Select SUM(R4) from JBRB30  where IdSpraw=:IDSPRAW and ((KOD=''G'') or (KOD=''K'' and ((PAR=''100'') or (PAR=''110''))) or (KOD = ''I'' and PAR =''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R5_1:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R5=sumaGR5
 Zapytanie.sql.Clear;
// Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R5 as lewa, (Select SUM(R5) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R5 as lewa, (Select SUM(R5) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
// Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R5<>(Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and ID_JST=:ID_JST)');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R5<>(Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and ID_JST=:ID_JST)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

 end;

////////////////////////////////////////////////////////////////////////////
function RB30_S190R1_1:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//S190R1=sumaMR1+P100R1+P110R1+P120R1+P130R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' )+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' )+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''120'' )');
 Zapytanie.sql.add('+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''130'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''S'' and JBRb30.Par=''190'' and JBRb30.R1<>(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''M'') or (KOD=''P'' and ((PAR=''100'') or (PAR=''110'') or (PAR=''120'') or (PAR=''130'')))) )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_S190R1_3:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//S190R1=sumaMR1+P100R1+P110R1+P120R1+P130R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB30.IdSpraw, 0 as roznica, JBRB30.R1 as lewa, (Select SUM(R1) from JBRB30  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD = ''P'' and (PAR = ''100'' or PAR = ''110'' or PAR = ''120'' or PAR = ''130'')) or (KOD = ''I'' and PAR = ''100'') or (KOD = ''J'' and PAR = ''100'')) and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB30.Dzial, JBRB30.Rozdzial, JBRB30.Par');
 Zapytanie.sql.add(' FROM JBRB30');
 Zapytanie.sql.add(' WHERE JBRB30.IdSpraw=:IdSpraw and JBRB30.KOD=''S'' and JBRB30.Par=''190'' and JBRB30.R1<>(Select SUM(R1) from JBRB30  where IdSpraw=:IDSPRAW and ((KOD=''M'') or (KOD=''P'' and ((PAR=''100'') or (PAR=''110'') or (PAR=''120'') or (PAR=''130''))) or (KOD = ''I'' and PAR = ''100'') or (KOD = ''J'' and PAR = ''100'') ) )');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB30_S190R4_1:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//S190R4=sumaMR4+P100R4+P110R4+P120R4+P130R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'' )+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' )+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''120'' )');
 Zapytanie.sql.add('+(Select SUM(R4) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''130'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''S'' and JBRb30.Par=''190'' and JBRb30.R4<>(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''M'') or (KOD=''P'' and ((PAR=''100'') or (PAR=''110'') or (PAR=''120'') or (PAR=''130'')))) )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_S190R4_3:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//S190R4=sumaMR4+P100R4+P110R4+P120R4+P130R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB30.IdSpraw, 0 as roznica, JBRB30.R4 as lewa, (Select SUM(R4) from JBRB30  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD = ''P'' and (PAR = ''100'' or PAR = ''110'' or PAR = ''120'' or PAR = ''130'')) or (KOD = ''I'' and PAR = ''100'') or (KOD = ''J'' and PAR = ''100'')) and DZIAL=JBRB30.dzial and ROZDZIAL=JBRB30.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB30.Dzial, JBRB30.Rozdzial, JBRB30.Par');
 Zapytanie.sql.add(' FROM JBRB30');
 Zapytanie.sql.add(' WHERE JBRB30.IdSpraw=:IdSpraw and JBRB30.KOD=''S'' and JBRB30.Par=''190'' and JBRB30.R4<>(Select SUM(R4) from JBRB30  where IdSpraw=:IDSPRAW and ((KOD=''M'') or (KOD=''P'' and ((PAR=''100'') or (PAR=''110'') or (PAR=''120'') or (PAR=''130''))) or (KOD = ''I'' and PAR = ''100'') or (KOD = ''J'' and PAR = ''100'') ) )');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB30_S190R5_1:String;
var Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//S190R5=sumaMR5+P110R5+P120R5
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R5 as lewa, (Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' )+(Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''120'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''S'' and JBRb30.Par=''190'' and JBRb30.R5<>(Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''M'') or(KOD=''P'' and PAR=''110'') or (KOD=''P'' and PAR=''120'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R1_3:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R1=HR1+K110R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial, JBRb30.Par ');
 Zapytanie.sql.add(' FROM JBRb30 ');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R1<>(Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and ((KOD=''H'') or(KOD=''K'' and PAR=''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R4_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R4=HR4+K110R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R4<>(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''H'') or (KOD=''K'' and PAR=''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R5_2:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R5=HR5
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R5<>(Select SUM(R5) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB30_P100_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P100R5=0

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''P'' and JBRb30.Par=''100'' and JBRb30.R5<>0');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_P130_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P130R5=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''P'' and JBRb30.Par=''130'' and JBRb30.R5<>0');
end;


////////////////////////////////////////////////////////////////////////////
function RB30_P130R1_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P130R1<>''
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''P'' and JBRb30.Par=''130'' and JBRb30.R1=0 and JBRb30.Dzial is not null');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_P130R4_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P130R4<>''
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''P'' and JBRb30.Par=''130'' and JBRb30.R4=0 and JBRb30.Dzial is not null');
end;



////////////////////////////////////////////////////////////////////////////
function RB30_S190R1_2:String;
var zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//S190R1=NR1+P110R1+P120R1+P130R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'')+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''120'' )+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''130'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''S'' and JBRb30.Par=''190'' and JBRb30.R1<>(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''N'') or (KOD=''P'' and PAR=''110'') or (KOD=''P'' and PAR=''120'') or (KOD=''P'' and PAR=''130'')) )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB30_S190R4_2:String;
var zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//S190R4=NR4+P110R4+P120R4+P130R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial)+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''110'' )+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''120'' )+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''130'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''S'' and JBRb30.Par=''190'' and JBRb30.R4<>(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and ((KOD=''N'') or (KOD=''P'' and ((PAR=''110'') or (PAR=''120'') or (PAR=''130'')))))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R1_2:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R1=S190R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''190'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R1<>(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''190'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_L190R4_3:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R4=S190R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''190'' ) as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''L'' and JBRb30.Par=''190'' and JBRb30.R4<>(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''190'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB30_P110R4_1:String;
var   Zapytanie:Tquery;
      System:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//P110R4=Z100R1+Z100R4

If System.FieldByName('KWARTAL').asString='4' then
begin
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''Z'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'')+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''Z'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''P'' and JBRb30.Par=''110'' and JBRb30.R4<>(Select SUM(R1)+SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and (KOD=''Z'' and PAR=''100''))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end
else
begin
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''Z'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'')+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''Z'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE -1=3');
end;

end;

////////////////////////////////////////////////////////////////////////////
function RB30_P120R4_1:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P120R4=Z101R1+Z101R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''Z'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''101'')+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''Z'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''101'') as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''P'' and JBRb30.Par=''120'' and JBRb30.R4<>(Select SUM(R1)+SUM(R4) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''Z'' and PAR=''101'')');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_K110R4_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K110R4<>''
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''K'' and JBRb30.Par=''110'' and JBRb30.R4=0');
end;



////////////////////////////////////////////////////////////////////////////
function RB30_W070_1:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W070R1=W010R1+W020R1+W030R1-W050R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''010'')+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'')+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''030'')-(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''050'') as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''W'' and JBRb30.Par=''070'' and JBRb30.R1+(Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''050'') <> (Select SUM(R1) from JBRb30 where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''010'') or (PAR=''020'') or (PAR=''030'')))');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_W050_1:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W050R1>=W051R1+W052R1+W053R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R1 as lewa, (Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''051'')+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''052'')+(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''053'') as prawa, ''>='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''W'' and JBRb30.Par=''050'' and JBRb30.R1<(Select SUM(R1) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''051'') or (PAR=''052'') or (PAR=''053''))) ');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_W050_2:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W050R1>=W051R1+W052R1+W053R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''051'')+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''052'')+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''053'') as prawa, ''>='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''W'' and JBRb30.Par=''050'' and JBRb30.R4<(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''051'') or (PAR=''052'') or (PAR=''053'')))');
end;

////////////////////////////////////////////////////////////////////////////
function RB30_W070_2:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W070R4=W010R4+W020R4+W030R4-W050R4
 //ShowMessage('Uzycie prawej');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''010'')+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''020'')+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''030'')-(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb30.dzial and ROZDZIAL=JBRb30.Rozdzial and PAR=''050'') as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''W'' and JBRb30.Par=''070'' and JBRb30.R4+(Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''050'') <> (Select SUM(R4) from JBRb30  where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''010'') or (PAR=''020'') or (PAR=''030'')))');
end;


////////////////////////////////////////////////////////////////////////////
function RB30_Dzial_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, JBRb30.R4 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb30.Kod=''G'' or JBRb30.Kod=''M'') and ');
 Zapytanie.sql.add('  JBRb30.Dzial not in (Select dzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_DZIAL" where S_dzial.DPocz<=:DataKw and S_dzial.DKon>=:DataKW -1)');
end;



////////////////////////////////////////////////////////////////////////////
function RB31_R1R4_1:String;
var Zapytanie:TQuery;
begin
//GR1
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, JBRb31.R1-JBRb31.R4 as roznica, JBRb31.R1 as lewa, JBRb31.R4 as prawa, ''>='' as operator, '' '' as Status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
// Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.R1<JBRb31.R4 and (JBRb31.Kod=''G'' or JBRb31.Kod=''M'') ');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.R1<JBRb31.R4 and (JBRb31.Kod=''M'') ');
end;


////////////////////////////////////////////////////////////////////////////
function RB31_R1_0_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1+JBRb31.R4+JBRb31.R5 as lewa, 0 as prawa, ''>'' as operator, '' '' as Status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.R1=0 and JBRb31.R4=0 and JBRb31.R5=0 and (KOD=''G'' or KOD=''M'')');
end;



////////////////////////////////////////////////////////////////////////////
function RB31_K100_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K100R5=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''K'' and JBRb31.Par=''100'' and JBRb31.R5<>0');
end;

////////////////////////////////////////////////////////////////////////////
function RB31_P100_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P100R5=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''P'' and JBRb31.Par=''100'' and JBRb31.R5<>0');
end;


////////////////////////////////////////////////////////////////////////////
function RB31_GR1_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//GR1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''G'' and JBRb31.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB31_W070_1:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W070R1=W010R1+W020R1+W030R1-W050R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''010'')+(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''020'')+(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''030'')-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''050'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''W'' and JBRb31.Par=''070'' and JBRb31.R1+(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''050'') <>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''010'') or (PAR=''020'') or (PAR=''030'')))');
end;


////////////////////////////////////////////////////////////////////////////
function RB31_W070_2:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W070R4=W010R4+W020R4+W030R4-W050R4
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''010'')+(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''020'')+(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''030'')-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''050'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''W'' and JBRb31.Par=''070'' and JBRb31.R4 +(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''050'')<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''010'') or (PAR=''020'') or (PAR=''030'')))');
end;


////////////////////////////////////////////////////////////////////////////
function RB31_HR1_1:String;
//HR1=sumaGR1+K100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)+(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''H'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_HR1_2:String;
//HR1=sumaGR1+K100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB31.IdSpraw, 0 as roznica, JBRB31.R1 as lewa, (Select SUM(R1) from JBRB31  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB31.dzial and ROZDZIAL=JBRB31.Rozdzial)as prawa, ''='' as operator, '' '' as status, JBRB31.Dzial, JBRB31.Rozdzial, JBRB31.Par');
 Zapytanie.sql.add(' FROM JBRB31');
 Zapytanie.sql.add(' WHERE JBRB31.IdSpraw=:IdSpraw and JBRB31.KOD=''H'' and JBRB31.R1<>(Select SUM(R1) from JBRB31  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB31_HR4_1:String;
//HR4=sumaGR4+K100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)+(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''H'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_HR4_2:String;
//HR4=sumaGR4+K100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB31.IdSpraw, 0 as roznica, JBRB31.R4 as lewa, (Select SUM(R4) from JBRB31  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB31.dzial and ROZDZIAL=JBRB31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB31.Dzial, JBRB31.Rozdzial, JBRB31.Par');
 Zapytanie.sql.add(' FROM JBRB31');
 Zapytanie.sql.add(' WHERE JBRB31.IdSpraw=:IdSpraw and JBRB31.KOD=''H'' and JBRB31.R4<>(Select SUM(R4) from JBRB31  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB31_HR5_1:String;
//HR5=sumaGR5
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R5 as lewa, (Select SUM(R5) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''H'' and JBRb31.R5<>(Select SUM(R5) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)');
end;

////////////////////////////////////////////////////////////////////////////
function RB31_NR1_1:String;
//NR1=sumaMR1+P100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)+(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''N'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_NR1_2:String;
//NR1=sumaMR1+P100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB31.IdSpraw, 0 as roznica, JBRB31.R1 as lewa, (Select SUM(R1) FROM JBRB31  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''I'' and PAR=''100'')) and DZIAL=JBRB31.dzial and ROZDZIAL=JBRB31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB31.Dzial, JBRB31.Rozdzial, JBRB31.Par');
 Zapytanie.sql.add(' FROM JBRB31');
 Zapytanie.sql.add(' WHERE JBRB31.IdSpraw=:IdSpraw AND JBRB31.KOD=''N'' AND JBRB31.R1<>(Select SUM(R1) FROM JBRB31  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''I'' and PAR=''100'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB31_NR4_1:String;
//NR4=sumaMR4+P100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)+(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''N'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_NR4_2:String;
//NR4=sumaMR4+P100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB31.IdSpraw, 0 as roznica, JBRB31.R4 as lewa, (Select SUM(R4) FROM JBRB31  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''I'' and PAR=''100'')) and DZIAL=JBRB31.dzial and ROZDZIAL=JBRB31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB31.Dzial, JBRB31.Rozdzial, JBRB31.Par');
 Zapytanie.sql.add(' FROM JBRB31');
 Zapytanie.sql.add(' WHERE JBRB31.IdSpraw=:IdSpraw AND JBRB31.KOD=''N'' AND JBRB31.R4<>(Select SUM(R4) FROM JBRB31  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''I'' and PAR=''100'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB31_NR5_1:String;
//NR5=sumaMR5
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R5 as lewa, (Select SUM(R5) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''N'' and JBRb31.R5<>(Select SUM(R5) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB31_Dzial_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''W'' and JBRb31.Par=''070'' and ');
 Zapytanie.sql.add(' (JBRb31.Kod=''G'' or JBRb31.Kod=''M'') and ');
 Zapytanie.sql.add('  JBRb31.Dzial not in (Select dzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_DZIAL" where S_dzial.DPocz<=:DataKw and S_dzial.DKon>=(:DataKW - 1))');
end;



////////////////////////////////////////////////////////////////////////////
function RB32_R1R4_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, JBRb32.R1-JBRb32.R4 as roznica, JBRb32.R1 as lewa, JBRb32.R4 as prawa, ''>='' as operator, '' '' as Status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
// Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.R1<JBRb32.R4 and (JBRb32.Kod=''G'' or JBRb32.Kod=''M'')' );
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.R1<JBRb32.R4 and (JBRb32.Kod=''M'')' );
end;

////////////////////////////////////////////////////////////////////////////
function RB32_R1_0_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1+JBRb32.R4 as lewa, 0 as prawa, ''>'' as operator, '' '' as Status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.R1=0 and JBRb32.R4=0 and (KOD=''G'' or KOD=''M'')');
end;


function RB32_GR1_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//GR1>0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''G'' and JBRb32.R1<0');
end;


////////////////////////////////////////////////////////////////////////////
function RB32_HR1_1:String;
//HR1=sumaGR1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, (Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''H'' and JBRb32.R1<>(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_HR4_1:String;
//HR4=sumaGR4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, (Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''H'' and JBRb32.R4<>(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB32_L190R1_1:String;
//L190R1=sumaGR1+K110R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, (Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''110'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''L'' and PAR=''190'' and JBRb32.R1<>(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB32_L190R4_1:String;
//L190R4=sumaGR4+K110R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, (Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''110'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''L'' and PAR=''190'' and JBRb32.R4<>(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB32_S190R1_1:String;
//S190R1=sumaMR1+P120R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, (Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''120'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''S'' and PAR=''190'' and JBRb32.R1<>(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''120'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB32_S190R4_1a:String;
//S190R1=sumaMR1+P120R1
var   Zapytanie:Tquery;
Suma0:string;
i:integer;

begin

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add('Select SUM(R4) as s from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''120''))');
Zapytanie.Active:=True;
Suma0:=Zapytanie.FieldByName('S').AsString;
i:=pos(',',Suma0);
if i>0 then Suma0:=copy(Suma0, 1, i-1)+'.'+copy(Suma0, i+1, 2);

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, '+Suma0+' as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''S'' and PAR=''190'' and ');
 Zapytanie.sql.add(' (('+Suma0+'-JBRb32.R4) NOT BETWEEN -0.001 AND 0.001 )');


// Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
// Zapytanie.sql.Clear;
// Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, (Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''120'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
// Zapytanie.sql.add(' FROM JBRb32');
// Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''S'' and PAR=''190'' and JBRb32.R4<>(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''120'')))');


end;

function RB32_S190R4_1:String;
//S190R1=sumaMR1+P120R1
var   Zapytanie:Tquery;
Suma0:string;
i:integer;

begin

 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, (Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''120'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''S'' and PAR=''190'' and JBRb32.R4<>(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''120'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB32_L190R1_2:String;
//L190R1=HR1+K110R1
var   Zapytanie:Tquery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, (Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''H'' or (KOD=''K'' and PAR=''110''))) as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''L'' and PAR=''190'' and JBRb32.R1<>(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''H'' or (KOD=''K'' and PAR=''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB32_L190R4_2:String;
//L190R4=HR4+K110R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, (Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''110'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''L'' and PAR=''190'' and JBRb32.R4<>(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''H'' or (KOD=''K'' and PAR=''110'')))');
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB32_S190R1_2:String;
//S190R1=NR1+P120R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, (Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''120'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''S'' and PAR=''190'' and JBRb32.R1<>(Select SUM(R1) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''N'' or (KOD=''P'' and PAR=''120'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB32_S190R4_2:String;
//S190R4=NR4+P120R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, (Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial)+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''120'') as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''S'' and PAR=''190'' and JBRb32.R4<>(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''N'' or (KOD=''P'' and PAR=''120'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB32_S190R4_2a:String;
//S190R4=NR4+P120R4
var   Zapytanie:Tquery;
Suma0:string;
i:integer;

begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
Zapytanie.sql.Clear;
Zapytanie.sql.add('Select SUM(R4) as s from JBRb32  where IdSpraw=:IDSPRAW and (KOD=''N'' or (KOD=''P'' and PAR=''120''))');
Zapytanie.Active:=True;
Suma0:=Zapytanie.FieldByName('S').AsString;
i:=pos(',',Suma0);
if i>0 then Suma0:=copy(Suma0, 1, i-1)+'.'+copy(Suma0, i+1, 2);

 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, '+Suma0+' as prawa, ''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''S'' and PAR=''190'' and ');
 Zapytanie.sql.add(' (('+Suma0+'-JBRb32.R4) NOT BETWEEN -0.001 AND 0.001 )');
end;


////////////////////////////////////////////////////////////////////////////
function RB32_W020_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W020R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''W'' and PAR=''020'' and JBRb32.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_W020_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W020R4>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''W'' and PAR=''020'' and JBRb32.R4<0');
end;


////////////////////////////////////////////////////////////////////////////
function RB32_W040_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W040R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''W'' and PAR=''040'' and JBRb32.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_W040_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W040R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''W'' and PAR=''040'' and JBRb32.R4<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_K110_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K110R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''K'' and PAR=''110'' and JBRb32.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_K110_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K110R4>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''K'' and PAR=''110'' and JBRb32.R4<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_P120_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P120R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''P'' and PAR=''120'' and JBRb32.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_P120_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P120R4>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''P'' and PAR=''120'' and JBRb32.R4<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_Dzial_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R4 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''W'' and JBRb32.Par=''070'' and ');
 Zapytanie.sql.add(' (JBRb32.Kod=''G'' or JBRb32.Kod=''M'') and ');
 Zapytanie.sql.add('  JBRb32.Dzial not in (Select dzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_DZIAL" where S_dzial.DPocz<=:DataKw and S_dzial.DKon>=(:DataKW - 1))');
end;


////////////////////////////////////////////////////////////////////////////
function RB33_R1R4_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, JBRb33.R1-JBRb33.R4 as roznica, JBRb33.R1 as lewa, JBRb33.R4 as prawa, ''>='' as operator, '' '' as Status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
// Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.R1<JBRb33.R4 and (JBRb33.Kod=''G'' or JBRb33.Kod=''M'')');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.R1<JBRb33.R4 and (JBRb33.Kod=''M'')');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_R1_0_1:String;
var Zapytanie:TQuery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1+JBRb33.R4+JBRb33.R5 as lewa, 0 as prawa, ''>'' as operator, '' '' as Status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.R1=0 and JBRb33.R4=0 and JBRb33.R5=0 and (KOD=''G'' or KOD=''M'')');
end;


function RB33_GR1_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//GR1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''G'' and JBRb33.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_K100_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K100R5=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''100'' and JBRb33.R5<>0');
end;



////////////////////////////////////////////////////////////////////////////
function RB33_K110_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K110R5=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''110'' and JBRb33.R5<>0');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_K110R4_1:String;
//K110R4=W070R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''070'' ) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''110'' and JBRb33.R4<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''070'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_K110R1_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K110R1<>''
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''110'' and JBRb33.R1=0');
end;


////////////////////////////////////////////////////////////////////////////
function RB33_HR4_1:String;
//HR4=sumaGR4+K100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''H'' and JBRb33.R4<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB33_HR4_2:String;
//HR4=sumaGR4+K100R4+I110R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
 Zapytanie.sql.add(' FROM JBRB33');
 Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''H'' AND JBRB33.R4<>(Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB33_L190R1_1:String;
//L190R1=sumaGR1+K110R1+K100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''110'')+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and PAR=''190'' and JBRb33.R1<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''110'') or (KOD=''K'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_L190R1_4:String;
//L190R1=sumaGR1+K110R1+K100R1+I110R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select SUM(R1) FROM JBRB33 where IdSpraw=:IDSPRAW and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial and (KOD=''G'' or (KOD=''K'' and (PAR=''100'' or PAR=''110'')) or (KOD=''I'' and PAR=''110'') )) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
 Zapytanie.sql.add(' FROM JBRB33');
 Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''L'' and PAR=''190'' AND JBRB33.R1<>(Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''110'') or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB33_L190R4_1:String;
//L190R4=sumaGR4+K100R4+K110R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''110'')+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and PAR=''190'' and JBRb33.R4<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''110'') or (KOD=''K'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB33_L190R4_4:String;
//L190R4=sumaGR4+K100R4+K110R4+I110R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select SUM(R4) FROM JBRB33 where IdSpraw=:IDSPRAW and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial and (KOD=''G'' or (KOD=''K'' and (PAR=''100'' or PAR=''110'')) or (KOD=''I'' and PAR=''110'') )) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
 Zapytanie.sql.add(' FROM JBRB33');
 Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''L'' and PAR=''190'' AND JBRB33.R4<>(Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''110'') or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB33_L190R1_2:String;
//L190R1=HR1+K110R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''110'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and PAR=''190'' and JBRb33.R1<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''H'' or (KOD=''K'' and PAR=''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_L190R4_2:String;
//L190R1=HR1+K110R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''110'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and PAR=''190'' and JBRb33.R4<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''H'' or (KOD=''K'' and PAR=''110'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_L190R5_1:String;
//L190R5=sumaGR5
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R5 as lewa, (Select SUM(R5) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and JBRb33.Par=''190'' and JBRb33.R5<>(Select SUM(R5) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB33_L190R5_2:String;
//L190R5=HR5
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R5 as lewa, (Select SUM(R5) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and JBRb33.Par=''190'' and JBRb33.R5<>(Select SUM(R5) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB33_P100_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P100R5=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''P'' and JBRb33.Par=''100'' and JBRb33.R5<>0');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_P130_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P130R5=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R5 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''P'' and JBRb33.Par=''130'' and JBRb33.R5<>0');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_P130R4_1:String;
//P130R4=W070R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''070'' ) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''P'' and JBRb33.Par=''130'' and JBRb33.R4<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''070'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_P130R1_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P130R1<>''
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''P'' and JBRb33.Par=''130'' and JBRb33.R1=0');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_P130R4_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P130R4<>''
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''P'' and JBRb33.Par=''130'' and JBRb33.R4=0');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_S190R1_1:String;
//S190R1=sumaMR1+P100R1+P130R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''100'')+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''130'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''S'' and PAR=''190'' and JBRb33.R1<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''P'' and PAR=''130'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_S190R1_2:String;
//S190R1=NR1+P130R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''130'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''S'' and PAR=''190'' and JBRb33.R1<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''N'' or (KOD=''P'' and PAR=''130'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_S190R1_3:String;
//S190R1=sumaMR1+P100R1+P130R1+I100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and (PAR=''100'' or PAR=''130'')) or (KOD=''I'' and PAR=''100'')) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
 Zapytanie.sql.add(' FROM JBRB33');
 Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''S'' and PAR=''190'' AND JBRB33.R1<>(Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''P'' and PAR=''130'') or (KOD=''I'' and PAR=''100'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB33_S190R4_1:String;
//S190R4=sumaMR4+P100R4+P130R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''100'')+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''130'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''S'' and PAR=''190'' and JBRb33.R4<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''P'' and PAR=''130''))) ');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_S190R4_2:String;
//S190R4=NR4+P130R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''130'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''S'' and PAR=''190'' and JBRb33.R4<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''N'' or (KOD=''P'' and PAR=''130'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB33_S190R4_3:String;
//S190R4=sumaMR4+P100R4+P130R4+I100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and (PAR=''100'' or PAR=''130'')) or (KOD=''I'' and PAR=''100'')) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
 Zapytanie.sql.add(' FROM JBRB33');
 Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''S'' and PAR=''190'' AND JBRB33.R4<>(Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''100'') or (KOD=''P'' and PAR=''130'') or (KOD=''I'' and PAR=''100'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB33_S190R5_1:String;
//S190R5=sumaMR5
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R5 as lewa, (Select SUM(R5) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''S'' and JBRb33.Par=''190'' and JBRb33.R5<>(Select SUM(R5) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB33_L190R1_3:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R1=S190R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''190'' ) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and JBRb33.Par=''190'' and JBRb33.R1<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''190'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_L190R4_3:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//L190R1=S190R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''190'' ) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''L'' and JBRb33.Par=''190'' and JBRb33.R4<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''190'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_W070_1:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W070R1=W010R1+W020R1+W030R1-W040R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''010'' )+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''020'')+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''030'' )-(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''040'' ) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''W'' and JBRb33.Par=''070'' and JBRb33.R1+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'' )<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''010'') or (PAR=''020'') or (PAR=''030'')))');
end;



////////////////////////////////////////////////////////////////////////////
function RB33_W070_2:String;
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W070R1=W010R1+W020R1+W030R1-W040R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, (Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''010'' )+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''020'')+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''030'' )-(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''040'' ) as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''W'' and JBRb33.Par=''070'' and JBRb33.R4+(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'' )<>(Select SUM(R4) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''W'' and ((PAR=''010'') or (PAR=''020'') or (PAR=''030'')) )');
end;


////////////////////////////////////////////////////////////////////////////
function RB33_HR1_1:String;
//HR1=sumaGR1+K100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, (Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial)+(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRb33.dzial and ROZDZIAL=JBRb33.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''H'' and JBRb33.R1<>(Select SUM(R1) from JBRb33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'')))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB33_HR1_2:String;
//HR1=sumaGR1+K100R1+I110R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
 Zapytanie.sql.add(' FROM JBRB33');
 Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''H'' AND JBRB33.R1<>(Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''100'') or (KOD=''I'' and PAR=''110'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB33_K110R4_2:String;
var Zapytanie:TQuery;
begin
//K110R4<>''
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, 0 as prawa, ''<>'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''110'' and JBRb33.R4=0');
end;

////////////////////////////////////////////////////////////////////////////
function RB33_Dzial_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R4 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''W'' and JBRb33.Par=''070'' and ');
 Zapytanie.sql.add(' (JBRb33.Kod=''G'' or JBRb33.Kod=''M'') and ');
 Zapytanie.sql.add('  JBRb33.Dzial not in (Select dzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_DZIAL" where S_dzial.DPocz<=:DataKw and S_dzial.DKon>=(:DataKW - 1))');
end;
//------------------------------------------------
//XRAZEMR1=sumaXR1
function RB33_XRAZEMR1_1: string;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie: Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''X'' and not (PAR IS NULL) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select SUM(R1) FROM JBRB33  where IdSpraw= :IDSPRAW and KOD= ''X'' and not (PAR = '' '') and DZIAL = JBRB33.dzial and ROZDZIAL = JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' select JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (select SUM(BPS.R1) from JBRB33 BPS where BPS.IdSpraw= :IDSPRAW and BPS.KOD= ''X'' and not (BPS.PAR = '' '') and BPS.DZIAL = JBRB33.DZIAL and BPS.ROZDZIAL = JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' from JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR IS NULL) AND JBRB33.R1<>(Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''X'' and not (PAR IS NULL))');
  //Z.D. 2009-08; Zapytanie.sql.add(' WHERE JBRB33.IdSpraw= :IdSpraw AND JBRB33.KOD= ''X'' and (JBRB33.PAR = '' '') AND JBRB33.R1 <> (Select SUM(R1) FROM JBRB33 where IdSpraw= :IDSPRAW and KOD= ''X'' and not (PAR = '' ''))');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' where JBRB33.IdSpraw= :IdSpraw and JBRB33.KOD= ''X'' and (JBRB33.PAR = '' '') and JBRB33.R1 <> (select SUM(BPW.R1) from JBRB33 BPW where BPW.IdSpraw= :IDSPRAW and BPW.KOD= ''X'' and not (BPW.PAR = '' ''))');
  // Z.D. 2005-10-14;
  Zapytanie.Active:= true;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  Result:= RB3x_RAZEMR('JBRB33','R1','X','X',' ');
end;
//------------------------------------------------
//XRAZEMR4=sumaXR4
function RB33_XRAZEMR4_1: string;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie:Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''X'' and not (PAR IS NULL) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''X'' and not (PAR = '' '') and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' select JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (select SUM(BPS.R4) from JBRB33 BPS where BPS.IdSpraw=:IDSPRAW and BPS.KOD=''X'' and not (BPS.PAR = '' '') and BPS.DZIAL=JBRB33.dzial and BPS.ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' from JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR IS NULL) AND JBRB33.R4<>(Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''X'' and not (PAR IS NULL))');
  //Z.D. 2009-08; Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR ='' '') AND JBRB33.R4<>(Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''X'' and not (PAR = '' ''))');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' where JBRB33.IdSpraw=:IdSpraw and JBRB33.KOD=''X'' and (JBRB33.PAR ='' '') and JBRB33.R4 <> (select SUM(BPW.R4) from JBRB33 BPW where BPW.IdSpraw=:IDSPRAW and BPW.KOD=''X'' and not (BPW.PAR = '' ''))');
  // Z.D. 2005-10-14;
  Zapytanie.Active:= true;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  Result:= RB3x_RAZEMR('JBRB33','R4','X','X',' ');
end;
//------------------------------------------------
//YRAZEMR1=sumaYR1
function RB33_YRAZEMR1_1: string;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie: Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR IS NULL) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR = '' '') and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' select JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (select SUM(BPS.R1) from JBRB33 BPS where BPS.IdSpraw=:IDSPRAW and BPS.KOD=''Y'' and not (BPS.PAR = '' '') and BPS.DZIAL=JBRB33.dzial and BPS.ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' from JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR IS NULL) AND JBRB33.R1<>(Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR IS NULL))');
  //Z.D. 2009-08; Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR = '' '') AND JBRB33.R1<>(Select SUM(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR = '' ''))');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' where JBRB33.IdSpraw=:IdSpraw and JBRB33.KOD=''Y'' and (JBRB33.PAR = '' '') AND JBRB33.R1 <> (select SUM(BPW.R1) from JBRB33 BPW where BPW.IdSpraw=:IDSPRAW and BPW.KOD=''Y'' and not (BPW.PAR = '' ''))');
  // Z.D. 2005-10-14;
  Zapytanie.Active:=True;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  Result:= RB3x_RAZEMR('JBRB33','R1','Y','Y',' ');
end;
//------------------------------------------------
//YRAZEMR4=sumaYR4
function RB33_YRAZEMR4_1: String;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie: Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR IS NULL) and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR = '' '') and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' FROM JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR IS NULL) AND JBRB33.R4<>(Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR IS NULL))');
  Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR = '' '') AND JBRB33.R4<>(Select SUM(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''Y'' and not (PAR = '' ''))');
  // Z.D. 2005-10-14;
  Zapytanie.Active:=True;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  Result:= RB3x_RAZEMR('JBRB33','R4','Y','Y',' ');
end;
//------------------------------------------------
//XRAZEMR1=W020R1
function RB33_XRAZEMR1_2: string;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie: Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // na wszelki wypadek suma
  //Z.D. 2009-08; Zapytanie.sql.add(' select JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (select Sum(R1) from JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'' and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' select JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (select Sum(BPS.R1) from JBRB33 BPS where BPS.IdSpraw=:IDSPRAW and BPS.KOD=''W'' and BPS.PAR=''020'' and BPS.DZIAL=JBRB33.dzial and BPS.ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' from JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR IS NULL) AND JBRB33.R1<>(Select Sum(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'')');
  //Z.D. 2009-08; Zapytanie.sql.add(' where JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR = '' '') AND JBRB33.R1<>(select Sum(R1) from JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'')');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' where JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR = '' '') and JBRB33.R1 <> (select Sum(BPW.R1) from JBRB33 BPW where BPW.IdSpraw=:IDSPRAW and BPW.KOD=''W'' and BPW.PAR=''020'')');
  // Z.D. 2005-10-14;
  Zapytanie.Active:=True;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  Result:= RB3x_RAZEMR('JBRB33','R1','X','W','020');
end;
//------------------------------------------------
//XRAZEMR4=W020R4
function RB33_XRAZEMR4_2: string;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie: Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // na wszelki wypadek suma
  Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select Sum(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'' and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' FROM JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR IS NULL) AND JBRB33.R4<>(Select Sum(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'')');
  Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''X'' and (JBRB33.PAR = '' '') AND JBRB33.R4<>(Select Sum(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'')');
  // Z.D. 2005-10-14;
  Zapytanie.Active:=True;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  //Z.D. 2009-08; kompatybilnosc z bde-interbasem
  Result:= RB3x_RAZEMR('JBRB33','R4','X','W','020');
end;
//------------------------------------------------
//YRAZEMR1=W040R1
function RB33_YRAZEMR1_2: string;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie:Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // na wszelki wypadek suma
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (Select Sum(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'' and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' select JBRB33.IdSpraw, 0 as roznica, JBRB33.R1 as lewa, (select Sum(BPS.R1) from JBRB33 BPS where BPS.IdSpraw=:IDSPRAW and BPS.KOD=''W'' and BPS.PAR=''040'' and BPS.DZIAL=JBRB33.dzial and BPS.ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' from JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR IS NULL) AND JBRB33.R1<>(Select Sum(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'')');
  //Z.D. 2009-08; Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR = '' '') AND JBRB33.R1<>(Select Sum(R1) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'')');
  //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' where JBRB33.IdSpraw=:IdSpraw and JBRB33.KOD=''Y'' and (JBRB33.PAR = '' '') and JBRB33.R1 <> (select Sum(BPW.R1) from JBRB33 BPW where BPW.IdSpraw=:IDSPRAW and BPW.KOD=''W'' and BPW.PAR=''040'')');
  // Z.D. 2005-10-14;
  Zapytanie.Active:= true;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  Result:= RB3x_RAZEMR('JBRB33','R1','Y','W','040');
end;
//------------------------------------------------
//YRAZEMR4=W040R4
function RB33_YRAZEMR4_2: String;
//Z.D. 2009-08; var
//Z.D. 2009-08;   Zapytanie: Tquery;

begin
  {//Z.D. 2009-08;
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  // na wszelki wypadek suma
  Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, JBRB33.R4 as lewa, (Select Sum(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'' and DZIAL=JBRB33.dzial and ROZDZIAL=JBRB33.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' FROM JBRB33');
  // Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR IS NULL) AND JBRB33.R4<>(Select Sum(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'')');
  Zapytanie.sql.add(' WHERE JBRB33.IdSpraw=:IdSpraw AND JBRB33.KOD=''Y'' and (JBRB33.PAR = '' '') AND JBRB33.R4<>(Select Sum(R4) FROM JBRB33  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''040'')');
  // Z.D. 2005-10-14;
  Zapytanie.Active:=True;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
  //Z.D. 2009-08;}
  Result:= RB3x_RAZEMR('JBRB33','R4','Y','W','040');
end;
//------------------------------------------------
function Rb31_Par_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.SQL.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.Add(' ((JBRb31.Kod=''G'' and JBRb31.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" where S_pard.DPocz<=:DataKw and (S_pard.DKon>=(:DataKw -1)) and S_pard.GPW like ''%S%'')) or ');
 Zapytanie.sql.Add('  (JBRb31.Kod=''M'' and JBRb31.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" where S_parw.DPocz<=:DataKw and (S_parw.DKon>=(:DataKw -1)) and S_parw.GPW like ''%S%'')))');
end;

////////////////////////////////////////////////////////////////////////////

function Rb31_Par1_1: string;
var
  Zapytanie: TQuery;
  System: TTable;
begin
  Zapytanie := Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System := Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.SQL.Clear;
  Zapytanie.sql.add(' SELECT JBRB31.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRB31.Dzial, JBRB31.Rozdzial, JBRB31.Par');
  Zapytanie.sql.add(' FROM JBRB31');
  Zapytanie.sql.add(' WHERE JBRB31.rok=:ROK AND JBRB31.kwartal=:KWARTAL AND JBRB31.id_Jst=:Id_JST AND JBRB31.IdSpraw=:IdSpraw and ');
  Zapytanie.sql.Add(' ((JBRB31.Kod=''G'' AND JBRB31.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARD" where S_pard.DPocz<=:DataKw and S_pard.DKon>=:DataKw and GPW like ''%S%'')) or ');
  Zapytanie.sql.Add('  (JBRB31.Kod=''M'' AND JBRB31.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARW" where S_parw.DPocz<=:DataKw and S_parw.DKon>=:DataKw and GPW like ''%S%'')))');
end;
////////////////////////////////////////////////////////////////////////////
function Rb32_Par_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.Sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.Add(' ((JBRb32.Kod=''G'' and JBRb32.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" where S_pard.DPocz<=:DataKw and (S_pard.DKon>=(:DataKw -1)) and S_pard.GPW like ''%S%'')) or ');
 Zapytanie.sql.Add('  (JBRb32.Kod=''M'' and JBRb32.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" where S_parw.DPocz<=:DataKw and (S_parw.DKon>=(:DataKw -1)) and S_parw.GPW like ''%S%'')))');
end;

////////////////////////////////////////////////////////////////////////////

function Rb32_Par1_1: string;
var
  Zapytanie: TQuery;
  System: TTable;
begin
  Zapytanie := Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System := Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.Sql.Clear;
  Zapytanie.sql.add(' SELECT JBRB32.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRB32.Dzial, JBRB32.Rozdzial, JBRB32.Par');
  Zapytanie.sql.add(' FROM JBRB32');
  Zapytanie.sql.add(' WHERE JBRB32.rok=:ROK AND JBRB32.kwartal=:KWARTAL AND JBRB32.id_Jst=:Id_JST AND JBRB32.IdSpraw=:IdSpraw and ');
  Zapytanie.sql.Add(' ((JBRB32.Kod=''G'' AND JBRB32.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARD" where S_pard.DPocz<=:DataKw and S_pard.DKon>=:DataKw and GPW like ''%S%'')) or ');
  Zapytanie.sql.Add('  (JBRB32.Kod=''M'' AND JBRB32.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARW" where S_parw.DPocz<=:DataKw and S_parw.DKon>=:DataKw and GPW like ''%S%'')))');
end;

////////////////////////////////////////////////////////////////////////////
function Rb33_Par_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.Sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.Add(' ((JBRb33.Kod=''G'' and JBRb33.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" where S_pard.DPocz<=:DataKw and (S_pard.DKon>=(:DataKw -1)) and S_pard.GPW like ''%S%'')) or ');
 Zapytanie.sql.Add('  (JBRb33.Kod=''M'' and JBRb33.Par not in (Select par from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" where S_parw.DPocz<=:DataKw and (S_parw.DKon>=(:DataKw -1)) and S_parw.GPW like ''%S%'')))');
end;


////////////////////////////////////////////////////////////////////////////

function Rb33_Par1_1: string;
var
  Zapytanie: TQuery;
  System: TTable;
begin
  Zapytanie := Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System := Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.Sql.Clear;
  Zapytanie.sql.add(' SELECT JBRB33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRB33.Dzial, JBRB33.Rozdzial, JBRB33.Par');
  Zapytanie.sql.add(' FROM JBRB33');
  Zapytanie.sql.add(' WHERE JBRB33.rok=:ROK AND JBRB33.kwartal=:KWARTAL AND JBRB33.id_Jst=:Id_JST AND JBRB33.IdSpraw=:IdSpraw and ');
  Zapytanie.sql.Add(' ((JBRB33.Kod=''G'' AND JBRB33.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARD" where S_pard.DPocz<=:DataKw and S_pard.DKon>=:DataKw and GPW like ''%S%'')) or ');
  Zapytanie.sql.Add('  (JBRB33.Kod=''M'' AND JBRB33.Par not in (Select par from "' + Trim(System.FieldByName('DBPath').asString) + 'S_PARW" where S_parw.DPocz<=:DataKw and S_parw.DKon>=:DataKw and GPW like ''%S%'')))');
end;
////////////////////////////////////////////////////////////////////////////
function Rb34_Par_1:String;
var Zapytanie:TQuery;
	System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.Sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw and JBRB34.status<>''1'' and ');
 Zapytanie.sql.Add(' ((JBRB34.Kod=''G'' AND JBRB34.Par not in (Select par ');
 Zapytanie.sql.Add(' from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" ');
 Zapytanie.sql.Add(' where S_pard.DPocz<=:DataKw and (S_pard.DKon+1>=(:DataKw)))) or ');
 Zapytanie.sql.Add(' (JBRB34.Kod=''M'' AND JBRB34.Par not in (Select par ');
 Zapytanie.sql.Add(' from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" ') ;
 Zapytanie.sql.Add(' where S_parw.DPocz<=:DataKw and (S_parw.DKon+1>=(:DataKw)))))');
 end;

////////////////////////////////////////////////////////////////////////////
function Rb34_Par1_1:String;
var Zapytanie:TQuery;
	System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.Sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as Status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw and JBRB34.status<>''1'' and ');
 Zapytanie.sql.Add(' ((JBRB34.Kod=''G'' AND JBRB34.Par not in (Select par ');
 Zapytanie.sql.Add(' from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARD" ');
 Zapytanie.sql.Add(' where S_pard.DPocz<=:DataKw and (S_pard.DKon+1>=(:DataKw)) and GPW like ''%S%'')) or ');
 Zapytanie.sql.Add(' (JBRB34.Kod=''M'' AND JBRB34.Par not in (Select par ');
 Zapytanie.sql.Add(' from "'+Trim(System.FieldByName('DBPath').asString)+'S_PARW" ');
 Zapytanie.sql.Add(' where S_parw.DPocz<=:DataKw and (S_parw.DKon+1>=(:DataKw)) and GPW like ''%S%'')))');
 end;

////////////////////////////////////////////////////////////////////////////
function Rb31_Rozdz_1:String;
var Zapytanie:TQuery;
    System:TTable;
    sTemp: String;
    Year, Month, Day: Word;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
DecodeDate(System.FieldByName('DataKw').AsDateTime, Year, Month, Day);
sTemp := IntToStr(Month)+'/'+IntToStr(Day)+'/'+IntToStr(Year);
 Zapytanie.sql.Clear;
if (Uppercase(Zapytanie.DatabaseName) = 'DBI') then
begin
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31 LEFT OUTER JOIN "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" on (JBRb31.rozdzial=s_rozdz.rozdzial)');
 Zapytanie.sql.add(' and ( '''+sTemp+''' BETWEEN s_rozdz.DPocz and (s_rozdz.DKon+1)) ');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb31.Kod=''G'' or JBRb31.Kod=''M'') and ');
 Zapytanie.sql.add(' (s_rozdz.Rozdzial IS NULL)');
end
else
begin
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb31.Kod=''G'' or JBRb31.Kod=''M'') and ');
 Zapytanie.sql.add(' JBRb31.Rozdzial not in (Select Rozdzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" where s_rozdz.dzial=JBRb31.Dzial and s_rozdz.DPocz<=:DataKw and s_rozdz.DKon>=(:DataKw -1))');
end;
end;

////////////////////////////////////////////////////////////////////////////
function Rb32_Rozdz_1:String;
var Zapytanie:TQuery;
    System:TTable;
    sTemp: String;
    Year, Month, Day: Word;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
DecodeDate(System.FieldByName('DataKw').AsDateTime, Year, Month, Day);
sTemp := IntToStr(Month)+'/'+IntToStr(Day)+'/'+IntToStr(Year);
 Zapytanie.sql.Clear;
if (Uppercase(Zapytanie.DatabaseName) = 'DBI') then
begin
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32 LEFT OUTER JOIN "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" on (JBRb32.rozdzial=s_rozdz.rozdzial)');
 Zapytanie.sql.add(' and ( '''+sTemp+''' BETWEEN s_rozdz.DPocz and (s_rozdz.DKon+1)) ');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb32.Kod=''G'' or JBRb32.Kod=''M'') and ');
 Zapytanie.sql.add(' (s_rozdz.Rozdzial IS NULL)');
end
else
begin
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica, JBRb32.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb32.Kod=''G'' or JBRb32.Kod=''M'') and ');
 Zapytanie.sql.add(' JBRb32.Rozdzial not in (Select Rozdzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" where s_rozdz.dzial=JBRb32.Dzial and s_rozdz.DPocz<=:DataKw and s_rozdz.DKon>=(:DataKw -1))');
end;
end;

////////////////////////////////////////////////////////////////////////////
function Rb33_Rozdz_1:String;
var Zapytanie:TQuery;
    System:TTable;
    sTemp: String;
    Year, Month, Day: Word;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
DecodeDate(System.FieldByName('DataKw').AsDateTime, Year, Month, Day);
sTemp := IntToStr(Month)+'/'+IntToStr(Day)+'/'+IntToStr(Year);
 Zapytanie.sql.Clear;
if (Uppercase(Zapytanie.DatabaseName) = 'DBI') then
begin
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33 LEFT OUTER JOIN "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" on (JBRb33.rozdzial=s_rozdz.rozdzial)');
 Zapytanie.sql.add(' and ( '''+sTemp+''' BETWEEN s_rozdz.DPocz and (s_rozdz.DKon+1)) ');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb33.Kod=''G'' or JBRb33.Kod=''M'') and ');
 Zapytanie.sql.add(' (s_rozdz.Rozdzial IS NULL)');
end
else
begin
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, JBRb33.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRb33.Kod=''G'' or JBRb33.Kod=''M'') and ');
 Zapytanie.sql.add(' JBRb33.Rozdzial not in (Select Rozdzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" where s_rozdz.dzial=JBRb33.Dzial and s_rozdz.DPocz<=:DataKw and s_rozdz.DKon>=(:DataKw -1))');
end;
end;
////////////////////////////////////////////////////////////////////////////
function Rb34_Rozdz_1:String;
var Zapytanie:TQuery;
	System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

 Zapytanie.sql.Clear;
if (Uppercase(Zapytanie.DatabaseName) = 'DBIPDX') then
begin
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 //Zapytanie.sql.add(' FROM JBRB34 LEFT OUTER JOIN ":DB:S_ROZDZ" on (JBRB34.rozdzial=s_rozdz.rozdzial)');
 Zapytanie.sql.add(' FROM JBRB34 LEFT OUTER JOIN "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" on (JBRB34.rozdzial=s_rozdz.rozdzial)');

 Zapytanie.sql.add(' and ( S_rozdz.DPocz<=:DataKw and S_rozdz.DKon+1>=:DataKW) ');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRB34.Kod=''G'' OR JBRB34.Kod=''M'') and ');
 Zapytanie.sql.add(' (s_rozdz.Rozdzial IS NULL)');
end
else
begin
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, 0 as prawa, ''>'' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw and ');
 Zapytanie.sql.add(' (JBRB34.Kod=''G'' OR JBRB34.Kod=''M'') and ');
 Zapytanie.sql.add(' jbrb34.Rozdzial not in (Select Rozdzial from "'+Trim(System.FieldByName('DBPath').asString)+'S_ROZDZ" where s_rozdz.dzial=JBRB34.Dzial and s_rozdz.DPocz<=:DataKw and s_rozdz.DKon+1>=(:DataKw))');
end;
end;


////////////////////////////////////////////////////////////////////////////
function RB30_Stan:String;
var  Zapytanie:Tquery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT DISTINCT JBRb30.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial, 0 as Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE JBRb30.IdSpraw=:IdSpraw and JBRb30.KOD=''W'' and JBRb30.Kwartal=''2'' and');
 Zapytanie.sql.add(' not (JBRb30.R1 IN (0) AND JBRb30.R4 IN (0))');
end;
////////////////////////////////////////////////////////////////////////////
function RB31_Stan:String;
var  Zapytanie:Tquery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT DISTINCT JBRb31.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial, 0 as Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''W'' and JBRb31.Kwartal=''2'' and');
 Zapytanie.sql.add(' not (JBRb31.R1 IN (0) AND JBRb31.R4 IN (0))');
end;
////////////////////////////////////////////////////////////////////////////
function RB32_Stan:String;
var  Zapytanie:Tquery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT DISTINCT JBRb32.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial, 0 as Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''W'' and JBRb32.Kwartal=''2'' and');
 Zapytanie.sql.add(' not (JBRb32.R1 IN (0) AND JBRb32.R4 IN (0))');
end;
////////////////////////////////////////////////////////////////////////////
function RB33_Stan:String;
var  Zapytanie:Tquery;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT DISTINCT JBRb33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial, 0 as Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''W'' and JBRb33.Kwartal=''2'' and');
 Zapytanie.sql.add(' not (JBRb33.R1 IN (0) AND JBRb33.R4 IN (0))');
end;

//Funkcje wylaczone (nieaktywne)

////////////////////////////////////////////////////////////////////////////
function RB31_R100R1_1:String;
var   Zapytanie:Tquery;
//[amcd]
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//R100R1= T100R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'' ) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''R'' and JBRb31.Par=''100'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R100R4_1:String;
//[amcd]
//R100R4= T100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'' ) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''R'' and JBRb31.Par=''100'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R110R1_1:String;
//[amcd]
//R110R1= T200R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''200'' ) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''R'' and JBRb31.Par=''110'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''200'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R110R4_1:String;
//[amcd]
//R110R4= T200R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''200'' ) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''R'' and JBRb31.Par=''110'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''T'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''200'' )');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB31_S100_1:String;
//[amcd]
//S100R1=HR1-NR1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KWARTAL=''4'' and JBRb31.KOD=''S'' and JBRb31.Par=''100'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;


////////////////////////////////////////////////////////////////////////////
function RB31_S100_2:String;
//[amcd]
var   Zapytanie:Tquery;
      System:TTable;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//S100R4=HR4-NR4
If System.FieldByName('KWARTAL').asString='4' then
begin
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''S'' and JBRb31.Par=''100'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end
else
begin
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE -1=3');
end;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R200_1:String;
//[amcd]
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//Jeeli S100R1-Q110R1-Q120R1>0 to S100R1-Q110R1-Q120R1=R200R1
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzialand PAR=''100'')-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''110'')-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''120'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and ((Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'')-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''110'')-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''120''))>0 and ');
 Zapytanie.sql.add(' JBRb31.KOD=''R'' and JBRb31.Par=''200'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'')-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''110'')-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''120'')');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R200_2:String;
//[amcd]
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//Jeeli S100R4-Q110R4-Q120R4>0 to S100R4-Q110R4-Q120R4=R200R4
Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'')-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''110'')-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''120'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and ((Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'')-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''110'')-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''120''))>0 and ');
 Zapytanie.sql.add(' JBRb31.KOD=''R'' and JBRb31.Par=''200'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'')-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''110'')-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''Q'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''120'')');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R200_3:String;
//[amcd]
//R200R1=R210R1+R100R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''R'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''210'')+(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''R'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''R'' and JBRb31.Par=''200'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''R'' and (PAR=''210'' or PAR=''100''))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R200_4:String;
//[amcd]
//R200R4=R210R4+R100R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''R'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''210'')+(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''R'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial and PAR=''100'') as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and JBRb31.KOD=''R'' and JBRb31.Par=''200'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''R'' and (PAR=''210'' or PAR=''100''))');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R110_1:String;
//[amcd]
//Jeeli HR1-NR1<0 to HR1-NR1=R110R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R1 as lewa, (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and (Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)<0 and ');
 Zapytanie.sql.add(' JBRb31.KOD=''R'' and PAR=''110'' and JBRb31.R1<>(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R1) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)');

Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB31_R110_2:String;
//[amcd]
//Jeeli HR4-NR4<0 to HR4-NR4=R110R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, JBRb31.R4 as lewa, (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRb31.Dzial, JBRb31.Rozdzial,JBRb31.Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE JBRb31.IdSpraw=:IdSpraw and (Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)<0 and ');
 Zapytanie.sql.add(' JBRb31.KOD=''R'' and PAR=''110'' and JBRb31.R4<>(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)-(Select SUM(R4) from JBRb31  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRb31.dzial and ROZDZIAL=JBRb31.Rozdzial)');
end;

////////////////////////////////////////////////////////////////////////////
function RB32_BILP_1:String;
//[amcd]
//L190R4+W020R4=S190R4+W040R4
//L190R4=S190R4+W040R4-W020R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb32.IdSpraw, 0 as roznica,(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''L'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''190'')+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''020'') as Lewa, (Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''S'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''190'')+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''W'' and DZIAL=JBRb32.dzial and ROZDZIAL=JBRb32.Rozdzial and PAR=''040'') as Prawa,''='' as operator, '' '' as status, JBRb32.Dzial, JBRb32.Rozdzial,JBRb32.Par ');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE JBRb32.IdSpraw=:IdSpraw and JBRb32.KOD=''L'' and JBRb32.Par=''190'' and JBRb32.R4+(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and KOD=''W'' and PAR=''020'')<>(Select SUM(R4) from JBRb32  where IdSpraw=:IDSPRAW and ((KOD=''S'' and PAR=''190'') or (KOD=''W'' and PAR=''040'')))');
end;

function RB33_FUN311_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
// FUNDUSZ 311 = GMPZ
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''100'' and JBRb33.RODZ=''311''');
end;

///////////////////////////////////////////////////////////////////////////
function RB33_FUN322_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
// FUNDUSZ 322 = GWZ
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''100'' and JBRb33.RODZ=''322''');
end;

////////////////////////////////////////////////////////////////////////////

function RB33_FUN323_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
// FUNDUSZ 323 = PWZ
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''100'' and JBRb33.RODZ=''323''');
end;

////////////////////////////////////////////////////////////////////////////

function RB33_FUN324_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
// FUNDUSZ 324 = GWZ
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''100'' and JBRb33.RODZ=''324''');
end;

////////////////////////////////////////////////////////////////////////////

function RB33_FUN325_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
// FUNDUSZ 325 = PWZ
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb33.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb33.Dzial, JBRb33.Rozdzial,JBRb33.Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE JBRb33.IdSpraw=:IdSpraw and JBRb33.KOD=''K'' and JBRb33.Par=''100'' and JBRb33.RODZ=''325''');
end;



////////////////////////////////////////////////////////////////////////////
// RB34
////////////////////////////////////////////////////////////////////////////

function RB34_GR1_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//GR1>0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''G'' AND JBRB34.R1<0');
end;
//------------------------------------------------
//HR1=sumaGR1
function RB34_HR1_1:String;
var
  Zapytanie:Tquery;
begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, (Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par'); //Z.D. 2009-08; as sumka
  Zapytanie.sql.add(' FROM JBRB34');
  Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''H'' AND JBRB34.R1<>(Select SUM(R1) FROM JBRB34 ');
  Zapytanie.sql.add(' where IdSpraw=:IDSPRAW and JBRB34.status<>''1'' and KOD=''G'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)');
  // Z.D. 2005-10-14;
  Zapytanie.Active:=True;
  if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001 then
    Zapytanie.sql.Clear;
end;
//------------------------------------------------
function RB34_HR4_1:String;
//HR4=sumaGR4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, (Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial) as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''H'' AND JBRB34.R4<>(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)');

// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;

end;

////////////////////////////////////////////////////////////////////////////
function RB34_L190R1_1:String;
//L190R1=sumaGR1+K150R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, (Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''G'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)+(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''L'' and PAR=''190'' AND JBRB34.R1<>(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB34_L190R1_3:String;
//L190R1=S190R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT distinct JBrb34.IdSpraw, 0 as roznica, ');
 Zapytanie.sql.add(' (Select SUM(R1) from JBrb34  where IdSpraw=:IDSPRAW and KOD=''L'' and PAR=''190'') as lewa, ');
 Zapytanie.sql.add(' (Select SUM(R1) from JBrb34  where IdSpraw=:IDSPRAW and KOD=''S'' and PAR=''190'') as prawa, ');
 Zapytanie.sql.add(' ''='' as operator, '' '' as status, JBrb34.Dzial, JBrb34.Rozdzial,''190'' as par');
 Zapytanie.sql.add(' FROM JBrb34');
 Zapytanie.sql.add(' WHERE JBrb34.IdSpraw=:IdSpraw and PAR=''190'' and  ');
 Zapytanie.sql.add(' (Select SUM(R1) from JBrb34  where IdSpraw=:IDSPRAW and KOD=''L'' and PAR=''190'')<> ');
 Zapytanie.sql.add(' (Select SUM(R1) from JBrb34  where IdSpraw=:IDSPRAW and KOD=''S'' and PAR=''190'') ');
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB34_L190R4_1:String;
//L190R4=sumaGR4+K150R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, (Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''G'' )+(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''K'' and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''L'' and PAR=''190'' AND JBRB34.R4<>(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''G'' or (KOD=''K'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;


////////////////////////////////////////////////////////////////////////////
function RB34_S190R1_1:String;
//S190R1=sumaMR1+P150R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, (Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)+(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''S'' and PAR=''190'' AND JBRB34.R1<>(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB34_S190R4_1:String;
//S190R1=sumaMR1+P150R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, (Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''M'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)+(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''S'' and PAR=''190'' AND JBRB34.R4<>(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''M'' or (KOD=''P'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB34_L190R1_2:String;
//L190R1=HR1+K150R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, (Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)+(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''L'' and PAR=''190'' AND JBRB34.R1<>(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''H'' or (KOD=''K'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB34_L190R4_2:String;
//L190R4=HR4+K150R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, (Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''H'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)+(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''K'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''L'' and PAR=''190'' AND JBRB34.R4<>(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''H'' or (KOD=''K'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;

////////////////////////////////////////////////////////////////////////////
function RB34_S190R1_2:String;
//S190R1=NR1+P150R1
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, (Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)+(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''S'' and PAR=''190'' AND JBRB34.R1<>(Select SUM(R1) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''N'' or (KOD=''P'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;


////////////////////////////////////////////////////////////////////////////
function RB34_S190R4_2:String;
//S190R4=NR4+P150R4
var   Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, (Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''N'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial)+(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and KOD=''P'' and DZIAL=JBRB34.dzial and ROZDZIAL=JBRB34.Rozdzial and PAR=''150'') as prawa, ''='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''S'' and PAR=''190'' AND JBRB34.R4<>(Select SUM(R4) FROM JBRB34  where IdSpraw=:IDSPRAW and (KOD=''N'' or (KOD=''P'' and PAR=''150'')))');
// Z.D. 2005-10-14;
Zapytanie.Active:=True;
if abs(Zapytanie.FieldByName('LEWA').AsFloat - Zapytanie.FieldByName('PRAWA').AsFloat)<0.001
then Zapytanie.sql.Clear;
end;


////////////////////////////////////////////////////////////////////////////
function RB34_W020_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W020R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''W'' and PAR=''020'' AND JBRB34.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_W020_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W020R4>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''W'' and PAR=''020'' AND JBRB34.R4<0');
end;


////////////////////////////////////////////////////////////////////////////
function RB34_W040_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W040R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''W'' and PAR=''040'' AND JBRB34.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_W040_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//W040R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''W'' and PAR=''040'' AND JBRB34.R4<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_K150_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K150R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''K'' and PAR=''150'' AND JBRB34.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_K150_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//K150R4>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''K'' and PAR=''150'' AND JBRB34.R4<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_P150_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P150R1>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R1 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''P'' and PAR=''150'' AND JBRB34.R1<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_P150_2:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
//P150R4>=0
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, 0 as prawa, ''>='' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''P'' and PAR=''150'' AND JBRB34.R4<0');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_Dzial_1:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRB34.IdSpraw, 0 as roznica, JBRB34.R4 as lewa, 0 as prawa, ''!'' as operator, '' '' as status, JBRB34.Dzial, JBRB34.Rozdzial, JBRB34.Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE JBRB34.IdSpraw=:IdSpraw AND JBRB34.KOD=''W'' AND JBRB34.Par=''070'' and ');
 Zapytanie.sql.add(' (JBRB34.Kod=''G'' OR JBRB34.Kod=''M'') and ');
 Zapytanie.sql.add(' JBRB34.Dzial not in (Select dzial ');
 Zapytanie.sql.add(' from "'+Trim(System.FieldByName('DBPath').asString)+'S_DZIAL" ');
 Zapytanie.sql.add(' where S_DZIAL.DPocz<=:DataKw and S_DZIAL.DKon+1>=(:DataKW))');
end;
//=================================================



function RB30_KONTRD_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  Zapytanie.Close;
//MM 4. cyf   ==>>
//  Zapytanie.sql.add(' SELECT SUM(CAST(par AS INTEGER)) as KontrSum');
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((par||par4) AS INTEGER))  AS INTEGER) as KontrSum');
//MM 4. cyf   ==<<
  Zapytanie.sql.add(' FROM JBrb30');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''G'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb30');
  Zapytanie.sql.add(' WHERE JBrb30.IdSpraw=:IdSpraw');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;
  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18), firbird
  Zapytanie.sql.add(' FROM JBrb30');
  Zapytanie.sql.add(' WHERE JBrb30.IdSpraw=:IdSpraw AND KOD=''H'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18), firebird
end;


function RB30_KONTRW_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');

  Zapytanie.sql.Clear;
  Zapytanie.Close;
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((par||par4) AS INTEGER)) AS INTEGER) as KontrSum');
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' FROM JBrb30');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''M'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb30');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18), firebird
  Zapytanie.sql.add(' FROM JBrb30');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''N'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18), firebird
end;

////////////////////////////////////////////////////////////////////////////
// FORMULARZ RB31
////////////////////////////////////////////////////////////////////////////

function RB31_KONTRD_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  Zapytanie.Close;
//MM 4. cyf  ==>>
//  Zapytanie.sql.add(' SELECT SUM(CAST(par AS INTEGER)) as KontrSum');
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((par||par4) AS INTEGER)) AS INTEGER) as KontrSum');
//MM 4. cyf  ==<<
  Zapytanie.sql.add(' FROM JBrb31');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''G'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb31');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw ');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18), firebird
  Zapytanie.sql.add(' FROM JBrb31');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''H'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18), firebird
end;


function RB31_KONTRW_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;

  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((par||par4) AS INTEGER)) AS INTEGER) as KontrSum');
  Zapytanie.sql.add(' FROM JBrb31');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''M'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb31');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18), firebird
  Zapytanie.sql.add(' FROM JBrb31');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''N'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18), firebird
end;

////////////////////////////////////////////////////////////////////////////
// FORMULARZ RB32
////////////////////////////////////////////////////////////////////////////

function RB32_KONTRD_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//MM 4. cyf  ==>>
//  Zapytanie.sql.add(' SELECT SUM(CAST(par AS INTEGER)) as KontrSum');
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((par||par4) AS INTEGER)) AS INTEGER) as KontrSum');
//MM 4. cyf  ==<<
  Zapytanie.sql.add(' FROM JBrb32');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''G'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb32');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18), firebird
  Zapytanie.sql.add(' FROM JBrb32');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''H'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18), firebird
end;


function RB32_KONTRW_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((par||par4) AS INTEGER)) AS INTEGER) as KontrSum');
  Zapytanie.sql.add(' FROM JBrb32');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''M'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb32');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw ');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18), firebird
  Zapytanie.sql.add(' FROM JBrb32');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''N'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18), firebird
end;


////////////////////////////////////////////////////////////////////////////
// FORMULARZ RB33
////////////////////////////////////////////////////////////////////////////

function RB33_KONTRD_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//MM 4. cyf  ==>>
//  Zapytanie.sql.add(' SELECT SUM(CAST(par AS INTEGER)) as KontrSum');
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((''0''||par||par4) AS INTEGER)) AS INTEGER) as KontrSum'); //Z.D. 2009-09; no z ktorej strony cast bylo to '0', no z ktorej - niektory sql z takim zadziala, inny nie...
 
//MM 4. cyf  ==<<
  Zapytanie.sql.add(' FROM JBrb33');
  Zapytanie.sql.add(' WHERE JBrb33.IdSpraw=:IdSpraw AND JBrb33.KOD=''G'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb33');
  Zapytanie.sql.add(' WHERE JBrb33.IdSpraw=:IdSpraw ');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBrb33.IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, JBrb33.Dzial, JBrb33.Rozdzial, JBrb33.Par'); //Z.D. 2009-06; Float(18) firebird
  Zapytanie.sql.add(' FROM JBrb33');
  Zapytanie.sql.add(' WHERE JBrb33.IdSpraw=:IdSpraw AND JBrb33.KOD=''H'' AND CAST(''0''||par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18) firebird
end;


function RB33_KONTRW_1:String;
var Zapytanie:Tquery;
  iKontrAuto: Integer;
begin
//Fundusz - Liczba kontrolna dochodw

Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum' );
  Zapytanie.sql.add(' SELECT CAST(SUM(CAST((''0''||par||par4) AS INTEGER)) AS INTEGER) as KontrSum' );
  Zapytanie.sql.add(' FROM JBrb33');
  Zapytanie.sql.add(' WHERE JBrb33.IdSpraw=:IdSpraw AND JBrb33.KOD=''M'' ');
  Zapytanie.Open;
  iKontrAuto := Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
//  Zapytanie.sql.add(' SELECT MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  Zapytanie.sql.add(' SELECT CAST(MAX(CAST(rodz AS INTEGER))+MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS INTEGER) AS KontrSum ');
  Zapytanie.sql.add(' FROM JBrb33');
  Zapytanie.sql.add(' WHERE JBrb33.IdSpraw=:IdSpraw ');
  Zapytanie.Open;
  iKontrAuto := iKontrAuto+Zapytanie.FieldByName('KontrSum').AsInteger;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT JBrb33.IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, JBrb33.Dzial, JBrb33.Rozdzial, JBrb33.Par'); //Z.D. 2009-06; Float(18) firebird
  Zapytanie.sql.add(' FROM JBrb33');
  Zapytanie.sql.add(' WHERE JBrb33.IdSpraw=:IdSpraw AND JBrb33.KOD=''N'' AND CAST(''0''||par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18) firebird
end;

////////////////////////////////////////////////////////////////////////////
// FORMULARZ RB34
////////////////////////////////////////////////////////////////////////////
//------------------------------------------------
function RB34_KONTRD_1: string;
var
  Zapytanie: Tquery;
  System: TTable;
  iKontrAuto: integer;
  bSumyRozp:boolean;

begin
  //Fundusz - Liczba kontrolna dochodw
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.text:='select WARTOSC from jbsprawozdparams where idspraw=:IdSpraw and NAZWA=''SUMY_ROZP''';
  Zapytanie.Open;
 if Zapytanie.fields[0].AsString='1' then bSumyRozp:=true;




  Zapytanie.sql.Clear;
  Zapytanie.Close;
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  //Z.D. 2009-08; kompatybilnosc bde-firebird...
  Zapytanie.sql.add(' select Sum(Cast((PAR||PAR4) as float(18))) as KontrSum');
  Zapytanie.sql.add(' FROM JBRB34');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw and JBRB34.status<>''1'' AND KOD=''G'' ');
  Zapytanie.Open;
  //Z.D. 2009-08; iKontrAuto:= Zapytanie.FieldByName('KontrSum').AsInteger;
  iKontrAuto:= Trunc(Zapytanie.FieldByName('KontrSum').AsCurrency); //Z.D. 2009-08; kompatybilnosc bde-firebird
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');
  //Z.D. 2009-08; kompatybilnosc bde-firebird...
if not bSumyRozp then
  Zapytanie.sql.add(' select  dzial,rozdzial')
  else
  Zapytanie.sql.add(' select distinct dzial,rozdzial'); //Z.D. 2009-08; bde-firebird
   Zapytanie.sql.add(' FROM JBRB34');
  Zapytanie.sql.add(' WHERE kod=''G'' and IdSpraw=:IdSpraw');
  Zapytanie.Open;
  while not Zapytanie.EOF do
  begin
  iKontrAuto:= iKontrAuto+Trunc(Zapytanie.FieldByName('dzial').AsCurrency+Zapytanie.FieldByName('rozdzial').AsCurrency); //Z.D. 2009-08; bde-firebird
  Zapytanie.Next;
  end;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18) firebird
  Zapytanie.sql.add(' FROM JBRB34');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''H'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; float(18) firebird
end;
//------------------------------------------------
function RB34_KONTRW_1:String;
var
  Zapytanie:Tquery;
  System:TTable;
  iKontrAuto: Integer;
  bSumyRozp:boolean;
  
begin
  //Fundusz - Liczba kontrolna dochodw
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
    Zapytanie.sql.text:='select WARTOSC from jbsprawozdparams where idspraw=:IdSpraw and NAZWA=''SUMY_ROZP''';
  Zapytanie.Open;
 if Zapytanie.fields[0].AsString='1' then bSumyRozp:=true;
  Zapytanie.sql.Clear;
  Zapytanie.Close;
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT SUM(CAST((par||par4) AS INTEGER)) as KontrSum');
  Zapytanie.sql.add(' select Sum(Cast((PAR||PAR4) as float(18))) as KontrSum'); //Z.D. 2009-08; kompatybilnosc z bde-firebird
  Zapytanie.sql.add(' FROM JBRB34');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''M'' ');
  Zapytanie.Open;
  iKontrAuto:= Trunc(Zapytanie.FieldByName('KontrSum').AsCurrency); //Z.D. 2009-08; bde-firebird
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.Close;
  //Z.D. 2009-08; Zapytanie.sql.add(' SELECT MAX(CAST(dzial AS INTEGER))+MAX(CAST(rozdzial AS INTEGER)) AS KontrSum ');

  if not bSumyRozp then
  Zapytanie.sql.add(' select  dzial,rozdzial')
  else
  Zapytanie.sql.add(' select distinct dzial,rozdzial'); //Z.D. 2009-08; bde-firebird
   Zapytanie.sql.add(' FROM JBRB34');
  Zapytanie.sql.add(' WHERE kod=''M'' and IdSpraw=:IdSpraw');
  Zapytanie.Open;
  while not Zapytanie.EOF do
  begin
  iKontrAuto:= iKontrAuto+Trunc(Zapytanie.FieldByName('dzial').AsCurrency+Zapytanie.FieldByName('rozdzial').AsCurrency); //Z.D. 2009-08; bde-firebird
  Zapytanie.Next;
  end;
  Zapytanie.Close;
  Zapytanie.Unprepare;

  Zapytanie.sql.Clear;
  Zapytanie.sql.add(' SELECT IdSpraw, 0 AS roznica, '+IntToStr(iKontrAuto)+' AS lewa, CAST(par as Float(18)) as prawa, ''='' AS operator, '' '' AS status, Dzial, Rozdzial, Par'); //Z.D. 2009-06; Float(18) firebird
  Zapytanie.sql.add(' FROM JBRB34');
  Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw AND KOD=''N'' AND CAST(par as Float(18)) <> '+IntToStr(iKontrAuto)); //Z.D. 2009-06; Float(18) firebird
end;
//------------------------------------------------
function RB30_PAR4_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb30.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, JBRb30.Dzial, JBRb30.Rozdzial,JBRb30.Par');
 Zapytanie.sql.add(' FROM JBRb30');
 Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw and PAR4='''' AND KOD=''M''');
end;

function RB31_PAR4_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT JBRb31.IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, Dzial, Rozdzial,Par');
 Zapytanie.sql.add(' FROM JBRb31');
 Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw and PAR4='''' AND KOD=''M''');
end;

function RB32_PAR4_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, Dzial, Rozdzial,Par');
 Zapytanie.sql.add(' FROM JBRb32');
 Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw and PAR4='''' AND KOD=''M''');
end;

function RB33_PAR4_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, Dzial, Rozdzial,Par');
 Zapytanie.sql.add(' FROM JBRb33');
 Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw and PAR4=''''  AND KOD=''M''');
end;

////////////////////////////////////////////////////////////////////////////
function RB34_PAR4_1:String;
var  Zapytanie:Tquery;
begin
Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 Zapytanie.sql.Clear;
 Zapytanie.sql.add(' SELECT IdSpraw, 0 as roznica, 0 as lewa, 0 as prawa, ''='' as operator, '' '' as status, Dzial, Rozdzial,Par');
 Zapytanie.sql.add(' FROM JBRB34');
 Zapytanie.sql.add(' WHERE IdSpraw=:IdSpraw and PAR4='''' AND KOD=''M''');
end;

////////////////////////////////////////////////////////////////////////////
//                 Formularz P
////////////////////////////////////////////////////////////////////////////

function P_A10W_1:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A10W=Suma(D,041,R4)

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
    Pomoc1.ParamByName('ROK').asString:=ROK;
    Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
    Pomoc1.ParamByName('TypSprawozd').asString:='D';
    Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
    Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
    Pomoc1.Active:=True;

    Pomoc.Sql.Clear;
    Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' and Par=''%s'' and Status=''0''',[(Pomoc1.FieldByName('IdSpraw').asString),'041']));
    Pomoc.Active:=True;
   end
   else
   begin
    Pomoc.Sql.Clear;
    Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' and Par=''%s'' and Status=''0'' and ID_JST=''%s''',[rok,kwartal,'041', System.FieldByNAme('ID_JST').asString]));
    Pomoc.Active:=True;
   end;

   if Dane.Dataset.FieldByName('A10W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A10W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A111W_1:String;
var Dane:TDataSource;
    Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A111W=IIF[GminaG=0;0;A111W]

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('Test2');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   if Pomoc.Active then
     Pomoc.Close;
   if Pomoc.Prepared then
     Pomoc.Unprepare;
   Pomoc.Sql.Clear;
//   Pomoc.Sql.Add(Format('Select GminaG from jstobs where ROK=''%s'' and OKRES=''%s'' and ID_JST=%s',[rok,kwartal,Dane.Dataset.FieldByName('id_jst').AsString]));

// a tutaj jak ??????... z jstobs czy jbobs etc.?  2003-06-27 Z.D.
   Pomoc.Sql.Add(Format('Select GminaG from jstobs where ROK=''%s'' and OKRES=''%s'' and ID_JST=%s',[rok,kwartal,System.FieldByName('id_jst').AsString]));

//showmessage(Pomoc.Sql.Text);
   Pomoc.Active:=True;
//showmessage('GminaG '+ Pomoc.FieldByName('GminaG').AsString);
//showmessage('A111W ' + Dane.Dataset.FieldByName('A111W').AsString);

   If Pomoc.FieldByName('GminaG').AsString='T' then
      Result:=''
   else
   if Dane.Dataset.FieldByName('A111W').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A111W').AsString+'#0#=';

   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A111W_2:String;
var Dane:TDataSource;
begin
//A111W<=A11W

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('A111W').AsCurrency<=Dane.Dataset.FieldByName('A11W').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A111W').AsString+'#'+Dane.Dataset.FieldByName('A11W').asString+'#<=';
end;


////////////////////////////////////////////////////////////////////////////
function P_A11W_1:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTAble;
begin
//A11W=Suma(D,046,R4)

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
    Pomoc1.ParamByName('ROK').asString:=ROK;
    Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
    Pomoc1.ParamByName('TypSprawozd').asString:='D';
    Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
    Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
    Pomoc1.Active:=True;

    Pomoc.Sql.Clear;
    Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' and Par=''%s'' and Status=''0''',[(Pomoc1.FieldByName('IdSpraw').asString),'046']));
    Pomoc.Active:=True;
   end
   else
   begin
    Pomoc.Sql.Clear;
    Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' and Par=''%s'' and Status=''0'' and ID_JST=''%s''',[rok,kwartal,'046', System.FieldByNAme('ID_JST').asString]));
    Pomoc.Active:=True;
   end;

   if Dane.Dataset.FieldByName('A11W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A11W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;


////////////////////////////////////////////////////////////////////////////
function P_A1WP_1:String;
var Dane:TDataSource;
begin
//A1WP>0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('A1WP').AsCurrency>0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A1WP').AsString+'#0#>';
end;


////////////////////////////////////////////////////////////////////////////
function P_A1WP_2:String;
var Dane:TDataSource;
    suma:Extended;
begin
//A1WP=A2W+A3W+A4W+A5W+A6W+A7W+A8W+A9W+A10W+A11W
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   suma:=Dane.Dataset.FieldByName('A2W').AsCurrency+Dane.Dataset.FieldByName('A3W').AsCurrency+Dane.Dataset.FieldByName('A4W').AsCurrency+Dane.Dataset.FieldByName('A5W').AsCurrency+
      Dane.Dataset.FieldByName('A6W').AsCurrency+Dane.Dataset.FieldByName('A7W').AsCurrency+Dane.Dataset.FieldByName('A8W').AsCurrency+Dane.Dataset.FieldByName('A9W').AsCurrency+
      Dane.Dataset.FieldByName('A10W').AsCurrency+Dane.Dataset.FieldByName('A11W').AsCurrency;


   if Dane.Dataset.FieldByName('A1WP').AsCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A1WP').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function P_A2W_1:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A2W=Suma(D,[*,*,002],R4)

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[ (Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format(' AND PAR=''%s'' and Status=''0''',['002']));
   Pomoc.Sql.Add(' AND ROZDZIAL=''75621'' ');
   Pomoc.Active:=True;
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format(' AND PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['002', System.FieldByNAme('ID_JST').asString]));
   Pomoc.Sql.Add(' AND ROZDZIAL=''75621'' ');
   Pomoc.Active:=True;
   end;

   if ABS(Dane.Dataset.FieldByName('A2W').AsCurrency - Pomoc.FieldByName('Sumka').AsCurrency) < 0.001 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A2W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A3W_1:String;
var Dane:TDataSource;
begin
//A3W>IIF[IdGminy=2490;-1;0]

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   if Dane.Dataset.FieldByName('id_jst').AsString<>'2490' then

   if Dane.Dataset.FieldByName('A3W').AsCurrency>0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A3W').AsString+'#0#>';
end;

////////////////////////////////////////////////////////////////////////////
function P_A3W_2:String;
var Dane:TDataSource;
begin
//A3W=IIF[IdGminy=2490;0;A3W]

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   if Dane.Dataset.FieldByName('id_jst').AsString='2490' then

   if Dane.Dataset.FieldByName('A3W').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A3W').AsString+'#0#=';
end;

////////////////////////////////////////////////////////////////////////////
function P_A3W_3:String;
var Dane:TDataSource;
    Pomoc1, Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A3W=Suma(D,[756,75621,001],R4)

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
    Pomoc1.ParamByName('ROK').asString:=ROK;
    Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
    Pomoc1.ParamByName('TypSprawozd').asString:='D';
    Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
    Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
    Pomoc1.Active:=True;

    Pomoc.Sql.Clear;
    Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
    Pomoc.Sql.Add(Format('and DZIAL=''%s'' and ROZDZIAL=''%s'' and PAR=''%s'' and Status=''0'' ',['756','75621','001']));
   end
   else
   begin
    Pomoc.Sql.Clear;
    Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
    Pomoc.Sql.Add(Format('and DZIAL=''%s'' and ROZDZIAL=''%s'' and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['756','75621','001', System.FieldByNAme('ID_JST').asString]));
   end;

    Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('A3W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A3W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A3W_4:String;
var Dane:TDataSource;
    Pomoc1, Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A3W=Suma(Kontr,[756,75621,001],R4)

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
//   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   if Pomoc.Prepared then
     Pomoc.Unprepare;
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select Wykonanie as Sumka from "'+Trim(System.FieldByName('DBPath').asString)+'JBKONTR"  where rok=''%s'' and okres=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and DZIAL=''%s'' and ROZDZIAL=''%s'' and PAR=''%s'' and ID_JST=''%s''',['756','75621','001', System.FieldByName('ID_JST').asString]));

   Pomoc.Active:=True;

   if (Pomoc.RecordCount = 0) or (Dane.Dataset.FieldByName('A3W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency) then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A3W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
//   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A4W_1:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A4W=Suma(D,032,R4)

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['032']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['032', System.FieldByNAme('ID_JST').asString]));
   end;

   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('A4W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A4W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A5W_1:String;
var Dane:TDataSource;
begin
//A5W>0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('A5W').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A5W').AsString+'#0#>';
end;

////////////////////////////////////////////////////////////////////////////
function P_A5W_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A5W=Suma(D,031,R4)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
    Pomoc1.ParamByName('ROK').asString:=ROK;
    Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
    Pomoc1.ParamByName('TypSprawozd').asString:='D';
    Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
    Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
    Pomoc1.Active:=True;
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['031']));
//   Pomoc.Sql.Add(' AND ROZDZIAL IN (''75615'', ''75616'') ');
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['031', System.FieldByNAme('ID_JST').asString]));
//   Pomoc.Sql.Add(' AND ROZDZIAL IN (''75615'', ''75616'') ');
   end;

   Pomoc.Active:=True;

   if ABS(Dane.Dataset.FieldByName('A5W').AsCurrency - Pomoc.FieldByName('Sumka').AsCurrency) < 0.001 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A5W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A6W_1:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A6W=Suma(D,033,R4)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['033']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['033',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('A6W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A6W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A7W_1:String;
var Dane:TDataSource;
    Pomoc1, Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A7W=Suma(D,034,R4)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['034']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['034',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('A7W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A7W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A8W_1:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A8W=Suma(D,035,R4)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['035']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['035',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('A8W').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A8W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_A9W_1:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//A9W=Suma(D,050,R4)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin

   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['050']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R4) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['050',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if ABS(Dane.Dataset.FieldByName('A9W').AsCurrency - Pomoc.FieldByName('Sumka').AsCurrency) < 0.001 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('A9W').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_U1_1:String;
var Dane:TDataSource;
begin
//U1>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('U1').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('U1').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_U1_2:String;
var Dane:TDataSource;
begin
//U1=U4+U5
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('U1').AsCurrency=Dane.Dataset.FieldByName('U4').AsCurrency+Dane.Dataset.FieldByName('U5').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('U1').AsString+'#'+FloattOStr(Dane.Dataset.FieldByName('U4').AsCurrency+Dane.Dataset.FieldByName('U5').AsCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////

function P_U1_3: string;
var
  Dane: TDataSource;
  suma: Extended;
begin
//U1=U$+U5+U6+U7
  Dane := Application.FindComponent('DataModule1JB').FindComponent('P2');

  suma := Dane.Dataset.FieldByName('U4').AsFloat
       + Dane.Dataset.FieldByName('U5').AsFloat
       + Dane.Dataset.FieldByName('U6').AsFloat
       + Dane.Dataset.FieldByName('U7').AsFloat;

  if ABS(Dane.Dataset.FieldByName('U1').AsFloat - suma) < 0.001 then
    Result := ''
  else
    Result := Dane.Dataset.FieldByName('U1').AsString + '#' + FloattOStr(Dane.Dataset.FieldByName('U4').AsFloat + Dane.Dataset.FieldByName('U5').AsFloat + Dane.Dataset.FieldByName('U6').AsFloat + Dane.Dataset.FieldByName('U7').AsFloat) + '#=';
end;
////////////////////////////////////////////////////////////////////////////
function P_U4_1:String;
var Dane:TDataSource;
begin
//U4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('U4').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('U4').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_U4_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//U4=Suma(D,032,R7)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R7) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['032']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R7) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['032',System.FieldByNAme('ID_JST').asString]));
   end;

   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('U4').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('U4').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_U5_1:String;
var Dane:TDataSource;
begin
//U5>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('U5').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('U5').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_U5_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//U5=Suma(D,031,R7)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R7) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['031']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R7) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['031',System.FieldByNAme('ID_JST').asString]));
   end;

   Pomoc.Active:=True;

   if ABS(Dane.Dataset.FieldByName('U5').AsCurrency - Pomoc.FieldByName('Sumka').AsCurrency) < 0.001 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('U5').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU10_1:String;
var Dane:TDataSource;
begin
//UU10>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU10').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU10').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU10_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU10=Suma(D,041,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['041']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['041',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UU10').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU10').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU11_1:String;
var Dane:TDataSource;
begin
//UU11>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU10').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU10').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU11_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU11<=Suma(D,046,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['046']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['046',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UU11').AsCurrency<=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU11').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#<=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU111_1:String;
var Dane:TDataSource;
begin
//UU111>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU111').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU111').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU111_2:String;
var Dane:TDataSource;
begin
//UU111<=UU11
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU111').AsCurrency<=Dane.Dataset.FieldByName('UU11').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU111').AsString+'#'+Dane.Dataset.FieldByName('UU11').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU111_3:String;
var Dane:TDataSource;
    Pomoc:TQuery;
    rok,kwartal:String;
    system:TTable;
begin
//UU111=IIF[GminaG=0;0;UU111]

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('Test2');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   if Pomoc.Active then
     Pomoc.Close;
   if Pomoc.Prepared then
     Pomoc.Unprepare;
   Pomoc.Sql.Clear;

   // ta sama kwestia: z jstobs czt jbobs ????
   // 2003-06-27 Z.D.
   Pomoc.Sql.Add(Format('Select GminaG from jstobs where ROK=''%s'' and OKRES=''%s'' and ID_JST=%s',[rok,kwartal,System.FieldByName('id_jst').AsString]));
   Pomoc.Open;

   If Pomoc.FieldByName('GMINAG').AsString='T' then
      Result:=''
   else
   if Dane.Dataset.FieldByName('UU111').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU111').AsString+'#0#=';

   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU1P_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//UU1P=UU4+UU5+UU6+UU7+UU8+UU9+UU10+UU11
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   suma:=Dane.Dataset.FieldByName('UU4').AsCurrency+Dane.Dataset.FieldByName('UU5').AsCurrency+Dane.Dataset.FieldByName('UU6').AsCurrency+Dane.Dataset.FieldByName('UU7').AsCurrency+
      Dane.Dataset.FieldByName('UU8').AsCurrency+Dane.Dataset.FieldByName('UU9').AsCurrency+Dane.Dataset.FieldByName('UU10').AsCurrency+Dane.Dataset.FieldByName('UU11').AsCurrency;

   if Dane.Dataset.FieldByName('UU1P').AsCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU1P').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU1P_2:String;
var Dane:TDataSource;
begin
//UU1P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU1P').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU1P').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU4_1:String;
var Dane:TDataSource;
begin
//UU4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU4').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU4').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU4_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU4=Suma(D,032,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s''',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['032']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['032',System.FieldByNAme('ID_JST').asString]));
   end;

   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UU4').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU4').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU5_1:String;
var Dane:TDataSource;
begin
//UU5>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU5').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU5').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU5_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU5=Suma(D,031,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['031']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['031',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UU5').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU5').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU6_1:String;
var Dane:TDataSource;
begin
//UU6>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU6').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU6').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU6_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU6=Suma(D,033,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['033']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['033',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UU6').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU6').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU7_1:String;
var Dane:TDataSource;
begin
//UU7>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU7').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU7').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU7_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU7=Suma(D,034,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['034']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['034',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if ABS(Dane.Dataset.FieldByName('UU7').AsCurrency - Pomoc.FieldByName('Sumka').AsCurrency) < 0.001 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU7').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU8_1:String;
var Dane:TDataSource;
begin
//UU8>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU8').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU8').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU8_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU8=Suma(D,035,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['035']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['035',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UU8').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU8').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UU9_1:String;
var Dane:TDataSource;
begin
//UU9>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UU9').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU9').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UU9_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU8=Suma(D,050,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['050']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R8) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['050',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UU9').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UU9').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;
//------------------------------------------------------------------------------
//UUU5Z=Suma(D,031,R11Z) [75615, 75616]                UUU5Z=Suma(D, [75615, 75616], 031, R11Z)
function P_UUU5Z_1:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
    Pomoc1.ParamByName('ROK').asString:=ROK;
    Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
    Pomoc1.ParamByName('TypSprawozd').asString:='D';
    Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
    Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
    Pomoc1.Active:=True;
   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from JBD2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['031']));
   Pomoc.Sql.Add(' AND ROZDZIAL IN (''75615'', ''75616'') ');
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['031', System.FieldByNAme('ID_JST').asString]));
   Pomoc.Sql.Add(' AND ROZDZIAL IN (''75615'', ''75616'') ');
   end;

   Pomoc.Active:=True;

   if abs(Dane.Dataset.FieldByName('UUU5Z').AsFloat-Pomoc.FieldByName('Sumka').AsFloat)<0.001 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU5Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;
/////////////////////////////////////
function P_UUU10R_1:String;
var Dane:TDataSource;
begin
//UU10>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU10R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU10R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU10R_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU10=Suma(D,041,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['041']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['041',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU10R').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU10R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;
////////////////////////////////////////////////////////////////////////////
function P_UUU11R_1:String;
var Dane:TDataSource;
begin
//UU11>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU11R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU11R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU11R_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU11<=Suma(D,046,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['046']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['046',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU11R').AsCurrency<=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU11R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#<=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU111R_1:String;
var Dane:TDataSource;
begin
//UU111>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU111R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU111R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU111R_2:String;
var Dane:TDataSource;
begin
//UU111<=UU11
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU111R').AsCurrency<=Dane.Dataset.FieldByName('UU11').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU111R').AsString+'#'+Dane.Dataset.FieldByName('UU11').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU111R_3:String;
var Dane:TDataSource;
    Pomoc:TQuery;
    rok,kwartal:String;
    system:TTable;
begin
//UU111=IIF[GminaG=0;0;UU111]

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('Test2');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   if Pomoc.Active then
     Pomoc.Close;
   if Pomoc.Prepared then
     Pomoc.Unprepare;
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select GminaG from jstobs where ROK=''%s'' and OKRES=''%s'' and ID_JST=%s',[rok,kwartal,System.FieldByName('id_jst').AsString]));
   Pomoc.Open;

   If Pomoc.FieldByName('GMINAG').AsString='T' then
      Result:=''
   else
   if Dane.Dataset.FieldByName('UUU111R').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU111R').AsString+'#0#=';

   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU1PR_1:String;
var Dane:TDataSource;
    suma:Currency;
begin
//UU1P=UU4+UU5+UU6+UU7+UU8+UU9+UU10+UU11
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   suma:=Dane.Dataset.FieldByName('UUU4R').AsCurrency+Dane.Dataset.FieldByName('UUU5R').AsCurrency+Dane.Dataset.FieldByName('UUU6R').AsCurrency+Dane.Dataset.FieldByName('UUU7R').AsCurrency+
      Dane.Dataset.FieldByName('UUU8R').AsCurrency+Dane.Dataset.FieldByName('UUU9R').AsCurrency+Dane.Dataset.FieldByName('UUU10R').AsCurrency+Dane.Dataset.FieldByName('UUU11R').AsCurrency;

   if Dane.Dataset.FieldByName('UUU1PR').AsCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU1PR').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU1PR_2:String;
var Dane:TDataSource;
begin
//UU1P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU1PR').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU1PR').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU4R_1:String;
var Dane:TDataSource;
begin
//UU4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU4R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU4R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU4R_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU4=Suma(D,032,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s''',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['032']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['032',System.FieldByNAme('ID_JST').asString]));
   end;

   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU4R').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU4R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU5R_1:String;
var Dane:TDataSource;
begin
//UU5>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU5R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU5R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU5R_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU5=Suma(D,031,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['031']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['031',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU5R').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU5R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU6R_1:String;
var Dane:TDataSource;
begin
//UU6>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU6R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU6R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU6R_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU6=Suma(D,033,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['033']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['033',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU6R').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU6R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU7R_1:String;
var Dane:TDataSource;
begin
//UU7>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU7R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU7R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU7R_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU7=Suma(D,034,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-18 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['034']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['034',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU7R').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU7R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU8R_1:String;
var Dane:TDataSource;
begin
//UU8>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU8R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU8R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU8R_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU8=Suma(D,035,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['035']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['035',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU8R').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU8R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU9R_1:String;
var Dane:TDataSource;
begin
//UU9>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU9R').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU9R').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU9R_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU8=Suma(D,050,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['050']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['050',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU9R').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU9R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;
//------------------------------------------------------------------------------
function P_UUU10Z_1:String;
var Dane:TDataSource;
begin
//UU10>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU10Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU10Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU10Z_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU10=Suma(D,041,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');


   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['041']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['041',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU10Z').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU10Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;
////////////////////////////////////////////////////////////////////////////
function P_UUU11Z_1:String;
var Dane:TDataSource;
begin
//UU11>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU11Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU11Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU11Z_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU11<=Suma(D,046,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['046']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['046',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU11Z').AsCurrency<=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU11Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#<=';

   Pomoc.Active:=False;
   Pomoc1.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU111Z_1:String;
var Dane:TDataSource;
begin
//UU111>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU111Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU111Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU111Z_2:String;
var Dane:TDataSource;
begin
//UU111<=UU11
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU111Z').AsCurrency<=Dane.Dataset.FieldByName('UU11').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU111Z').AsString+'#'+Dane.Dataset.FieldByName('UU11').AsString+'#<=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU111Z_3:String;
var Dane:TDataSource;
    Pomoc:TQuery;
    rok,kwartal:String;
    system:TTable;
begin
//UU111=IIF[GminaG=0;0;UU111]

   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('Test2');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   if Pomoc.Active then
     Pomoc.Close;
   if Pomoc.Prepared then
     Pomoc.Unprepare;
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select GminaG from jstobs where ROK=''%s'' and OKRES=''%s'' and ID_JST=%s',[rok,kwartal,System.FieldByName('id_jst').AsString]));
   Pomoc.Open;

   If Pomoc.FieldByName('GMINAG').AsString='T' then
      Result:=''
   else
   if Dane.Dataset.FieldByName('UUU111Z').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU111Z').AsString+'#0#=';

   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU1PZ_1:String;
var Dane:TDataSource;
    suma:Currency;
begin
//UU1P=UU4+UU5+UU6+UU7+UU8+UU9+UU10+UU11
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   suma:=Dane.Dataset.FieldByName('UUU4Z').AsCurrency+Dane.Dataset.FieldByName('UUU5Z').AsCurrency+Dane.Dataset.FieldByName('UUU6Z').AsCurrency+Dane.Dataset.FieldByName('UUU7Z').AsCurrency+
      Dane.Dataset.FieldByName('UUU8Z').AsCurrency+Dane.Dataset.FieldByName('UUU9Z').AsCurrency+Dane.Dataset.FieldByName('UUU10Z').AsCurrency+Dane.Dataset.FieldByName('UUU11Z').AsCurrency;

   if Dane.Dataset.FieldByName('UUU1PZ').AsCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU1PZ').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU1PZ_2:String;
var Dane:TDataSource;
begin
//UU1P>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU1PZ').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU1PZ').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU4Z_1:String;
var Dane:TDataSource;
begin
//UU4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU4Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU4Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU4Z_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU4=Suma(D,032,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);
   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=''%s''',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['032']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['032',System.FieldByNAme('ID_JST').asString]));
   end;

   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU4Z').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU4Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU5Z_1:String;
var Dane:TDataSource;
begin
//UU5>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU5Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU5Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU5Z_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU5=Suma(D,031,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['031']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['031',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU5Z').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU5Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU6Z_1:String;
var Dane:TDataSource;
begin
//UU6>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU6Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU6Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU6Z_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU6=Suma(D,033,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['033']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['033',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU6Z').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU6Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU7Z_1:String;
var Dane:TDataSource;
begin
//UU7>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU7Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU7Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU7Z_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU7=Suma(D,034,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=-18 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['034']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['034',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU7Z').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU7Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU8Z_1:String;
var Dane:TDataSource;
begin
//UU8>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU8Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU8Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU8Z_2:String;
var Dane:TDataSource;
    Pomoc1,Pomoc:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU8=Suma(D,035,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' ',['035']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from jbd2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['035',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU8Z').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU8Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU9Z_1:String;
var Dane:TDataSource;
begin
//UU9>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');

   if Dane.Dataset.FieldByName('UUU9Z').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU9Z').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function P_UUU9Z_2:String;
var Dane:TDataSource;
    Pomoc, Pomoc1:Tquery;
    rok,kwartal:String;
    system:TTable;
begin
//UU8=Suma(D,050,R8)
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('P2');
   Pomoc:=Application.FindComponent('DataModule1JB').FindComponent('TEST');
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
   Pomoc1:=Application.FindComponent('DataModule1JB').FindComponent('Wybierz_Aktualny');

   ROK:=Trim(System.FieldByNAme('ROK').asString);
   Kwartal:=Trim(System.FieldByNAme('Kwartal').asString);

   If Trim(System.FieldByName('DBIPath').asString)=Trim(System.FieldByName('DBPath').asString) then
   begin
   Pomoc1.ParamByName('ROK').asString:=ROK;
   Pomoc1.ParamByName('Kwartal').asString:=Kwartal;
   Pomoc1.ParamByName('TypSprawozd').asString:='D';
   Pomoc1.ParamByName('ID_JST').asInteger:=System.FieldByNAme('ID_JST').asInteger;
   Pomoc1.ParamByName('ID_JB').asInteger:=System.FieldByNAme('ID_JB').asInteger;
   Pomoc1.Active:=True;

   Pomoc.Sql.Clear;
     if (Pomoc1.FieldByName('IdSpraw').asString)='' then
       Pomoc.Sql.Add('Select SUM(R11Z) as Sumka from JBD2 where IdSpraw=-1 ')
     else
       Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['050']));
   end
   else
   begin
   Pomoc.Sql.Clear;
   Pomoc.Sql.Add(Format('Select SUM(R11Z) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
   Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['050',System.FieldByNAme('ID_JST').asString]));
   end;
   Pomoc.Active:=True;

   if Dane.Dataset.FieldByName('UUU9Z').AsCurrency=Pomoc.FieldByName('Sumka').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('UUU9Z').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc1.Active:=False;
   Pomoc.Active:=False;
end;
//------------------------------------------------------------------------------
//Z.D.2010-08; UUU5R=Suma(D,031,R11R) [75615, 75616]; UUU5R=Suma(D, [75615, 75616], 031, R11R)
//dla UUU5R dokladnie to samo co dla UUU5Z (drobna przerobka P_UUU5Z_1)

{function P_UUU5R_1: string;
var
  Dane: TDataSource;
  Pomoc, Pomoc1: TQuery;
  rok, kwartal: string;
  system: TTable;

begin
   Dane:= Application.FindComponent(c_DATAMODULE).FindComponent('P2');
   Pomoc:= Application.FindComponent(c_DATAMODULE).FindComponent('TEST');
   System:= Application.FindComponent(c_DATAMODULE).FindComponent('SystemTable');
   Pomoc1:= Application.FindComponent(c_DATAMODULE).FindComponent('Wybierz_Aktualny');

   ROK:= Trim(System.FieldByNAme('ROK').asString);
   Kwartal:= Trim(System.FieldByNAme('Kwartal').asString);

   if Trim(System.FieldByName('DBIPath').asString) = Trim(System.FieldByName('DBPath').asString) then
     begin
       Pomoc1.ParamByName('ROK').asString:= ROK;
       Pomoc1.ParamByName('Kwartal').asString:= Kwartal;
       Pomoc1.ParamByName('TypSprawozd').asString:= 'D';
       Pomoc1.ParamByName('ID_JST').asInteger:= System.FieldByNAme('ID_JST').asInteger;
       Pomoc1.Active:= true;
       Pomoc.Sql.Clear;
       if (Pomoc1.FieldByName('IdSpraw').asString) = '' then
         Pomoc.Sql.Add('Select SUM(R11R) as Sumka from JBD2 where IdSpraw=-1 ')
       else
         Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from JBD2 where IdSpraw=''%s'' ',[(Pomoc1.FieldByName('IdSpraw').asString)]));
       Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0''',['031']));
       Pomoc.Sql.Add(' and ROZDZIAL in (''75615'', ''75616'') ');
     end
   else
     begin
       Pomoc.Sql.Clear;
       Pomoc.Sql.Add(Format('Select SUM(R11R) as Sumka from JBD2 where rok=''%s'' and kwartal=''%s'' ',[rok,kwartal]));
       Pomoc.Sql.Add(Format('and PAR=''%s'' and Status=''0'' and ID_JST=''%s''',['031', System.FieldByNAme('ID_JST').asString]));
       Pomoc.Sql.Add(' and ROZDZIAL in (''75615'', ''75616'') ');
     end;

   Pomoc.Active:= true;

   //if Abs(Dane.Dataset.FieldByName('UUU5R').AsFloat-Pomoc.FieldByName('Sumka').AsFloat) < 0.001 then
   if Dane.Dataset.FieldByName('UUU5R').AsCurrency = Pomoc.FieldByName('Sumka').AsCurrency then
     Result:= ''
   else
     Result:= Dane.Dataset.FieldByName('UUU5R').AsString+'#'+Pomoc.FieldByName('Sumka').AsString+'#=';

   Pomoc.Active:= false;
   Pomoc1.Active:= false;
end; }
//------------------------------------------------------------------------------
////////////////////////////////////////////////////////////////////////////
//                 Formularz U
////////////////////////////////////////////////////////////////////////////

function U_G_1:String;
var Dane:TDataSource;
    suma:Extended;
begin
//G=G1+G2+G3+G4+G5+G6+G7+G8
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   suma:=Dane.Dataset.FieldByName('G1').AsCurrency+Dane.Dataset.FieldByName('G2').AsCurrency+Dane.Dataset.FieldByName('G3').AsCurrency+Dane.Dataset.FieldByName('G4').AsCurrency+
      Dane.Dataset.FieldByName('G5').AsCurrency+Dane.Dataset.FieldByName('G6').AsCurrency+Dane.Dataset.FieldByName('G7').AsCurrency+Dane.Dataset.FieldByName('G8').AsCurrency;

   if Dane.Dataset.FieldByName('G').AsCurrency=suma then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G').AsString+'#'+FloatToStr(suma)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function U_G1_1:String;
var Dane:TDataSource;
begin
//G1>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G1').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G1').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_G2_1:String;
var Dane:TDataSource;
begin
//G2>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G2').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G2').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_G3_1:String;
var Dane:TDataSource;
begin
//G3>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G3').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G3').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function U_G4_1:String;
var Dane:TDataSource;
begin
//G4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G4').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G4').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_G5_1:String;
var Dane:TDataSource;
begin
//G5>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G5').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G5').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_G6_1:String;
var Dane:TDataSource;
begin
//G6>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G6').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G6').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_G7_1:String;
var Dane:TDataSource;
begin
//G7>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G7').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G7').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_G8_1:String;
var Dane:TDataSource;
begin
//G8>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('G8').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('G8').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_H_1:String;
var Dane:TDataSource;
begin
//H=H1A+H1B+H2A+H2B
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('H').AsCurrency=Dane.Dataset.FieldByName('H1A').AsCurrency+Dane.Dataset.FieldByName('H1B').AsCurrency+Dane.Dataset.FieldByName('H2A').AsCurrency+Dane.Dataset.FieldByName('H2B').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('H').AsString+'#'+FloattoStr(Dane.Dataset.FieldByName('H1A').AsCurrency+Dane.Dataset.FieldByName('H1B').AsCurrency+Dane.Dataset.FieldByName('H2A').AsCurrency+Dane.Dataset.FieldByName('H2B').AsCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function U_H1A_1:String;
var Dane:TDataSource;
begin
//H1A>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('H1A').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('H1A').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_H1B_1:String;
var Dane:TDataSource;
begin
//H1B>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('H1B').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('H1B').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_H2A_1:String;
var Dane:TDataSource;
begin
//H2A>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('H2A').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('H2A').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_H2B_1:String;
var Dane:TDataSource;
begin
//H2B>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('H2B').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('H2B').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_I_1:String;
var Dane:TDataSource;
begin
//I=I1+I2+I3+I4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('I').AsCurrency=Dane.Dataset.FieldByName('I1').AsCurrency+Dane.Dataset.FieldByName('I2').AsCurrency+Dane.Dataset.FieldByName('I3').AsCurrency+Dane.Dataset.FieldByName('I4').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('I').AsString+'#'+FloattoStr(Dane.Dataset.FieldByName('I1').AsCurrency+Dane.Dataset.FieldByName('I2').AsCurrency+Dane.Dataset.FieldByName('I3').AsCurrency+Dane.Dataset.FieldByName('I4').AsCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function U_I1_1:String;
var Dane:TDataSource;
begin
//I1>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('I1').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('I1').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_I2_1:String;
var Dane:TDataSource;
begin
//I2>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('I2').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('I2').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_I3_1:String;
var Dane:TDataSource;
begin
//I3>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('I3').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('I3').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_I4_1:String;
var Dane:TDataSource;
begin
//I4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('I4').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('I4').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function U_I4_2:String;
var Dane:TDataSource;
begin
//I4!=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('I4').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('I4').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_J_1:String;
var Dane:TDataSource;
begin
//J=J1+J2+J3+J4
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('J').AsCurrency=Dane.Dataset.FieldByName('J1').AsCurrency+Dane.Dataset.FieldByName('J2').AsCurrency+Dane.Dataset.FieldByName('J3').AsCurrency+Dane.Dataset.FieldByName('J4').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('J').AsString+'#'+FloattoStr(Dane.Dataset.FieldByName('J1').AsCurrency+Dane.Dataset.FieldByName('J2').AsCurrency+Dane.Dataset.FieldByName('J3').AsCurrency+Dane.Dataset.FieldByName('J4').AsCurrency)+'#=';
end;

////////////////////////////////////////////////////////////////////////////
function U_J1_1:String;
var Dane:TDataSource;
begin
//J1>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('J1').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('J1').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_J2_1:String;
var Dane:TDataSource;
begin
//J2>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('J2').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('J2').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_J3_1:String;
var Dane:TDataSource;
begin
//J3>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('J3').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('J3').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_J4_1:String;
var Dane:TDataSource;
begin
//J4>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('J4').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('J4').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function U_J4_2:String;
var Dane:TDataSource;
begin
//J4<>0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('J4').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('J4').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_K_1:String;
var Dane:TDataSource;
begin
//K>=0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('K').AsCurrency>=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('K').AsString+'#0#>=';
end;


////////////////////////////////////////////////////////////////////////////
function U_K_2:String;
var Dane:TDataSource;
begin
//K<>0
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('K').AsCurrency=0 then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('K').AsString+'#0#>=';
end;

////////////////////////////////////////////////////////////////////////////
function U_L_1:String;
var Dane:TDataSource;
begin
//L=I+J+K
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('U2');

   if Dane.Dataset.FieldByName('L').AsCurrency=Dane.Dataset.FieldByName('I').AsCurrency+Dane.Dataset.FieldByName('J').AsCurrency+Dane.Dataset.FieldByName('K').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('L').AsString+'#'+FloattoStr(Dane.Dataset.FieldByName('I').AsCurrency+Dane.Dataset.FieldByName('J').AsCurrency+Dane.Dataset.FieldByName('K').AsCurrency)+'#=';
end;
////////////////////////////////////////////////////////////////////////////
// FORMULARZ ST
////////////////////////////////////////////////////////////////////////////
function ST_SUM_III:String;
var Dane:TDataSource;
begin
//III=I+II
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('ST');

   if Dane.Dataset.FieldByName('ROG').AsCurrency =
        Dane.Dataset.FieldByName('RJST').AsCurrency +
        Dane.Dataset.FieldByName('RJB').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('ROG').AsString + '#' +
        FloattoStr(Dane.Dataset.FieldByName('RJST').AsCurrency +
                   Dane.Dataset.FieldByName('RJB').AsCurrency) + '#=';
end;
////////////////////////////////////////////////////////////////////////////
function ST_SUM_I:String;
var Dane:TDataSource;
begin
//I=1+2+3
   Dane:=Application.FindComponent('DataModule1JB').FindComponent('ST');

   if Dane.Dataset.FieldByName('RJST').AsCurrency >=
        Dane.Dataset.FieldByName('Rn').AsCurrency +
        Dane.Dataset.FieldByName('Rd').AsCurrency +
        Dane.Dataset.FieldByName('Rr').AsCurrency then
      Result:=''
   else
      Result:=Dane.Dataset.FieldByName('RJST').AsString + '#' +
        FloattoStr(Dane.Dataset.FieldByName('Rn').AsCurrency +
                   Dane.Dataset.FieldByName('Rd').AsCurrency +
                   Dane.Dataset.FieldByName('Rr').AsCurrency) + '#>=';
end;
////////////////////////////////////////////////////////////////////////////
// FORMULARZ ZS
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_C_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT A.IDSPRAW, 0 AS ROZNICA, (A.PREV - B.PREV) AS LEWA, C.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS A, JBZS B, JBZS C ');
 Zapytanie.sql.add('WHERE (A.IDSPRAW=:IDSPRAW)');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (A.ID_S_SPRPO=1)')
 else
  Zapytanie.sql.add('  AND (A.ID_S_SPRPO=413)');
 Zapytanie.sql.add('  AND (B.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (B.ID_S_SPRPO=8)');
 Zapytanie.sql.add('  AND (C.IDSPRAW=:IDSPRAW)');

 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (C.ID_S_SPRPO=20)')
 else
 Zapytanie.sql.add('  AND (C.ID_S_SPRPO=420)');
 Zapytanie.sql.add('  AND ((A.PREV - B.PREV - C.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_F_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT C.IDSPRAW, 0 AS ROZNICA, (C.PREV + D.PREV - E.PREV) AS LEWA, F.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS C, JBZS D, JBZS E, JBZS F ');
 Zapytanie.sql.add('WHERE (C.IDSPRAW=:IDSPRAW)');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
   Zapytanie.sql.add('  AND (C.ID_S_SPRPO=20)')
  else
 Zapytanie.sql.add('  AND (C.ID_S_SPRPO=420)');
 Zapytanie.sql.add('  AND (D.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (D.ID_S_SPRPO=21)');
 Zapytanie.sql.add('  AND (E.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (E.ID_S_SPRPO=26)');
 Zapytanie.sql.add('  AND (F.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (F.ID_S_SPRPO=29)');
 Zapytanie.sql.add('  AND ((C.PREV + D.PREV - E.PREV - F.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_I_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT F.IDSPRAW, 0 AS ROZNICA, (F.PREV + G.PREV - H.PREV) AS LEWA, I.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS F, JBZS G, JBZS H, JBZS I ');
 Zapytanie.sql.add('WHERE (F.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (F.ID_S_SPRPO=29)');
 Zapytanie.sql.add('  AND (G.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (G.ID_S_SPRPO=30)');
 Zapytanie.sql.add('  AND (H.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (H.ID_S_SPRPO=34)');
 Zapytanie.sql.add('  AND (I.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I.ID_S_SPRPO=37)');
 Zapytanie.sql.add('  AND ((F.PREV + G.PREV - H.PREV - I.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_J_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT J.IDSPRAW, 0 AS ROZNICA, (JI.PREV - JII.PREV) AS LEWA, J.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS J, JBZS JI, JBZS JII ');
 Zapytanie.sql.add('WHERE (J.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (J.ID_S_SPRPO=38)');
 Zapytanie.sql.add('  AND (JI.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (JI.ID_S_SPRPO=39)');
 Zapytanie.sql.add('  AND (JII.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (JII.ID_S_SPRPO=40)');
 Zapytanie.sql.add('  AND ((JI.PREV - JII.PREV - J.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_K_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I.IDSPRAW, 0 AS ROZNICA, (I.PREV + J.PREV) AS LEWA, K.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS I, JBZS J, JBZS K ');
 Zapytanie.sql.add('WHERE (I.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I.ID_S_SPRPO=37)');
 Zapytanie.sql.add('  AND (J.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (J.ID_S_SPRPO=38)');
 Zapytanie.sql.add('  AND (K.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=41)')
 else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=410)')
 else
  Zapytanie.sql.add('  AND (K.ID_S_SPRPO=438)');
 Zapytanie.sql.add('  AND ((I.PREV + J.PREV - K.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_N_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT K.IDSPRAW, 0 AS ROZNICA, (K.PREV - L.PREV - M.PREV) AS LEWA, N.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS K, JBZS L, JBZS M, JBZS N ');
 Zapytanie.sql.add('WHERE (K.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=41)')
 else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=410)')
 else Zapytanie.sql.add('  AND (K.ID_S_SPRPO=438)');
 Zapytanie.sql.add('  AND (L.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (L.ID_S_SPRPO=42)');
 Zapytanie.sql.add('  AND (M.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (M.ID_S_SPRPO=43)')
 else
 Zapytanie.sql.add('  AND (M.ID_S_SPRPO=411)');
 Zapytanie.sql.add('  AND (N.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (N.ID_S_SPRPO=44)');
 Zapytanie.sql.add('  AND ((K.PREV - L.PREV - M.PREV - N.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_A_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('SELECT A.IDSPRAW, 0 AS ROZNICA, (AI.PREV + AII.PREV + AIII.PREV + AIV.PREV + AV.PREV) AS LEWA, A.PREV AS PRAWA, ')
 else
 Zapytanie.sql.add('SELECT A.IDSPRAW, 0 AS ROZNICA, (AI.PREV + AII.PREV + AIII.PREV +AVI.PREV+ AIV.PREV + AV.PREV) AS LEWA, A.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('FROM JBZS A, JBZS AI, JBZS AII, JBZS AIII, JBZS AIV, JBZS AV ')
 else
 Zapytanie.sql.add('FROM JBZS A, JBZS AI, JBZS AII, JBZS AIII, JBZS AIV, JBZS AV,JBZS AVI ');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('WHERE (A.IDSPRAW=:IDSPRAW) AND (A.ID_S_SPRPO=1)')
 else
  Zapytanie.sql.add('WHERE (A.IDSPRAW=:IDSPRAW) AND (A.ID_S_SPRPO=413)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
   Zapytanie.sql.add('  AND (AI.IDSPRAW=:IDSPRAW) AND (AI.ID_S_SPRPO=2)')
   else
  Zapytanie.sql.add('  AND (AI.IDSPRAW=:IDSPRAW) AND (AI.ID_S_SPRPO=414)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (AII.IDSPRAW=:IDSPRAW) AND (AII.ID_S_SPRPO=4)')
  else
  Zapytanie.sql.add('  AND (AII.IDSPRAW=:IDSPRAW) AND (AII.ID_S_SPRPO=415)');
   if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (AIII.IDSPRAW=:IDSPRAW) AND (AIII.ID_S_SPRPO=5)')
 else
  Zapytanie.sql.add('  AND (AIII.IDSPRAW=:IDSPRAW) AND (AIII.ID_S_SPRPO=416)');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
   Zapytanie.sql.add('  AND (AIV.IDSPRAW=:IDSPRAW) AND (AIV.ID_S_SPRPO=6)')
   else
 Zapytanie.sql.add('  AND (AIV.IDSPRAW=:IDSPRAW) AND (AIV.ID_S_SPRPO=417)');


 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (AV.IDSPRAW=:IDSPRAW) AND (AV.ID_S_SPRPO=7)')
 else   if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (AV.IDSPRAW=:IDSPRAW) AND (AV.ID_S_SPRPO=419)')
 else
 Zapytanie.sql.add('  AND (AV.IDSPRAW=:IDSPRAW) AND (AV.ID_S_SPRPO=405)');

 if System.FieldByName('Datakw').AsDateTime>EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (AVI.IDSPRAW=:IDSPRAW) AND (AVI.ID_S_SPRPO=418)');
   if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND ((A.PREV - AI.PREV - AII.PREV - AIII.PREV - AIV.PREV - AV.PREV) NOT BETWEEN -0.001 AND 0.001)')
 else
  Zapytanie.sql.add('  AND ((A.PREV - AI.PREV - AII.PREV - AIII.PREV -AVI.PREV- AIV.PREV - AV.PREV) NOT BETWEEN -0.001 AND 0.001)');
;
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_B_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('SELECT B.IDSPRAW, 0 AS ROZNICA, (BI.PREV + BII.PREV + BIII.PREV + BIV.PREV + BV.PREV + BVI.PREV + BVII.PREV + BVIII.PREV + BX.PREV + BXI.PREV) AS LEWA, B.PREV AS PRAWA, ')
 else
 Zapytanie.sql.add('SELECT B.IDSPRAW, 0 AS ROZNICA, (BI.PREV + BII.PREV + BIII.PREV + BIV.PREV + BV.PREV + BVI.PREV + BVII.PREV + BVIII.PREV + BIX.PREV + BX.PREV + BXI.PREV) AS LEWA, B.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS B, JBZS BI, JBZS BII, JBZS BIII, JBZS BIV, JBZS BV, JBZS BVI, JBZS BVII, JBZS BVIII, JBZS BIX, JBZS BX, JBZS BXI ');
 Zapytanie.sql.add('WHERE (B.IDSPRAW=:IDSPRAW) AND (B.ID_S_SPRPO=8)');
 Zapytanie.sql.add('  AND (BI.IDSPRAW=:IDSPRAW) AND (BI.ID_S_SPRPO=9)');
 Zapytanie.sql.add('  AND (BII.IDSPRAW=:IDSPRAW) AND (BII.ID_S_SPRPO=10)');
 Zapytanie.sql.add('  AND (BIII.IDSPRAW=:IDSPRAW) AND (BIII.ID_S_SPRPO=11)');
 Zapytanie.sql.add('  AND (BIV.IDSPRAW=:IDSPRAW) AND (BIV.ID_S_SPRPO=12)');
 Zapytanie.sql.add('  AND (BV.IDSPRAW=:IDSPRAW) AND (BV.ID_S_SPRPO=13)');
 Zapytanie.sql.add('  AND (BVI.IDSPRAW=:IDSPRAW) AND (BVI.ID_S_SPRPO=14)');
 Zapytanie.sql.add('  AND (BVII.IDSPRAW=:IDSPRAW) AND (BVII.ID_S_SPRPO=15)');
 Zapytanie.sql.add('  AND (BVIII.IDSPRAW=:IDSPRAW) AND (BVIII.ID_S_SPRPO=16)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (BIX.IDSPRAW=:IDSPRAW) AND (BIX.ID_S_SPRPO=17)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (BX.IDSPRAW=:IDSPRAW) AND (BX.ID_S_SPRPO=18)')
 else
 Zapytanie.sql.add('  AND (BX.IDSPRAW=:IDSPRAW) AND (BX.ID_S_SPRPO=406)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (BXI.IDSPRAW=:IDSPRAW) AND (BXI.ID_S_SPRPO=19)')
 else
 Zapytanie.sql.add('  AND (BXI.IDSPRAW=:IDSPRAW) AND (BXI.ID_S_SPRPO=407)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND ((B.PREV - BI.PREV - BII.PREV - BIII.PREV - BIV.PREV - BV.PREV - BVI.PREV - BVII.PREV - BVIII.PREV - BIX.PREV - BX.PREV - BXI.PREV) NOT BETWEEN -0.001 AND 0.001)')
 else
 Zapytanie.sql.add('  AND ((B.PREV - BI.PREV - BII.PREV - BIII.PREV - BIV.PREV - BV.PREV - BVI.PREV - BVII.PREV - BVIII.PREV  - BX.PREV - BXI.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_D_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('SELECT D.IDSPRAW, 0 AS ROZNICA, (DI.PREV + DII.PREV  + DIV.PREV) AS LEWA, D.PREV AS PRAWA, ')
 else
 Zapytanie.sql.add('SELECT D.IDSPRAW, 0 AS ROZNICA, (DI.PREV + DII.PREV + DIII.PREV + DIV.PREV) AS LEWA, D.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS D, JBZS DI, JBZS DII, JBZS DIII, JBZS DIV ');
 Zapytanie.sql.add('WHERE (D.IDSPRAW=:IDSPRAW) AND (D.ID_S_SPRPO=21)');
 Zapytanie.sql.add('  AND (DI.IDSPRAW=:IDSPRAW) AND (DI.ID_S_SPRPO=22)');
 Zapytanie.sql.add('  AND (DII.IDSPRAW=:IDSPRAW) AND (DII.ID_S_SPRPO=23)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (DIII.IDSPRAW=:IDSPRAW) AND (DIII.ID_S_SPRPO=24)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (DIV.IDSPRAW=:IDSPRAW) AND (DIV.ID_S_SPRPO=25)')
 else
 Zapytanie.sql.add('  AND (DIV.IDSPRAW=:IDSPRAW) AND (DIV.ID_S_SPRPO=408)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND ((D.PREV - DI.PREV - DII.PREV - DIII.PREV - DIV.PREV) NOT BETWEEN -0.001 AND 0.001)')
 else
 Zapytanie.sql.add('  AND ((D.PREV - DI.PREV - DII.PREV  - DIV.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_E_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('SELECT E.IDSPRAW, 0 AS ROZNICA, (EI.PREV + EII.PREV) AS LEWA, E.PREV AS PRAWA, ')
 else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('SELECT E.IDSPRAW, 0 AS ROZNICA, ( EII.PREV) AS LEWA, E.PREV AS PRAWA, ')
  else
 Zapytanie.sql.add('SELECT E.IDSPRAW, 0 AS ROZNICA, (EI.PREV + EII.PREV) AS LEWA, E.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('FROM JBZS E, JBZS EI, JBZS EII ')
 else   if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('FROM JBZS E, JBZS EII ')
else
 Zapytanie.sql.add('FROM JBZS E, JBZS EI, JBZS EII ');
 Zapytanie.sql.add('WHERE (E.IDSPRAW=:IDSPRAW) AND (E.ID_S_SPRPO=26)');

 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (EI.IDSPRAW=:IDSPRAW) AND (EI.ID_S_SPRPO=27)')
 else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('')
  else
   Zapytanie.sql.add('  AND (EI.IDSPRAW=:IDSPRAW) AND (EI.ID_S_SPRPO=421)');

 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (EII.IDSPRAW=:IDSPRAW) AND (EII.ID_S_SPRPO=28)')
 else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (EII.IDSPRAW=:IDSPRAW) AND (EII.ID_S_SPRPO=409)')
  else
  Zapytanie.sql.add('  AND (EII.IDSPRAW=:IDSPRAW) AND (EII.ID_S_SPRPO=422)');

 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND ((E.PREV - EI.PREV - EII.PREV) NOT BETWEEN -0.001 AND 0.001)')
 else    if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND ((E.PREV  - EII.PREV) NOT BETWEEN -0.001 AND 0.001)')
  else Zapytanie.sql.add('  AND ((E.PREV - EI.PREV - EII.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_G_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT G.IDSPRAW, 0 AS ROZNICA, (GI.PREV + GII.PREV + GIII.PREV) AS LEWA, G.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS G, JBZS GI, JBZS GII, JBZS GIII ');
 Zapytanie.sql.add('WHERE (G.IDSPRAW=:IDSPRAW) AND (G.ID_S_SPRPO=30)');
 Zapytanie.sql.add('  AND (GI.IDSPRAW=:IDSPRAW) AND (GI.ID_S_SPRPO=31)');
 Zapytanie.sql.add('  AND (GII.IDSPRAW=:IDSPRAW) AND (GII.ID_S_SPRPO=32)');
 Zapytanie.sql.add('  AND (GIII.IDSPRAW=:IDSPRAW) AND (GIII.ID_S_SPRPO=33)');
 Zapytanie.sql.add('  AND ((G.PREV - GI.PREV - GII.PREV - GIII.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_H_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT H.IDSPRAW, 0 AS ROZNICA, (HI.PREV + HII.PREV) AS LEWA, H.PREV AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS H, JBZS HI, JBZS HII ');
 Zapytanie.sql.add('WHERE (H.IDSPRAW=:IDSPRAW) AND (H.ID_S_SPRPO=34)');
 Zapytanie.sql.add('  AND (HI.IDSPRAW=:IDSPRAW) AND (HI.ID_S_SPRPO=35)');
 Zapytanie.sql.add('  AND (HII.IDSPRAW=:IDSPRAW) AND (HII.ID_S_SPRPO=36)');
 Zapytanie.sql.add('  AND ((H.PREV - HI.PREV - HII.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_AI1_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT AI.IDSPRAW, 0 AS ROZNICA, AI1.PREV AS LEWA, AI.PREV AS PRAWA, ');
 Zapytanie.sql.add('''<='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS AI, JBZS AI1 ');
 Zapytanie.sql.add('WHERE (AI.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (AI.ID_S_SPRPO=2)');
 Zapytanie.sql.add('  AND (AI1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (AI1.ID_S_SPRPO=3)');
 Zapytanie.sql.add('  AND (AI.PREV < AI1.PREV)');
 Zapytanie.sql.add('  AND ((AI.PREV - AI1.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_C_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT A.IDSPRAW, 0 AS ROZNICA, (A.CURR - B.CURR) AS LEWA, C.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS A, JBZS B, JBZS C ');
 Zapytanie.sql.add('WHERE (A.IDSPRAW=:IDSPRAW)');

 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (A.ID_S_SPRPO=1)')
  else
  Zapytanie.sql.add('  AND (A.ID_S_SPRPO=413)');

 Zapytanie.sql.add('  AND (B.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (B.ID_S_SPRPO=8)');
 Zapytanie.sql.add('  AND (C.IDSPRAW=:IDSPRAW)');

  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (C.ID_S_SPRPO=20)')
 else
  Zapytanie.sql.add('  AND (C.ID_S_SPRPO=420)');
 Zapytanie.sql.add('  AND ((A.CURR - B.CURR - C.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_F_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT C.IDSPRAW, 0 AS ROZNICA, (C.CURR + D.CURR - E.CURR) AS LEWA, F.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS C, JBZS D, JBZS E, JBZS F ');
 Zapytanie.sql.add('WHERE (C.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (C.ID_S_SPRPO=20)')
 else
  Zapytanie.sql.add('  AND (C.ID_S_SPRPO=420)');
 Zapytanie.sql.add('  AND (D.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (D.ID_S_SPRPO=21)');
 Zapytanie.sql.add('  AND (E.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (E.ID_S_SPRPO=26)');
 Zapytanie.sql.add('  AND (F.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (F.ID_S_SPRPO=29)');
 Zapytanie.sql.add('  AND ((C.CURR + D.CURR - E.CURR - F.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_I_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT F.IDSPRAW, 0 AS ROZNICA, (F.CURR + G.CURR - H.CURR) AS LEWA, I.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS F, JBZS G, JBZS H, JBZS I ');
 Zapytanie.sql.add('WHERE (F.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (F.ID_S_SPRPO=29)');
 Zapytanie.sql.add('  AND (G.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (G.ID_S_SPRPO=30)');
 Zapytanie.sql.add('  AND (H.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (H.ID_S_SPRPO=34)');
 Zapytanie.sql.add('  AND (I.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I.ID_S_SPRPO=37)');
 Zapytanie.sql.add('  AND ((F.CURR + G.CURR - H.CURR - I.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_J_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT J.IDSPRAW, 0 AS ROZNICA, (JI.CURR - JII.CURR) AS LEWA, J.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS J, JBZS JI, JBZS JII ');
 Zapytanie.sql.add('WHERE (J.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (J.ID_S_SPRPO=38)');
 Zapytanie.sql.add('  AND (JI.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (JI.ID_S_SPRPO=39)');
 Zapytanie.sql.add('  AND (JII.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (JII.ID_S_SPRPO=40)');
 Zapytanie.sql.add('  AND ((JI.CURR - JII.CURR - J.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_K_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I.IDSPRAW, 0 AS ROZNICA, (I.CURR + J.CURR) AS LEWA, K.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS I, JBZS J, JBZS K ');
 Zapytanie.sql.add('WHERE (I.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I.ID_S_SPRPO=37)');
 Zapytanie.sql.add('  AND (J.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (J.ID_S_SPRPO=38)');
 Zapytanie.sql.add('  AND (K.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=41)')
 else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=410)')
 else
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=438)');
 Zapytanie.sql.add('  AND ((I.CURR + J.CURR - K.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_N_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT K.IDSPRAW, 0 AS ROZNICA, (K.CURR - L.CURR - M.CURR) AS LEWA, N.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS K, JBZS L, JBZS M, JBZS N ');
 Zapytanie.sql.add('WHERE (K.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=41)')
 else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (K.ID_S_SPRPO=410)')
 else
 Zapytanie.sql.add('  AND (K.ID_S_SPRPO=438)');
 Zapytanie.sql.add('  AND (L.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (L.ID_S_SPRPO=42)');
 Zapytanie.sql.add('  AND (M.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (M.ID_S_SPRPO=43)')
 else
 Zapytanie.sql.add('  AND (M.ID_S_SPRPO=411)');
 Zapytanie.sql.add('  AND (N.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (N.ID_S_SPRPO=44)');
 Zapytanie.sql.add('  AND ((K.CURR - L.CURR - M.CURR - N.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_A_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
   Zapytanie.sql.add('SELECT A.IDSPRAW, 0 AS ROZNICA, (AI.CURR + AII.CURR + AIII.CURR + AIV.CURR + AV.CURR) AS LEWA, A.CURR AS PRAWA, ')
else
 Zapytanie.sql.add('SELECT A.IDSPRAW, 0 AS ROZNICA, (AI.CURR + AII.CURR + AIII.CURR + AIV.CURR +AVI.CURR+ AV.CURR) AS LEWA, A.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('FROM JBZS A, JBZS AI, JBZS AII, JBZS AIII, JBZS AIV, JBZS AV ')
 else
 Zapytanie.sql.add('FROM JBZS A, JBZS AI, JBZS AII, JBZS AIII, JBZS AIV, JBZS AVI,JBZS AV ');

 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
      Zapytanie.sql.add('WHERE (A.IDSPRAW=:IDSPRAW) AND (A.ID_S_SPRPO=1)')
      else
      Zapytanie.sql.add('WHERE (A.IDSPRAW=:IDSPRAW) AND (A.ID_S_SPRPO=413)');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (AI.IDSPRAW=:IDSPRAW) AND (AI.ID_S_SPRPO=2)')
 else
  Zapytanie.sql.add('  AND (AI.IDSPRAW=:IDSPRAW) AND (AI.ID_S_SPRPO=414)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (AII.IDSPRAW=:IDSPRAW) AND (AII.ID_S_SPRPO=4)')
  else
  Zapytanie.sql.add('  AND (AII.IDSPRAW=:IDSPRAW) AND (AII.ID_S_SPRPO=415)');
   if System.FieldByName('Datakw').AsDateTime>EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (AVI.IDSPRAW=:IDSPRAW) AND (AVI.ID_S_SPRPO=418)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  Zapytanie.sql.add('  AND (AIII.IDSPRAW=:IDSPRAW) AND (AIII.ID_S_SPRPO=5)')
  else
  Zapytanie.sql.add('  AND (AIII.IDSPRAW=:IDSPRAW) AND (AIII.ID_S_SPRPO=416)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
    Zapytanie.sql.add('  AND (AIV.IDSPRAW=:IDSPRAW) AND (AIV.ID_S_SPRPO=6)')
    else
 Zapytanie.sql.add('  AND (AIV.IDSPRAW=:IDSPRAW) AND (AIV.ID_S_SPRPO=417)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (AV.IDSPRAW=:IDSPRAW) AND (AV.ID_S_SPRPO=7)')
 else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('  AND (AV.IDSPRAW=:IDSPRAW) AND (AV.ID_S_SPRPO=405)')
 else
 Zapytanie.sql.add('  AND (AV.IDSPRAW=:IDSPRAW) AND (AV.ID_S_SPRPO=419)');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
   Zapytanie.sql.add('  AND ((A.CURR - AI.CURR - AII.CURR - AIII.CURR - AIV.CURR - AV.CURR) NOT BETWEEN -0.001 AND 0.001)')
   else
 Zapytanie.sql.add('  AND ((A.CURR - AI.CURR - AII.CURR - AIII.CURR - AIV.CURR - AVI.CURR -AV.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_B_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('SELECT B.IDSPRAW, 0 AS ROZNICA, (BI.CURR + BII.CURR + BIII.CURR + BIV.CURR + BV.CURR + BVI.CURR + BVII.CURR + BVIII.CURR + BIX.CURR + BX.CURR + BXI.CURR) AS LEWA, B.CURR AS PRAWA, ')
 else
 Zapytanie.sql.add('SELECT B.IDSPRAW, 0 AS ROZNICA, (BI.CURR + BII.CURR + BIII.CURR + BIV.CURR + BV.CURR + BVI.CURR + BVII.CURR + BVIII.CURR  + BX.CURR + BXI.CURR) AS LEWA, B.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS B, JBZS BI, JBZS BII, JBZS BIII, JBZS BIV, JBZS BV, JBZS BVI, JBZS BVII, JBZS BVIII, JBZS BIX, JBZS BX, JBZS BXI ');
 Zapytanie.sql.add('WHERE (B.IDSPRAW=:IDSPRAW) AND (B.ID_S_SPRPO=8)');
 Zapytanie.sql.add('  AND (BI.IDSPRAW=:IDSPRAW) AND (BI.ID_S_SPRPO=9)');
 Zapytanie.sql.add('  AND (BII.IDSPRAW=:IDSPRAW) AND (BII.ID_S_SPRPO=10)');
 Zapytanie.sql.add('  AND (BIII.IDSPRAW=:IDSPRAW) AND (BIII.ID_S_SPRPO=11)');
 Zapytanie.sql.add('  AND (BIV.IDSPRAW=:IDSPRAW) AND (BIV.ID_S_SPRPO=12)');
 Zapytanie.sql.add('  AND (BV.IDSPRAW=:IDSPRAW) AND (BV.ID_S_SPRPO=13)');
 Zapytanie.sql.add('  AND (BVI.IDSPRAW=:IDSPRAW) AND (BVI.ID_S_SPRPO=14)');
 Zapytanie.sql.add('  AND (BVII.IDSPRAW=:IDSPRAW) AND (BVII.ID_S_SPRPO=15)');
 Zapytanie.sql.add('  AND (BVIII.IDSPRAW=:IDSPRAW) AND (BVIII.ID_S_SPRPO=16)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (BIX.IDSPRAW=:IDSPRAW) AND (BIX.ID_S_SPRPO=17)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (BX.IDSPRAW=:IDSPRAW) AND (BX.ID_S_SPRPO=18)')
 else
 Zapytanie.sql.add('  AND (BX.IDSPRAW=:IDSPRAW) AND (BX.ID_S_SPRPO=406)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (BXI.IDSPRAW=:IDSPRAW) AND (BXI.ID_S_SPRPO=19)')
 else
 Zapytanie.sql.add('  AND (BXI.IDSPRAW=:IDSPRAW) AND (BXI.ID_S_SPRPO=407)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND ((B.CURR - BI.CURR - BII.CURR - BIII.CURR - BIV.CURR - BV.CURR - BVI.CURR - BVII.CURR - BVIII.CURR - BIX.CURR - BX.CURR - BXI.CURR) NOT BETWEEN -0.001 AND 0.001)')
 else
 Zapytanie.sql.add('  AND ((B.CURR - BI.CURR - BII.CURR - BIII.CURR - BIV.CURR - BV.CURR - BVI.CURR - BVII.CURR - BVIII.CURR  - BX.CURR - BXI.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_D_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('SELECT D.IDSPRAW, 0 AS ROZNICA, (DI.CURR + DII.CURR  + DIV.CURR) AS LEWA, D.CURR AS PRAWA, ')
 else
 Zapytanie.sql.add('SELECT D.IDSPRAW, 0 AS ROZNICA, (DI.CURR + DII.CURR + DIII.CURR + DIV.CURR) AS LEWA, D.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS D, JBZS DI, JBZS DII, JBZS DIII, JBZS DIV ');
 Zapytanie.sql.add('WHERE (D.IDSPRAW=:IDSPRAW) AND (D.ID_S_SPRPO=21)');
 Zapytanie.sql.add('  AND (DI.IDSPRAW=:IDSPRAW) AND (DI.ID_S_SPRPO=22)');
 Zapytanie.sql.add('  AND (DII.IDSPRAW=:IDSPRAW) AND (DII.ID_S_SPRPO=23)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (DIII.IDSPRAW=:IDSPRAW) AND (DIII.ID_S_SPRPO=24)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (DIV.IDSPRAW=:IDSPRAW) AND (DIV.ID_S_SPRPO=25)')
 else
 Zapytanie.sql.add('  AND (DIV.IDSPRAW=:IDSPRAW) AND (DIV.ID_S_SPRPO=408)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND ((D.CURR - DI.CURR - DII.CURR - DIII.CURR - DIV.CURR) NOT BETWEEN -0.001 AND 0.001)')
 else
 Zapytanie.sql.add('  AND ((D.CURR - DI.CURR - DII.CURR  - DIV.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_E_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('SELECT E.IDSPRAW, 0 AS ROZNICA, (EI.CURR + EII.CURR) AS LEWA, E.CURR AS PRAWA, ')
 else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 Zapytanie.sql.add('SELECT E.IDSPRAW, 0 AS ROZNICA, (EII.CURR) AS LEWA, E.CURR AS PRAWA, ')
 else
  Zapytanie.sql.add('SELECT E.IDSPRAW, 0 AS ROZNICA, (EI.CURR + EII.CURR) AS LEWA, E.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');

 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('FROM JBZS E, JBZS EI, JBZS EII ')
 else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
   Zapytanie.sql.add('FROM JBZS E,  JBZS EII ')
 else
  Zapytanie.sql.add('FROM JBZS E, JBZS EI, JBZS EII ');


 Zapytanie.sql.add('WHERE (E.IDSPRAW=:IDSPRAW) AND (E.ID_S_SPRPO=26)');


 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (EI.IDSPRAW=:IDSPRAW) AND (EI.ID_S_SPRPO=27)')
 else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
    Zapytanie.sql.add('')
 else
 Zapytanie.sql.add('  AND (EI.IDSPRAW=:IDSPRAW) AND (EI.ID_S_SPRPO=421)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (EII.IDSPRAW=:IDSPRAW) AND (EII.ID_S_SPRPO=28)')
 else
 Zapytanie.sql.add('  AND (EII.IDSPRAW=:IDSPRAW) AND (EII.ID_S_SPRPO=409)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND ((E.CURR - EI.CURR - EII.CURR) NOT BETWEEN -0.001 AND 0.001)')
 else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
    Zapytanie.sql.add('  AND ((E.CURR  - EII.CURR) NOT BETWEEN -0.001 AND 0.001)')
 else
 Zapytanie.sql.add('  AND ((E.CURR -EI.CURR - EII.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_G_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT G.IDSPRAW, 0 AS ROZNICA, (GI.CURR + GII.CURR + GIII.CURR) AS LEWA, G.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS G, JBZS GI, JBZS GII, JBZS GIII ');
 Zapytanie.sql.add('WHERE (G.IDSPRAW=:IDSPRAW) AND (G.ID_S_SPRPO=30)');
 Zapytanie.sql.add('  AND (GI.IDSPRAW=:IDSPRAW) AND (GI.ID_S_SPRPO=31)');
 Zapytanie.sql.add('  AND (GII.IDSPRAW=:IDSPRAW) AND (GII.ID_S_SPRPO=32)');
 Zapytanie.sql.add('  AND (GIII.IDSPRAW=:IDSPRAW) AND (GIII.ID_S_SPRPO=33)');
 Zapytanie.sql.add('  AND ((G.CURR - GI.CURR - GII.CURR - GIII.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_SUM_H_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT H.IDSPRAW, 0 AS ROZNICA, (HI.CURR + HII.CURR) AS LEWA, H.CURR AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS H, JBZS HI, JBZS HII ');
 Zapytanie.sql.add('WHERE (H.IDSPRAW=:IDSPRAW) AND (H.ID_S_SPRPO=34)');
 Zapytanie.sql.add('  AND (HI.IDSPRAW=:IDSPRAW) AND (HI.ID_S_SPRPO=35)');
 Zapytanie.sql.add('  AND (HII.IDSPRAW=:IDSPRAW) AND (HII.ID_S_SPRPO=36)');
 Zapytanie.sql.add('  AND ((H.CURR - HI.CURR - HII.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function ZS_AI1_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT AI.IDSPRAW, 0 AS ROZNICA, AI1.CURR AS LEWA, AI.CURR AS PRAWA, ');
 Zapytanie.sql.add('''<='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBZS AI, JBZS AI1 ');
 Zapytanie.sql.add('WHERE (AI.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (AI.ID_S_SPRPO=2)');
 Zapytanie.sql.add('  AND (AI1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (AI1.ID_S_SPRPO=3)');
 Zapytanie.sql.add('  AND (AI.CURR < AI1.CURR)');
 Zapytanie.sql.add('  AND ((AI.CURR - AI1.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-30;
function ZS_D_III_FJ_I_2_5 : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.CURR';
  sPolePrawe:= 'SP.MNOZNIK*FJ.CURR';
  sID_S_SPRPO_FJ:= '58';
  sID_S_SPRPO_ZS:= '24';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBZS B,');
  Zapytanie.sql.add('  JBFJ FJ');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (FJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('    inner join S_SPRPOZ SP on (FJ.ID_S_SPRPO = SP.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and FJ.ROK = :ROK');
  Zapytanie.sql.add('  and FJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and FJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and FJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and FJ.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2009-02;
function ZSp_D_III_FJ_I_2_5: string;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.PREV';
  sPolePrawe:= 'SP.MNOZNIK*FJ.PREV';
  sID_S_SPRPO_FJ:= '58';
  sID_S_SPRPO_ZS:= '24';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBZS B,');
  Zapytanie.sql.add('  JBFJ FJ');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (FJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('    inner join S_SPRPOZ SP on (FJ.ID_S_SPRPO = SP.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and FJ.ROK = :ROK');
  Zapytanie.sql.add('  and FJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and FJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and FJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and FJ.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-30;
function ZS_N_FJ_I_3 : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.CURR';
  sPolePrawe:= 'SP.MNOZNIK*FJ.CURR';
  sID_S_SPRPO_FJ:= '62';
  sID_S_SPRPO_ZS:= '44';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBZS B,');
  Zapytanie.sql.add('  JBFJ FJ');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (FJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('    inner join S_SPRPOZ SP on (FJ.ID_S_SPRPO = SP.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and FJ.ROK = :ROK');
  Zapytanie.sql.add('  and FJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and FJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and FJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and FJ.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-30;
function ZS_N_BILJ_A_II_CURR : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_BILPOZ_BILJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.CURR';
  sPolePrawe:= 'BP.MNOZNIK*BJ.SKON';

  sID_S_BILPOZ_BILJ:= '19';
  sID_S_SPRPO_ZS:= '44';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBZS B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = '+sID_S_BILPOZ_BILJ);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-30;
function ZS_N_BILJ_A_II_PREV : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_BILPOZ_BILJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.PREV';
  sPolePrawe:= 'BP.MNOZNIK*BJ.SPOCZ';

  sID_S_BILPOZ_BILJ:= '19';
  sID_S_SPRPO_ZS:= '44';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBZS B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = '+sID_S_BILPOZ_BILJ);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//================================================
//=================================================
////////////////////////////////////////////////////////////////////////////
// SPRAWOZDANIE FJ
////////////////////////////////////////////////////////////////////////////
{function FJ_BO_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT BZ.IDSPRAW, 0 AS ROZNICA, BZ.PREV AS LEWA, (BO.PREV+I3.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ BZ, JBFJ BO, JBFJ I3');
 Zapytanie.sql.add('WHERE (BZ.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (BZ.ID_S_SPRPO=66)');
 Zapytanie.sql.add('  AND (BO.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (BO.ID_S_SPRPO=45)');
 Zapytanie.sql.add('  AND (I3.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3.ID_S_SPRPO=62)');
 Zapytanie.sql.add('  AND ((BZ.PREV - BO.PREV - I3.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;}
////////////////////////////////////////////////////////////////////////////
function FJ_BZ_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT BZ.IDSPRAW, 0 AS ROZNICA, III.PREV AS LEWA, (BZ.PREV+I3.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ BZ, JBFJ III, JBFJ I3');
 Zapytanie.sql.add('WHERE (BZ.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (BZ.ID_S_SPRPO=66)');
 Zapytanie.sql.add('  AND (III.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (III.ID_S_SPRPO=67)');
 Zapytanie.sql.add('  AND (I3.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3.ID_S_SPRPO=62)');
 Zapytanie.sql.add('  AND ((III.PREV - BZ.PREV - I3.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_1INNE_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT IDSPRAW, 0 AS ROZNICA, PREV AS LEWA,');
 Zapytanie.sql.add('(SELECT SUM(PREV) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=-1)) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ');
 Zapytanie.sql.add('WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=52)');
 Zapytanie.sql.add('  AND (0<>(SELECT COUNT(*) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-1)))');
 Zapytanie.sql.add('  AND (PREV<>(SELECT SUM(PREV) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-1)))');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_1_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I1.IDSPRAW, 0 AS ROZNICA, I1.PREV AS LEWA, (I11.PREV+I12.PREV+I13.PREV+I14.PREV+I15.PREV+I16.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I1, JBFJ I11, JBFJ I12, JBFJ I13, JBFJ I14, JBFJ I15, JBFJ I16');
 Zapytanie.sql.add('WHERE (I1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I1.ID_S_SPRPO=46)');
 Zapytanie.sql.add('  AND (I11.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I11.ID_S_SPRPO=47)');
 Zapytanie.sql.add('  AND (I12.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I12.ID_S_SPRPO=48)');
 Zapytanie.sql.add('  AND (I13.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I13.ID_S_SPRPO=49)');
 Zapytanie.sql.add('  AND (I14.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I14.ID_S_SPRPO=50)');
 Zapytanie.sql.add('  AND (I15.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I15.ID_S_SPRPO=51)');
 Zapytanie.sql.add('  AND (I16.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I16.ID_S_SPRPO=52)');
 Zapytanie.sql.add('  AND ((I1.PREV - I11.PREV - I12.PREV - I13.PREV - I14.PREV - I15.PREV - I16.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_2INNE_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT IDSPRAW, 0 AS ROZNICA, PREV AS LEWA,');
 Zapytanie.sql.add('(SELECT SUM(PREV) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=-2)) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ');
 Zapytanie.sql.add('WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=61)');
 Zapytanie.sql.add('  AND (0<>(SELECT COUNT(*) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-2)))');
 Zapytanie.sql.add('  AND (PREV<>(SELECT SUM(PREV) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-2)))');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_2_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I2.IDSPRAW, 0 AS ROZNICA, I2.PREV AS LEWA, (I21.PREV+I22.PREV+I23.PREV+I24.PREV+I25.PREV+I26.PREV+I27.PREV+I28.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I2, JBFJ I21, JBFJ I22, JBFJ I23, JBFJ I24, JBFJ I25, JBFJ I26, JBFJ I27, JBFJ I28');
 Zapytanie.sql.add('WHERE (I2.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I2.ID_S_SPRPO=53)');
 Zapytanie.sql.add('  AND (I21.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I21.ID_S_SPRPO=54)');
 Zapytanie.sql.add('  AND (I22.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I22.ID_S_SPRPO=55)');
 Zapytanie.sql.add('  AND (I23.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I23.ID_S_SPRPO=56)');
 Zapytanie.sql.add('  AND (I24.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I24.ID_S_SPRPO=57)');
 Zapytanie.sql.add('  AND (I25.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I25.ID_S_SPRPO=58)');
 Zapytanie.sql.add('  AND (I26.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I26.ID_S_SPRPO=59)');
 Zapytanie.sql.add('  AND (I27.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I27.ID_S_SPRPO=60)');
 Zapytanie.sql.add('  AND (I28.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I28.ID_S_SPRPO=61)');
 Zapytanie.sql.add('  AND ((I2.PREV - I21.PREV - I22.PREV - I23.PREV - I24.PREV - I25.PREV - I26.PREV - I27.PREV - I28.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
{function FJ_SUM_3a_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I3a.IDSPRAW, 0 AS ROZNICA, I3a.PREV AS LEWA,');
 Zapytanie.sql.add('(I1.PREV-I2.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I3a, JBFJ I1, JBFJ I2');
 Zapytanie.sql.add('WHERE (I3a.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3a.ID_S_SPRPO=63)');
 Zapytanie.sql.add('  AND (I1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I1.ID_S_SPRPO=46)');
 Zapytanie.sql.add('  AND (I2.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I2.ID_S_SPRPO=53)');
 Zapytanie.sql.add('  AND ((((I3a.PREV - (I1.PREV-I2.PREV)) NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I1.PREV-I2.PREV) > 0.0))');
 Zapytanie.sql.add('  OR ((I3a.PREV NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I1.PREV-I2.PREV) <= 0.0)))');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_3b_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I3b.IDSPRAW, 0 AS ROZNICA, I3b.PREV AS LEWA,');
 Zapytanie.sql.add('(I2.PREV-I1.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I3b, JBFJ I1, JBFJ I2');
 Zapytanie.sql.add('WHERE (I3b.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3b.ID_S_SPRPO=64)');
 Zapytanie.sql.add('  AND (I1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I1.ID_S_SPRPO=46)');
 Zapytanie.sql.add('  AND (I2.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I2.ID_S_SPRPO=53)');
 Zapytanie.sql.add('  AND ((((I3b.PREV - (I2.PREV-I1.PREV)) NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I2.PREV-I1.PREV) > 0.0))');
 Zapytanie.sql.add('  OR ((I3b.PREV NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I2.PREV-I1.PREV) <= 0.0)))');
end;}
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_3_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I3.IDSPRAW, 0 AS ROZNICA, I3.PREV AS LEWA, (I3a.PREV-I3b.PREV-I3c.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I3, JBFJ I3a, JBFJ I3b, JBFJ I3c');
 Zapytanie.sql.add('WHERE (I3.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3.ID_S_SPRPO=62)');
 Zapytanie.sql.add('  AND (I3a.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3a.ID_S_SPRPO=63)');
 Zapytanie.sql.add('  AND (I3b.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3b.ID_S_SPRPO=64)');
 Zapytanie.sql.add('  AND (I3c.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3c.ID_S_SPRPO=65)');
 Zapytanie.sql.add('  AND ((I3.PREV - I3a.PREV + I3b.PREV + I3c.PREV) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_ZS_PREV:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT Z.IDSPRAW, 0 AS ROZNICA, 0 AS LEWA, (Z.PREV * S.PREV) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ Z, JBFJ S');
 Zapytanie.sql.add('WHERE (Z.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  Zapytanie.sql.add('  AND (Z.ID_S_SPRPO=63)')
 else
  Zapytanie.sql.add('  AND (Z.ID_S_SPRPO=403)');
 Zapytanie.sql.add('  AND (S.IDSPRAW=:IDSPRAW)');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  Zapytanie.sql.add('  AND (S.ID_S_SPRPO=64)')
  else
  Zapytanie.sql.add('  AND (S.ID_S_SPRPO=404)');
 Zapytanie.sql.add('  AND ((Z.PREV * S.PREV) NOT BETWEEN -0.00001 AND 0.00001)');
end;
////////////////////////////////////////////////////////////////////////////
{function FJ_BO_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT BZ.IDSPRAW, 0 AS ROZNICA, BZ.CURR AS LEWA, (BO.CURR+I3.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ BZ, JBFJ BO, JBFJ I3');
 Zapytanie.sql.add('WHERE (BZ.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (BZ.ID_S_SPRPO=66)');
 Zapytanie.sql.add('  AND (BO.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (BO.ID_S_SPRPO=45)');
 Zapytanie.sql.add('  AND (I3.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3.ID_S_SPRPO=62)');
 Zapytanie.sql.add('  AND ((BZ.CURR - BO.CURR - I3.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;}
////////////////////////////////////////////////////////////////////////////
function FJ_BZ_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT BZ.IDSPRAW, 0 AS ROZNICA, III.CURR AS LEWA, (BZ.CURR+I3.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ BZ, JBFJ III, JBFJ I3');
 Zapytanie.sql.add('WHERE (BZ.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (BZ.ID_S_SPRPO=66)');
 Zapytanie.sql.add('  AND (III.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (III.ID_S_SPRPO=67)');
 Zapytanie.sql.add('  AND (I3.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3.ID_S_SPRPO=62)');
 Zapytanie.sql.add('  AND ((III.CURR - BZ.CURR - I3.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_1INNE_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT IDSPRAW, 0 AS ROZNICA, CURR AS LEWA,');
 Zapytanie.sql.add('(SELECT SUM(CURR) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=-1)) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ');
 Zapytanie.sql.add('WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=52)');
 Zapytanie.sql.add('  AND (0<>(SELECT COUNT(*) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-1)))');
 Zapytanie.sql.add('  AND (CURR<>(SELECT SUM(CURR) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-1)))');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_1_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I1.IDSPRAW, 0 AS ROZNICA, I1.CURR AS LEWA, (I11.CURR+I12.CURR+I13.CURR+I14.CURR+I15.CURR+I16.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I1, JBFJ I11, JBFJ I12, JBFJ I13, JBFJ I14, JBFJ I15, JBFJ I16');
 Zapytanie.sql.add('WHERE (I1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I1.ID_S_SPRPO=46)');
 Zapytanie.sql.add('  AND (I11.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I11.ID_S_SPRPO=47)');
 Zapytanie.sql.add('  AND (I12.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I12.ID_S_SPRPO=48)');
 Zapytanie.sql.add('  AND (I13.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I13.ID_S_SPRPO=49)');
 Zapytanie.sql.add('  AND (I14.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I14.ID_S_SPRPO=50)');
 Zapytanie.sql.add('  AND (I15.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I15.ID_S_SPRPO=51)');
 Zapytanie.sql.add('  AND (I16.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I16.ID_S_SPRPO=52)');
 Zapytanie.sql.add('  AND ((I1.CURR - I11.CURR - I12.CURR - I13.CURR - I14.CURR - I15.CURR - I16.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_2INNE_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT IDSPRAW, 0 AS ROZNICA, CURR AS LEWA,');
 Zapytanie.sql.add('(SELECT SUM(CURR) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=-2)) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ');
 Zapytanie.sql.add('WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (ID_S_SPRPO=61)');
 Zapytanie.sql.add('  AND (0<>(SELECT COUNT(*) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-2)))');
 Zapytanie.sql.add('  AND (CURR<>(SELECT SUM(CURR) FROM JBFJ WHERE (IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('       AND (ID_S_SPRPO=-2)))');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_2_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I2.IDSPRAW, 0 AS ROZNICA, I2.CURR AS LEWA, (I21.CURR+I22.CURR+I23.CURR+I24.CURR+I25.CURR+I26.CURR+I27.CURR+I28.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I2, JBFJ I21, JBFJ I22, JBFJ I23, JBFJ I24, JBFJ I25, JBFJ I26, JBFJ I27, JBFJ I28');
 Zapytanie.sql.add('WHERE (I2.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I2.ID_S_SPRPO=53)');
 Zapytanie.sql.add('  AND (I21.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I21.ID_S_SPRPO=54)');
 Zapytanie.sql.add('  AND (I22.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I22.ID_S_SPRPO=55)');
 Zapytanie.sql.add('  AND (I23.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I23.ID_S_SPRPO=56)');
 Zapytanie.sql.add('  AND (I24.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I24.ID_S_SPRPO=57)');
 Zapytanie.sql.add('  AND (I25.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I25.ID_S_SPRPO=58)');
 Zapytanie.sql.add('  AND (I26.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I26.ID_S_SPRPO=59)');
 Zapytanie.sql.add('  AND (I27.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I27.ID_S_SPRPO=60)');
 Zapytanie.sql.add('  AND (I28.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I28.ID_S_SPRPO=61)');
 Zapytanie.sql.add('  AND ((I2.CURR - I21.CURR - I22.CURR - I23.CURR - I24.CURR - I25.CURR - I26.CURR - I27.CURR - I28.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
{function FJ_SUM_3a_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I3a.IDSPRAW, 0 AS ROZNICA, I3a.CURR AS LEWA,');
 Zapytanie.sql.add('(I1.CURR-I2.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I3a, JBFJ I1, JBFJ I2');
 Zapytanie.sql.add('WHERE (I3a.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3a.ID_S_SPRPO=63)');
 Zapytanie.sql.add('  AND (I1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I1.ID_S_SPRPO=46)');
 Zapytanie.sql.add('  AND (I2.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I2.ID_S_SPRPO=53)');
 Zapytanie.sql.add('  AND ((((I3a.CURR - (I1.CURR-I2.CURR)) NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I1.CURR-I2.CURR) > 0.0))');
 Zapytanie.sql.add('  OR ((I3a.CURR NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I1.CURR-I2.CURR) <= 0.0)))');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_3b_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I3b.IDSPRAW, 0 AS ROZNICA, I3b.CURR AS LEWA,');
 Zapytanie.sql.add('(I2.CURR-I1.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I3b, JBFJ I1, JBFJ I2');
 Zapytanie.sql.add('WHERE (I3b.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3b.ID_S_SPRPO=64)');
 Zapytanie.sql.add('  AND (I1.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I1.ID_S_SPRPO=46)');
 Zapytanie.sql.add('  AND (I2.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I2.ID_S_SPRPO=53)');
 Zapytanie.sql.add('  AND ((((I3b.CURR - (I2.CURR-I1.CURR)) NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I2.CURR-I1.CURR) > 0.0))');
 Zapytanie.sql.add('  OR ((I3b.CURR NOT BETWEEN -0.001 AND 0.001)');
 Zapytanie.sql.add('  AND ((I2.CURR-I1.CURR) <= 0.0)))');
end;}
////////////////////////////////////////////////////////////////////////////
function FJ_SUM_3_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT I3.IDSPRAW, 0 AS ROZNICA, I3.CURR AS LEWA, (I3a.CURR-I3b.CURR-I3c.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ I3, JBFJ I3a, JBFJ I3b, JBFJ I3c');
 Zapytanie.sql.add('WHERE (I3.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3.ID_S_SPRPO=62)');
 Zapytanie.sql.add('  AND (I3a.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3a.ID_S_SPRPO=63)');
 Zapytanie.sql.add('  AND (I3b.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3b.ID_S_SPRPO=64)');
 Zapytanie.sql.add('  AND (I3c.IDSPRAW=:IDSPRAW)');
 Zapytanie.sql.add('  AND (I3c.ID_S_SPRPO=65)');
 Zapytanie.sql.add('  AND ((I3.CURR - I3a.CURR + I3b.CURR + I3c.CURR) NOT BETWEEN -0.001 AND 0.001)');
end;
////////////////////////////////////////////////////////////////////////////
function FJ_ZS_CURR:String;
var Zapytanie:TQuery;
    System:TTable;
begin
 Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
 System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
 Zapytanie.sql.add('SELECT Z.IDSPRAW, 0 AS ROZNICA, 0 AS LEWA, (Z.CURR * S.CURR) AS PRAWA, ');
 Zapytanie.sql.add('''='' AS OPERATOR, '' '' AS STATUS, 0 AS DZIAL, 0 AS ROZDZIAL, 0 AS PAR ');
 Zapytanie.sql.add('FROM JBFJ Z, JBFJ S');
 Zapytanie.sql.add('WHERE (Z.IDSPRAW=:IDSPRAW)');
 //System:=Application.FindComponent('DataModule1').FindComponent('SystemTable');
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  Zapytanie.sql.add('  AND (Z.ID_S_SPRPO=63)')
 else
 Zapytanie.sql.add('  AND (Z.ID_S_SPRPO=403)');
 Zapytanie.sql.add('  AND (S.IDSPRAW=:IDSPRAW)');
   if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
 Zapytanie.sql.add('  AND (S.ID_S_SPRPO=64)')
 else
 Zapytanie.sql.add('  AND (S.ID_S_SPRPO=404)');
 Zapytanie.sql.add('  AND ((Z.CURR * S.CURR) NOT BETWEEN -0.00001 AND 0.00001)');
end;
////////////////////////////////////////////////////////////////////////////
//================================================
// Z.D. 2008-01-17; // Z.D. 2008-01-30;
function FJ_I_BILJ_A_I : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.CURR as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 45');
//  Zapytanie.sql.add('  and B.ID_S_SPRPO = 66');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 18');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.CURR) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');

end;
//================================================
// Z.D. 2008-01-17; // Z.D. 2008-01-30;
function FJ_1_1_BILJ_A_II_1_1 : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.CURR as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 47');
//  Zapytanie.sql.add('  and B.ID_S_SPRPO = 63');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 92');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.CURR) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');

end;
//================================================
// Z.D. 2008-01-17; // Z.D. 2008-01-30;
function FJ_2_1_BILJ_A_II_1_2 : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.CURR as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 54');
//  Zapytanie.sql.add('  and B.ID_S_SPRPO = 64');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 93');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.CURR) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');

end;                    
//================================================
//SC 2008-02-29
function FJ_II_PREV_BILJ_A_I : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.PREV as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
//  Zapytanie.sql.add('  and B.ID_S_SPRPO = 45');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 66');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 18');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.PREV) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');

end;
//================================================
//SC 2008-02-29
function FJ_3a_PREV_BILJ_A_II_1_1 : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.PREV as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
//  Zapytanie.sql.add('  and B.ID_S_SPRPO = 47');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 63');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 92');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.PREV) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2009-02;
// dokladnie ta sama funkcja co FJ_3a_PREV_BILJ_A_II_1_1, ale z krotsza nazwa:
// w slowniku miesci sie 20 znakow w polu z nazwa funkcji
function FJp_3a_BILJ_A_II_1_1 : String;
var
  Zapytanie : TQuery;
  System : TTable;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.PREV as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');

  Zapytanie.sql.add('  and B.ID_S_SPRPO = 63');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 92');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.PREV) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');
end;
//------------------------------------------------
//SC 2008-02-29
function FJ_3b_PREV_BILJ_A_II_1_2 : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.PREV as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
//  Zapytanie.sql.add('  and B.ID_S_SPRPO = 54');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 64');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 93');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.PREV) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');

end;                    
//------------------------------------------------
// Z.D. 2009-02;
// dokladnie to samo co FJ_3b_PREV_BILJ_A_II_1_2, ale z krotsza nazwa:
// w slowniku pole nazwy funkcji ma dlugosc 20 znakow!
function FJp_3b_BILJ_A_II_1_2 : String;
var
  Zapytanie : TQuery;
  System : TTable;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.PREV as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SPOCZ as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');

  Zapytanie.sql.add('  and B.ID_S_SPRPO = 64');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 93');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.PREV) - (BP.MNOZNIK*BJ.SPOCZ)) not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2008-01-18; // Z.D. 2008-01-30;
function FJ_3a_BILJ_A_II_1_1 : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.CURR as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SKON as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 63');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 92');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.CURR) - (BP.MNOZNIK*BJ.SKON)) not between -0.001 and 0.001)');

end;
//================================================
// Z.D. 2008-01-18; // Z.D. 2008-01-30;
function FJ_3b_BILJ_A_II_1_2 : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.CURR as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SKON as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 64');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 93');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.CURR) - (BP.MNOZNIK*BJ.SKON)) not between -0.001 and 0.001)');

end;
//================================================
// Z.D. 2008-01-18; // Z.D. 2008-01-31;
function FJ_3c_BILJ_A_III_IV : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

// albo sprawdzic to programowo i do query wstawic tylko jedna z wartosci,
// np. wieksza z dwoch blednych.

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.CURR as LEWA,');
  Zapytanie.sql.add('  ((BP.MNOZNIK*BJ.SKON) + (B2P.MNOZNIK*B2J.SKON)) as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO),');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW),');
  Zapytanie.sql.add('  JBBILJ B2J');
  Zapytanie.sql.add('    left join JBBILPOZ B2P on (B2J.ID_BILPOZ = B2P.ID_BILPOZ and B2J.ID_JST = B2P.ID_JST and B2J.ROK = B2P.ROK and B2J.KWARTAL = B2P.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA2 on (B2J.IDSPRAW = SA2.IDSPRAW)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');

  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and (BJ.ID_S_BILPOZ = 94)');

  Zapytanie.sql.add('  and B2J.ROK = :ROK');
  Zapytanie.sql.add('  and B2J.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and B2J.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and B2J.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and (B2J.ID_S_BILPOZ = 95)');

  Zapytanie.sql.add('  and B.ID_S_SPRPO = 65');
  Zapytanie.sql.add('  and (((S.MNOZNIK*B.CURR) - ((BP.MNOZNIK*BJ.SKON) + (B2P.MNOZNIK*B2J.SKON))) not between -0.001 and 0.001)');

end;
//================================================
// Z.D. 2008-01-18; // Z.D. 2008-01-31;
function FJ_BZ_BILJ_A_I : String;

var
  Zapytanie : TQuery;
  System : TTable;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  S.MNOZNIK*B.CURR as LEWA,');
  Zapytanie.sql.add('  BP.MNOZNIK*BJ.SKON as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBBILJ BJ');
  Zapytanie.sql.add('    left join JBBILPOZ BP on (BJ.ID_BILPOZ = BP.ID_BILPOZ and BJ.ID_JST = BP.ID_JST and BJ.ROK = BP.ROK and BJ.KWARTAL = BP.OKRES)');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (BJ.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = 66');

  Zapytanie.sql.add('  and BJ.ROK = :ROK');
  Zapytanie.sql.add('  and BJ.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and BJ.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and BJ.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and BJ.ID_S_BILPOZ = 18');

  Zapytanie.sql.add('  and (((S.MNOZNIK*B.CURR) - (BP.MNOZNIK*BJ.SKON)) not between -0.001 and 0.001)');

end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-31;
function FJ_I_2_5_ZS_D_III : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:= Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:= Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.CURR';
  sPolePrawe:= 'SP.MNOZNIK*ZS.CURR';
  sID_S_SPRPO_FJ:= '58';
  sID_S_SPRPO_ZS:= '24';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBZS ZS');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (ZS.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('    inner join S_SPRPOZ SP on (ZS.ID_S_SPRPO = SP.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and ZS.ROK = :ROK');
  Zapytanie.sql.add('  and ZS.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and ZS.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and ZS.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and ZS.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2009-02;
function FJp_I_2_5_ZS_D_III : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:= Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:= Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.PREV';
  sPolePrawe:= 'SP.MNOZNIK*ZS.PREV';
  sID_S_SPRPO_FJ:= '58';
  sID_S_SPRPO_ZS:= '24';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBZS ZS');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (ZS.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('    inner join S_SPRPOZ SP on (ZS.ID_S_SPRPO = SP.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and ZS.ROK = :ROK');
  Zapytanie.sql.add('  and ZS.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and ZS.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and ZS.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and ZS.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');
end;
//------------------------------------------------
// Z.D. 2008-01-20; // Z.D. 2008-01-31;
function FJ_I_3_ZS_N : String;

var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin

  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  sPoleLewe:= 'S.MNOZNIK*B.CURR';
  sPolePrawe:= 'SP.MNOZNIK*ZS.CURR';
  sID_S_SPRPO_FJ:= '62';
  sID_S_SPRPO_ZS:= '44';

  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  '+sPolePrawe+' as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B,');
  Zapytanie.sql.add('  JBZS ZS');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (ZS.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('    inner join S_SPRPOZ SP on (ZS.ID_S_SPRPO = SP.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and ZS.ROK = :ROK');
  Zapytanie.sql.add('  and ZS.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and ZS.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and ZS.ID_JB = :ID_JB');
  Zapytanie.sql.add('  and ZS.ID_S_SPRPO = '+sID_S_SPRPO_ZS);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - '+sPolePrawe+') not between -0.001 and 0.001)');

end;
//================================================
// Z.D. 2008-01-20; // Z.D. 2008-01-31;
function FJ_I_1_2_W_R4 : String;
var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  // policz sume
  Zapytanie.sql.add('select SUM(W.R4) SUMR4');
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBW2 W');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (W.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('      W.STATUS = ''1''');
  Zapytanie.sql.add('  and W.ROK = :ROK');
  Zapytanie.sql.add('  and W.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and W.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and W.ID_JB = :ID_JB');

  Zapytanie.Open;
  sPolePrawe:= PrzecinekNaKropke(FloatToStr(Zapytanie.FieldByName('SUMR4').AsCurrency));
  Zapytanie.Close;

  sPoleLewe:= 'S.MNOZNIK*B.CURR';
  sID_S_SPRPO_FJ:= '48';

  Zapytanie.sql.Clear;
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  cast('+sPolePrawe+' as float(18)) as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - cast('+sPolePrawe+' as float(18))) not between -0.001 and 0.001)');
end;
//================================================
// Z.D. 2008-01-20; // Z.D. 2008-01-31;
function FJ_I_2_2_D_R4 : String;

var
  Zapytanie : TQuery;
  System : TTable;
  sPoleLewe, sPolePrawe : string;
  sID_S_SPRPO_FJ, sID_S_SPRPO_ZS : string;

begin
  Zapytanie:=Application.FindComponent('DataModule1JB').FindComponent('WstawBledy');
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  // policz sume
  Zapytanie.sql.add('select SUM(D.R4) SUMR4');
  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBD2 D');
  Zapytanie.sql.add('    inner join JBSPRAWAKT SA on (D.IDSPRAW = SA.IDSPRAW)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('      D.STATUS = ''1''');
  Zapytanie.sql.add('  and D.ROK = :ROK');
  Zapytanie.sql.add('  and D.KWARTAL = :KWARTAL');
  Zapytanie.sql.add('  and D.ID_JST = :ID_JST');
  Zapytanie.sql.add('  and D.ID_JB = :ID_JB');

  Zapytanie.Open;
  sPolePrawe:= PrzecinekNaKropke(FloatToStr(Zapytanie.FieldByName('SUMR4').AsCurrency));
  Zapytanie.Close;

  sPoleLewe:= 'S.MNOZNIK*B.CURR';
  sID_S_SPRPO_FJ:= '55';

  Zapytanie.sql.Clear;
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  Zapytanie.sql.add('  cast('+sPolePrawe+' as float(18)) as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  JBFJ B');
  Zapytanie.sql.add('    inner join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');

  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and B.ID_S_SPRPO = '+sID_S_SPRPO_FJ);

  Zapytanie.sql.add('  and (('+sPoleLewe+' - cast('+sPolePrawe+' as float(18))) not between -0.001 and 0.001)');
end;
//------------------------------------------------
//================================================
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_III2_D_R4: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_DW('JBFJ', 'CURR', 328, 'JBD2')
  else
  S_SPRPOZ_vs_DW('JBFJ', 'CURR', 395, 'JBD2')
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_II_2_W_R4: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_DW('JBFJ', 'CURR', 318, 'JBW2')
  else
  S_SPRPOZ_vs_DW('JBFJ', 'CURR',384, 'JBW2')
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function D8_R4_FJ_III2: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  DW_vs_S_SPRPOZ('JBD2', 'JBFJ', 'CURR', 328)
  else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
   DW_vs_S_SPRPOZ('JBD2', 'JBFJ', 'CURR', 395)
   else
  DW_vs_S_SPRPOZ('JBD2', 'JBFJ', 'CURR', 429);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function W8_R4_FJ_II_2: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
  System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  DW_vs_S_SPRPOZ('JBW2', 'JBFJ', 'CURR', 318)
  else
  DW_vs_S_SPRPOZ('JBW2', 'JBFJ', 'CURR', 384);
end;
//------------------------------------------------
//================================================
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_V_ZS_N: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_S_SPRPOZ('JBFJ', 'CURR', 338,
                       'JBZS', 'CURR',  44)
                       else
S_SPRPOZ_vs_S_SPRPOZ('JBFJ', 'CURR', 378,
                       'JBZS', 'CURR',  44);
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_III_5_ZS_D_III: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_S_SPRPOZ('JBFJ', 'CURR', 331,
                       'JBZS', 'CURR',  24)
                      ; //zdaje sie tego juz nie potrzeba
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8p_III_5_ZS_D_III: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_S_SPRPOZ('JBFJ', 'PREV', 331,
                       'JBZS', 'PREV',  24); ; //zdaje sie tego juz nie potrzeba
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function ZS8_D_III_FJ_III5: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_S_SPRPOZ('JBZS', 'CURR',  24,
                       'JBFJ', 'CURR', 331); ; //zdaje sie tego juz nie potrzeba
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function ZS8p_D_III_FJ_III5: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
     System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_S_SPRPOZ('JBZS', 'PREV',  24,
                       'JBFJ', 'PREV', 331); ; //zdaje sie tego juz nie potrzeba
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function ZS8_N_FJ_V: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_S_SPRPOZ('JBZS', 'CURR',  44,
                       'JBFJ', 'CURR', 338)
                       else
   S_SPRPOZ_vs_S_SPRPOZ('JBZS', 'CURR',  44,
                       'JBFJ', 'CURR', 378);
end;
//------------------------------------------------
//================================================
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_I_BILJ_A_I: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  //Z.D. 2009-06; (zmiana koncepcji ABS)

   if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
    S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 343,
                     'JBBILJ', 'SPOCZ', 18)
                     else
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 412,
                     'JBBILJ', 'SPOCZ', 18);
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_II1_BILJ_A_II1_1: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
     System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 317,
                     'JBBILJ', 'SPOCZ', 92)
else
    S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 383,
                     'JBBILJ', 'SPOCZ', 92) ;
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_III1_BILJ_AII1_2: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 327,
                     'JBBILJ', 'SPOCZ', 93)
      else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
S_SPRPOZ_vs_BILPOZabs('JBFJ',   'CURR', 428,
                     'JBBILJ', 'SPOCZ', 93,
                     true)
                     else
S_SPRPOZ_vs_BILPOZabs('JBFJ',   'CURR', 394,
                     'JBBILJ', 'SPOCZ', 93,
                     true);
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_V1_BILJ_A_II_1_1: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 339,
                     'JBBILJ', 'SKON',  92)
                     else
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 403,
                     'JBBILJ', 'SKON',  92);
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8p_V1_BILJ_A_II1_1: String;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'PREV', 339,
                     'JBBILJ', 'SPOCZ',  92);
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8_V2_BILJ_A_II_1_2: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 340,
                     'JBBILJ', 'SKON',  93);
end;
//------------------------------------------------
// Z.D. 2009-01-28;
function FJ8p_V2_BILJ_A_II1_2: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'PREV', 340,
                     'JBBILJ', 'SPOCZ', 93)
                     else
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'PREV', 404,
                     'JBBILJ', 'SPOCZ', 93);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function FJ8_IV_BILJ_A_I: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  //Z.D. 2009-06; (zmiana koncepcji ABS)
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
   S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 337,
                     'JBBILJ', 'SKON', 18)
                     else
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'CURR', 379,
                     'JBBILJ', 'SKON',  18);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function FJ8p_IV_BILJ_A_I: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  //Z.D. 2009-06; (zmiana koncepcji ABS)
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
   S_SPRPOZ_vs_BILPOZ('JBFJ',   'PREV', 337,
                     'JBBILJ', 'SPOCZ', 18)
                     else
  S_SPRPOZ_vs_BILPOZ('JBFJ',   'PREV', 379,
                     'JBBILJ', 'SPOCZ', 18);
end;
//------------------------------------------------
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8_A_I_FJ_I: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  //Z.D. 2009-06; (zmiana koncepcji ABS)
 if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 18,
                     'JBFJ',   'CURR', 343) else

  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 18,
                     'JBFJ',   'CURR', 412);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8_A_II1_1_FJ_II1: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 92,
                     'JBFJ',   'CURR', 317)
                     else
 BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 92,
                     'JBFJ',   'CURR', 383);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8_AII1_2_FJ_III1: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SPOCZ', 93,
                     'JBFJ',  'CURR', 327)
else  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  S_SPRPOZ_vs_BILPOZabs('JBFJ',  'CURR', 428,
                      'JBBILJ','SPOCZ', 93,
                     true)
                     else
  S_SPRPOZ_vs_BILPOZabs('JBFJ',  'CURR', 394,
                      'JBBILJ','SPOCZ', 93,
                     true);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8_A_II1_1_FJ_V1: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SKON',  92,
                     'JBFJ',  'CURR', 339)
                     else
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SKON',  92,
                     'JBFJ',  'CURR', 403);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8p_A_II1_1_FJ_V1: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SPOCZ', 92,
                     'JBFJ',  'PREV', 339)
                     else
    BILPOZ_vs_S_SPRPOZ('JBBILJ','SPOCZ', 92,
                     'JBFJ',  'PREV', 403);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8_A_II1_2_FJ_V2: string;
var
System:TTable;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SKON',  93,
                     'JBFJ',  'CURR', 340)
                     else
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SKON',  93,
                     'JBFJ',  'CURR', 404);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8p_A_II1_2_FJ_V2: string;
var
System:TTable;
begin
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  //Z.D. 2009-06; (zmiana koncepcji ABS)
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SPOCZ', 93,
                     'JBFJ',  'PREV', 340)
  else
    BILPOZ_vs_S_SPRPOZ('JBBILJ','SPOCZ', 93,
                     'JBFJ',  'PREV', 404)

end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8_A_I_FJ_IV: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  //Z.D. 2009-06; (zmiana koncepcji ABS)
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SKON',  18,
                     'JBFJ',  'CURR', 337);
end;
//------------------------------------------------
// Z.D. 2009-01-29;
function BILJ8p_A_I_FJ_IV: string;
begin
  //Z.D. 2009-06; (zmiana koncepcji ABS)
  BILPOZ_vs_S_SPRPOZ('JBBILJ','SPOCZ', 18,
                     'JBFJ',  'PREV', 337);
end;
//------------------------------------------------
//================================================
//------------------------------------------------
//Z.D. 2009-05;
//mnozniksum jest aktualnie brany ze slownika, wiec rekordy z blednie wpisanym null w tym polu nie beda brane pod uwage
//sumowanie uwzglednia abs z kwot z mnozniksum = +-999
function SumaDlaParentaS_SPRPOZ(sBaza, sPole, sParent: string): currency;
var
  Zapytanie: TQuery;
  cuSuma: Currency;

begin
  cuSuma:= 0;

  Zapytanie:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');

  Zapytanie.Close;
  Zapytanie.SQL.Clear;

  //-999: suma dla wartosci bezwzglednych branych z "-"
  //ujemne
  Zapytanie.sql.add('select Sum(B.'+sPole+') SUMA');
  Zapytanie.sql.add('from '+sBaza+' B');
  Zapytanie.sql.add('  left join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and S.PARENT = '+sParent);
  Zapytanie.sql.add('  and S.MNOZNIKSUM = -'+c_ABS_sMNOZNIKSUM);
  Zapytanie.sql.add('  and B.'+sPole+' < 0');
  Zapytanie.Open;
  cuSuma:= cuSuma+Zapytanie.FieldByName('SUMA').AsCurrency;
  Zapytanie.Close;
  Zapytanie.SQL.Clear;

  //-999: suma dla wartosci bezwzglednych branych z "-"
  //nieujemne
  Zapytanie.sql.add('select -Sum(B.'+sPole+') SUMA');
  Zapytanie.sql.add('from '+sBaza+' B');
  Zapytanie.sql.add('  left join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and S.PARENT = '+sParent);
  Zapytanie.sql.add('  and S.MNOZNIKSUM = -'+c_ABS_sMNOZNIKSUM);
  Zapytanie.sql.add('  and B.'+sPole+' >= 0');
  Zapytanie.Open;
  cuSuma:= cuSuma+Zapytanie.FieldByName('SUMA').AsCurrency;
  Zapytanie.Close;
  Zapytanie.SQL.Clear;

  //+999: suma dla wartosci bezwzglednych branych z "+"
  //ujemne
  Zapytanie.sql.add('select -Sum(B.'+sPole+') SUMA');
  Zapytanie.sql.add('from '+sBaza+' B');
  Zapytanie.sql.add('  left join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and S.PARENT = '+sParent);
  Zapytanie.sql.add('  and S.MNOZNIKSUM = '+c_ABS_sMNOZNIKSUM);
  Zapytanie.sql.add('  and B.'+sPole+' < 0');
  Zapytanie.Open;
  cuSuma:= cuSuma+Zapytanie.FieldByName('SUMA').AsCurrency;
  Zapytanie.Close;
  Zapytanie.SQL.Clear;

  //+999: suma dla wartosci bezwzglednych branych z "+"
  //nieujemne
  Zapytanie.sql.add('select Sum(B.'+sPole+') SUMA');
  Zapytanie.sql.add('from '+sBaza+' B');
  Zapytanie.sql.add('  left join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and S.PARENT = '+sParent);
  Zapytanie.sql.add('  and S.MNOZNIKSUM = '+c_ABS_sMNOZNIKSUM);
  Zapytanie.sql.add('  and B.'+sPole+' >= 0');
  Zapytanie.Open;
  cuSuma:= cuSuma+Zapytanie.FieldByName('SUMA').AsCurrency;
  Zapytanie.Close;
  Zapytanie.SQL.Clear;

  //wartosci wzgledne (mnozone jest przez mnozniksum, bo sprawdzanie jest z wartoscia
  //taka, jaka wychodzi z autosumowania, czyli nalezy powtorzyc autosumowanie dla porownania...
  Zapytanie.sql.add('select Sum(S.MNOZNIKSUM*B.'+sPole+') SUMA');
  Zapytanie.sql.add('from '+sBaza+' B');
  Zapytanie.sql.add('  left join S_SPRPOZ S on (B.ID_S_SPRPO = S.ID_S_SPRPO)');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and S.PARENT = '+sParent);
  Zapytanie.sql.add('  and S.MNOZNIKSUM is not null');
  Zapytanie.sql.add('  and (S.MNOZNIKSUM <> -'+c_ABS_sMNOZNIKSUM+' and S.MNOZNIKSUM <> '+c_ABS_sMNOZNIKSUM+')');
  Zapytanie.Open;
  cuSuma:= cuSuma+Zapytanie.FieldByName('SUMA').AsCurrency;
  Zapytanie.Close;
  Zapytanie.SQL.Clear;

  Result:= cuSuma;
end;
//------------------------------------------------
//Z.D. 2009-05; generowanie wynikowego zapytania dla pozycji bedacych sumami innych pozycji slownika S_SPRPOZ
procedure WynikDlaParentaS_SPRPOZ(sBaza, sPoleLewe: string; cuPolePrawe: currency; sID_S_SPRPO: string);
var
  Zapytanie: TQuery;
  sPolePrawe: string;

begin
  sBaza:= UpperCase(sBaza); //a'propos firebirda

  sPolePrawe:= PrzecinekNaKropke(FloatToStr(cuPolePrawe));

  Zapytanie:= Application.FindComponent(c_DATAMODULE).FindComponent('WstawBledy');

  Zapytanie.Close;
  Zapytanie.SQL.Clear;
  Zapytanie.sql.add('select');
  Zapytanie.sql.add('  B.IDSPRAW,');
  Zapytanie.sql.add('  0 as ROZNICA,');
  Zapytanie.sql.add('  '+sPoleLewe+' as LEWA,');
  //cast(-x) <> -cast(x)
  if cuPolePrawe < 0 then
    Zapytanie.sql.add('  -cast('+PrzecinekNaKropke(FloatToStr(-cuPolePrawe))+' as Float(18)) as PRAWA,')
  else
    Zapytanie.sql.add('  cast('+sPolePrawe+' as Float(18)) as PRAWA,');
  Zapytanie.sql.add('  ''='' as OPERATOR, '' '' as STATUS, 0 as DZIAL, 0 as ROZDZIAL, 0 as PAR');

  Zapytanie.sql.add('from');
  Zapytanie.sql.add('  '+sBaza+' B');
  Zapytanie.sql.add('where');
  Zapytanie.sql.add('  B.IDSPRAW = :IDSPRAW');
  Zapytanie.sql.add('  and (B.ID_S_SPRPO = '+sID_S_SPRPO);

  Zapytanie.sql.add('  and ('+sPoleLewe+' - ('+sPolePrawe+')) not between -0.001 and 0.001)');
end;
//------------------------------------------------
//Z.D. 2009-05;
procedure WeryfikujDlaParentaS_SPRPOZ(sBaza, sPole, sID_S_SPRPO: string);
var
  cuPolePrawe: currency;
  sPoleLewe: string;

begin
  sPoleLewe:= 'B.'+sPole;
  cuPolePrawe:= SumaDlaParentaS_SPRPOZ(sBaza, sPole, sID_S_SPRPO);
  WynikDlaParentaS_SPRPOZ(sBaza, sPoleLewe, cuPolePrawe, sID_S_SPRPO);
end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_VII_PREV_SUM: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '342') else
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '381');

end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_VII_CURR_SUM: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
 WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '342')
 else
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '381');
end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_II_PREV_SUM: string;
var
System:TTable;
begin
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '316')
  else
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '382')
end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_II_CURR_SUM: string;
var
System:TTable;
begin
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '316')
  else
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '382')
end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_III_PREV_SUM: string;
var
System:TTable;
begin
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
    WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '326')
    else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
     WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '393')
    else
    WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '427');
end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_III_CURR_SUM: string;
var
System:TTable;
begin
   System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2010,12,31) then
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '326')
  else if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
     WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '393')
  else
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '427')
end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_IV_PREV_SUM: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '337') else
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'PREV', '379');
end;
//------------------------------------------------
// Z.D. 2009-01-30;
//Z.D. 2009-05; wg wartosci bezwzglednych
function FJ8_IV_CURR_SUM : string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '337') else
  WeryfikujDlaParentaS_SPRPOZ('JBFJ', 'CURR', '379');
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_II_ZS_N_CURR: string;
begin
  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SKON', 19,
                     'JBZS',   'CURR', 44);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_II_ZS_N_PREV: string;
begin
  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 19,
                     'JBZS',   'PREV',  44);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_I_FJ_II_PREV: string;
begin
  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 18,
                     'JBFJ',   'PREV',  66);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJp_A_II_1_1_FJ_3a: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 92,
                     'JBFJ',   'PREV',  63) else
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 92,
                     'JBFJ',   'PREV',  403);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJp_A_II_1_2_FJ_3b: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 93,
                     'JBFJ',   'PREV',  64) else
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 93,
                     'JBFJ',   'PREV',  404);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_I_FJ_II: string;
begin
  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SKON', 18,
                     'JBFJ',   'CURR', 66);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_II_1_1_FJ_3a: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SKON', 92,
                     'JBFJ',   'CURR', 63) else
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SKON', 92,
                     'JBFJ',   'CURR', 403);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_II_1_2_FJ_3b: string;
var
System:TTable;
begin
System:=Application.FindComponent('DataModule1JB').FindComponent('SystemTable');

  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
    if System.FieldByName('Datakw').AsDateTime<=EncodeDate(2012,09,30) then
     BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SKON', 93,
                     'JBFJ',   'CURR', 64) else
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SKON', 93,
                     'JBFJ',   'CURR', 404);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_I_FJ_I: string;
begin
  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 18,
                     'JBFJ',   'CURR',  45);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_II_1_1_FJ_I_I: string;
begin
  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 92,
                     'JBFJ',   'CURR',  47);
end;
//------------------------------------------------
//Z.D. 2009-08;
function BILJ_A_II_1_2_FJ_2_I: string;
begin
  //przez blad wewnetrzny firebirda zamienione na uzycie innej koncepcji abs, ktora rozdziela zapytanie na dwa i blad sie nie pojawia
  BILPOZ_vs_S_SPRPOZ('JBBILJ', 'SPOCZ', 93,
                     'JBFJ',   'CURR',  54);
end;
//------------------------------------------------

end.

